2005-02-16 23:39  olle

	* compiler/verbose.pas:
	
	  * made macos compile

2005-02-16 23:02  florian <florian@freepascal.org>

	* compiler/arm/: cgcpu.pas, narmadd.pas:
	
	  * fixed storing of floating point registers for procedures with
	large temp. area
	  * fixed int64 comparisation

2005-02-15 23:31  peter <peter@freepascal.org>

	* compiler/version.pas:
	
	  * back to 1.9.7 for head

2005-02-15 23:28  peter <peter@freepascal.org>

	* compiler/: Makefile, Makefile.fpc, version.pas, utils/Makefile:
	
	  * 1.9.8

2005-02-15 22:39  peter <peter@freepascal.org>

	* compiler/: ncgcal.pas, ncgutil.pas, parabase.pas:
	
	  * remove is_single_reference
	  * revert loading of ref-to-ref para valu

2005-02-15 22:24  florian <florian@freepascal.org>

	* compiler/arm/aasmcpu.pas:
	
	  * don't split indirect calls while inserting pc relative
	constants

2005-02-15 20:53  florian <florian@freepascal.org>

	* compiler/: ncgadd.pas, arm/aasmcpu.pas, arm/cgcpu.pas:
	
	  * don't generate overflow results if they aren't necessary
	  * fixed op_reg_reg_reg_reg on arm

2005-02-15 20:48  florian <florian@freepascal.org>

	* compiler/msg/errorhe.msg:
	
	  * another update from ik_5

2005-02-15 20:16  peter <peter@freepascal.org>

	* compiler/: cg64f32.pas, ncgutil.pas, i386/cpupara.pas:
	
	  * fix passing of 64bit values when using -Or

2005-02-15 20:15  peter <peter@freepascal.org>

	* compiler/: catch.pas, compiler.pas, verbose.pas:
	
	  * Handle Control-C exception more cleanly

2005-02-14 20:42  peter <peter@freepascal.org>

	* compiler/i386/cpupara.pas:
	
	win32 stdcall fixes needed for tw3650

2005-02-14 18:13  peter <peter@freepascal.org>

	* compiler/: aasmbase.pas, aasmtai.pas, aggas.pas, aopt.pas,
	aoptbase.pas, aoptcs.pas, aoptda.pas, aoptobj.pas, assemble.pas,
	browcol.pas, browlog.pas, catch.pas, cclasses.pas, cg64f32.pas,
	cgbase.pas, cgobj.pas, cgutils.pas, charset.pas, cmsgs.pas,
	comphook.pas, compiler.pas, compinnr.inc, comprsrc.pas, crc.pas,
	cresstr.pas, cstreams.pas, cutils.pas, defcmp.pas, defutil.pas,
	dwarf.pas, export.pas, finput.pas, fmodule.pas, fpcdefs.inc,
	fppu.pas, gdb.pas, gendef.pas, globals.pas, globtype.pas,
	htypechk.pas, impdef.pas, import.pas, link.pas, nadd.pas, nbas.pas,
	ncal.pas, ncgadd.pas, ncgbas.pas, ncgcal.pas, ncgcnv.pas,
	ncgcon.pas, ncgflw.pas, ncginl.pas, ncgld.pas, ncgmat.pas,
	ncgmem.pas, ncgopt.pas, ncgset.pas, ncgutil.pas, ncnv.pas,
	ncon.pas, nflw.pas, ninl.pas, nld.pas, nmat.pas, nmem.pas,
	nobj.pas, node.pas, nopt.pas, nset.pas, nstate.pas, nutils.pas,
	ogbase.pas, ogcoff.pas, ogelf.pas, oglx.pas, ogmap.pas,
	options.pas, owar.pas, owbase.pas, parabase.pas, paramgr.pas,
	parser.pas, pass_1.pas, pass_2.pas, pbase.pas, pdecl.pas,
	pdecobj.pas, pdecsub.pas, pdecvar.pas, pexports.pas, pexpr.pas,
	pinline.pas, pmodules.pas, pp.pas, ppheap.pas, ppu.pas,
	procinfo.pas, pstatmnt.pas, psub.pas, psystem.pas, ptconst.pas,
	ptype.pas, raatt.pas, rabase.pas, rasm.pas, rautils.pas,
	regvars.pas, rgbase.pas, rgobj.pas, scandir.pas, scanner.pas,
	script.pas, switches.pas, symbase.pas, symconst.pas, symdef.pas,
	symnot.pas, symsym.pas, symtable.pas, symtype.pas, symutil.pas,
	systems.pas, tgobj.pas, tokens.pas, verbose.pas, version.pas,
	widestr.pas, alpha/aasmcpu.pas, alpha/agaxpgas.pas,
	alpha/aoptcpu.pas, alpha/aoptcpub.pas, alpha/aoptcpuc.pas,
	alpha/aoptcpud.pas, alpha/cgcpu.pas, alpha/cpubase.pas,
	alpha/cpunode.pas, alpha/cpupara.pas, alpha/cpupi.pas,
	alpha/cpuswtch.pas, alpha/cputarg.pas, alpha/radirect.pas,
	alpha/rasm.pas, alpha/rgcpu.pas, alpha/tgcpu.pas, arm/aasmcpu.pas,
	arm/agarmgas.pas, arm/cgcpu.pas, arm/cpubase.pas, arm/cpuinfo.pas,
	arm/cpunode.pas, arm/cpupara.pas, arm/cpupi.pas, arm/cpuswtch.pas,
	arm/cputarg.pas, arm/itcpugas.pas, arm/narmadd.pas,
	arm/narmcal.pas, arm/narmcnv.pas, arm/narminl.pas, arm/narmmat.pas,
	arm/raarm.pas, arm/raarmgas.pas, arm/rgcpu.pas, i386/ag386int.pas,
	i386/ag386nsm.pas, i386/aopt386.pas, i386/cgcpu.pas,
	i386/cpubase.inc, i386/cpuinfo.pas, i386/cpunode.pas,
	i386/cpupara.pas, i386/cpupi.pas, i386/cpuswtch.pas,
	i386/cputarg.pas, i386/csopt386.pas, i386/daopt386.pas,
	i386/n386add.pas, i386/n386cal.pas, i386/n386cnv.pas,
	i386/n386con.pas, i386/n386inl.pas, i386/n386mat.pas,
	i386/n386mem.pas, i386/n386set.pas, i386/optbase.pas,
	i386/popt386.pas, i386/ra386att.pas, i386/ra386int.pas,
	i386/rgcpu.pas, i386/rropt386.pas, ia64/cpuasm.pas,
	ia64/cpubase.pas, ia64/cpuinfo.pas, m68k/aasmcpu.pas,
	m68k/agcpugas.pas, m68k/aoptcpu.pas, m68k/aoptcpub.pas,
	m68k/aoptcpud.pas, m68k/cgcpu.pas, m68k/cpuasm.pas,
	m68k/cpubase.pas, m68k/cpuinfo.pas, m68k/cpunode.pas,
	m68k/cpupara.pas, m68k/cpupi.pas, m68k/cpuswtch.pas,
	m68k/cputarg.pas, m68k/itcpugas.pas, m68k/n68kcnv.pas,
	m68k/n68kmat.pas, m68k/ncpuadd.pas, m68k/ra68kmot.pas,
	m68k/rgcpu.pas, mips/aasmcpu.pas, mips/itcpugas.pas,
	powerpc/aasmcpu.pas, powerpc/agppcgas.pas, powerpc/agppcmpw.pas,
	powerpc/aoptcpu.pas, powerpc/aoptcpub.pas, powerpc/aoptcpuc.pas,
	powerpc/aoptcpud.pas, powerpc/cgcpu.pas, powerpc/cpubase.pas,
	powerpc/cpuinfo.pas, powerpc/cpunode.pas, powerpc/cpupara.pas,
	powerpc/cpupi.pas, powerpc/cpuswtch.pas, powerpc/cputarg.pas,
	powerpc/itcpugas.pas, powerpc/nppcadd.pas, powerpc/nppccal.pas,
	powerpc/nppccnv.pas, powerpc/nppcinl.pas, powerpc/nppcld.pas,
	powerpc/nppcmat.pas, powerpc/nppcset.pas, powerpc/nppcutil.pas,
	powerpc/rappc.pas, powerpc/rappcgas.pas, powerpc/rgcpu.pas,
	sparc/aasmcpu.pas, sparc/aoptcpu.pas, sparc/aoptcpub.pas,
	sparc/aoptcpud.pas, sparc/cgcpu.pas, sparc/cpubase.pas,
	sparc/cpugas.pas, sparc/cpuinfo.pas, sparc/cpunode.pas,
	sparc/cpupara.pas, sparc/cpupi.pas, sparc/cpuswtch.pas,
	sparc/cputarg.pas, sparc/itcpugas.pas, sparc/ncpuadd.pas,
	sparc/ncpucall.pas, sparc/ncpucnv.pas, sparc/ncpuinln.pas,
	sparc/ncpumat.pas, sparc/ncpuset.pas, sparc/opcode.inc,
	sparc/racpu.pas, sparc/racpugas.pas, sparc/rgcpu.pas,
	sparc/strinst.inc, systems/i_amiga.pas, systems/i_atari.pas,
	systems/i_beos.pas, systems/i_bsd.pas, systems/i_emx.pas,
	systems/i_go32v2.pas, systems/i_linux.pas, systems/i_macos.pas,
	systems/i_morph.pas, systems/i_nwl.pas, systems/i_nwm.pas,
	systems/i_os2.pas, systems/i_palmos.pas, systems/i_sunos.pas,
	systems/i_watcom.pas, systems/i_wdosx.pas, systems/i_win32.pas,
	systems/t_amiga.pas, systems/t_atari.pas, systems/t_beos.pas,
	systems/t_bsd.pas, systems/t_emx.pas, systems/t_go32v2.pas,
	systems/t_linux.pas, systems/t_macos.pas, systems/t_morph.pas,
	systems/t_nwl.pas, systems/t_nwm.pas, systems/t_os2.pas,
	systems/t_palmos.pas, systems/t_sunos.pas, systems/t_watcom.pas,
	systems/t_wdosx.pas, systems/t_win32.pas, utils/fixlog.pp,
	utils/fixmsg.pp, utils/fixnasm.pp, utils/fpc.pp, utils/fpcmkcfg.pp,
	utils/gppc386.pp, utils/mk68kreg.pp, utils/mkarmreg.pp,
	utils/mkppcreg.pp, utils/mkspreg.pp, utils/mkx86ins.pp,
	utils/mkx86reg.pp, utils/msg2inc.pp, utils/msgdif.pp,
	utils/ppudump.pp, utils/ppufiles.pp, utils/ppumove.pp,
	vis/aasmcpu.pas, vis/cpubase.pas, vis/cpuinfo.pas, vis/cpunode.pas,
	vis/cpupara.pas, x86/aasmcpu.pas, x86/agx86att.pas, x86/cga.pas,
	x86/cgx86.pas, x86/cpubase.pas, x86/itcpugas.pas, x86/itx86int.pas,
	x86/nx86add.pas, x86/nx86cnv.pas, x86/nx86inl.pas, x86/nx86mat.pas,
	x86/nx86set.pas, x86/rax86.pas, x86/rax86att.pas, x86/rgx86.pas,
	x86_64/aoptcpu.pas, x86_64/aoptcpub.pas, x86_64/aoptcpud.pas,
	x86_64/cgcpu.pas, x86_64/cpubase.inc, x86_64/cpuinfo.pas,
	x86_64/cpunode.pas, x86_64/cpupara.pas, x86_64/cpupi.pas,
	x86_64/cpuswtch.pas, x86_64/cputarg.pas, x86_64/nx64add.pas,
	x86_64/nx64cal.pas, x86_64/nx64cnv.pas, x86_64/nx64inl.pas,
	x86_64/nx64mat.pas, x86_64/rax64att.pas, x86_64/rgcpu.pas:
	
	  * truncate log

2005-02-14 17:45  peter <peter@freepascal.org>

	* compiler/htypechk.pas:
	
	  * allow more operations on integers with a typecast to pointer

2005-02-13 21:33  peter <peter@freepascal.org>

	* compiler/htypechk.pas:
	
	  * allow nil^ passed to var parameter

2005-02-13 21:15  florian <florian@freepascal.org>

	* compiler/mips/: rmipsdwrf.inc, rmipsstab.inc:
	
	  * files with long names removed

2005-02-13 21:11  peter <peter@freepascal.org>

	* compiler/: compiler.pas, systems.pas, systems/i_sunos.pas,
	systems/t_sunos.pas:
	
	  * sunos to solaris

2005-02-13 20:57  florian <florian@freepascal.org>

	* compiler/ncgld.pas:
	
	  * better alignment checking

2005-02-13 20:12  florian <florian@freepascal.org>

	* compiler/ncgadd.pas:
	
	  * setup ovlov correctly

2005-02-13 19:56  florian <florian@freepascal.org>

	* compiler/: mips/aasmcpu.pas, mips/cpubase.pas, mips/cpuinfo.pas,
	mips/itcpugas.pas, mips/mipsreg.dat, mips/rmipscon.inc,
	mips/rmipsdwf.inc, mips/rmipsdwrf.inc, mips/rmipsgas.inc,
	mips/rmipsgri.inc, mips/rmipsgss.inc, mips/rmipsmot.inc,
	mips/rmipsmri.inc, mips/rmipsnor.inc, mips/rmipsnum.inc,
	mips/rmipsrni.inc, mips/rmipssri.inc, mips/rmipssta.inc,
	mips/rmipsstab.inc, mips/rmipsstd.inc, mips/rmipssup.inc,
	utils/mkmpsreg.pp:
	
	  + basic mips stuff

2005-02-13 19:55  florian <florian@freepascal.org>

	* compiler/: cg64f32.pas, cgobj.pas, compiler.pas, ncgadd.pas,
	ncginl.pas, ncgmat.pas, pp.pas, symdef.pas, arm/aasmcpu.pas,
	arm/cgcpu.pas, arm/narmcnv.pas, arm/rgcpu.pas, i386/cgcpu.pas,
	i386/n386add.pas, powerpc/cgcpu.pas, powerpc/nppcadd.pas,
	sparc/cgcpu.pas:
	
	  + overflow checking for the arm

2005-02-11 17:25  peter <peter@freepascal.org>

	* compiler/nld.pas:
	
	  * fix IE with array of const in array of conts

2005-02-11 17:24  peter <peter@freepascal.org>

	* compiler/pstatmnt.pas:
	
	  * don't set varstate to vs_used for record in with at start yet

2005-02-11 16:20  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cpupara.pas:
	
	  * records which consist of only a union of one element have to be
	passed
	    according to record parameter passing rules, not according to
	the rules
	    of that item's type (change relevant to AIX abi only)

2005-02-11 08:23  karoly

	* compiler/systems/t_morph.pas:
	
	  * cleanups, finalized vlink support

2005-02-10 23:08  peter <peter@freepascal.org>

	* compiler/symdef.pas:
	
	  * implprocs requires no duplicate entries of the same procdef

2005-02-10 23:08  peter <peter@freepascal.org>

	* compiler/nobj.pas:
	
	  * remove obsolete code

2005-02-10 22:54  peter <peter@freepascal.org>

	* compiler/ncgld.pas:
	
	  * data with inittables need to have a memory location assigned
	    for incrref

2005-02-10 21:06  peter <peter@freepascal.org>

	* compiler/parser.pas:
	
	  * fixed call to build sourcefiles needed for ide

2005-02-08 23:46  olle

	* compiler/powerpc/agppcmpw.pas:
	
	  * fixed erroneous asm line directive

2005-02-08 23:33  olle

	* compiler/: fpcdefs.inc, globals.pas:
	
	  * fixed compilation on MacOS

2005-02-08 23:30  olle

	* compiler/systems/t_macos.pas:
	
	  + added SIZE resource facilities

2005-02-08 22:25  florian <florian@freepascal.org>

	* compiler/pstatmnt.pas:
	
	  * fixed usage of 000 as label

2005-02-08 17:40  florian <florian@freepascal.org>

	* compiler/paramgr.pas:
	
	  * dyn. arrays are returned in registers

2005-02-07 22:30  florian <florian@freepascal.org>

	* compiler/globals.pas:
	
	  * fixed typo in define

2005-02-07 18:25  peter <peter@freepascal.org>

	* compiler/verbose.pas:
	
	-vz for output to stderr

2005-02-06 22:33  peter <peter@freepascal.org>

	* compiler/: globals.pas, msgidx.inc, msgtxt.inc, options.pas,
	pmodules.pas, msg/errore.msg:
	
	  * -Fa option added, it'll load the units before the uses
	    line is parsed. Can be used to load cthreads from the
	commandline.
	    Example '-g -Faheaptrc,lineinfo' is the same as '-ghl'

2005-02-06 21:29  florian <florian@freepascal.org>

	* compiler/pexpr.pas:
	
	  * fixed precedence of is-operator

2005-02-06 20:55  peter <peter@freepascal.org>

	* compiler/globals.pas:
	
	  * oldfpccall fixed

2005-02-06 19:59  peter <peter@freepascal.org>

	* compiler/x86_64/cpupara.pas:
	
	  * arrays are always passed by addr
	  * cdecl array of const is passed by value so it doesn't allocate
	    anything

2005-02-06 12:15  peter <peter@freepascal.org>

	* compiler/: globtype.pas, pmodules.pas, scandir.pas:
	
	  * removed $threading

2005-02-06 01:05  florian <florian@freepascal.org>

	* compiler/: aasmtai.pas, pmodules.pas, systems.pas,
	systems/i_linux.pas, x86/agx86att.pas, x86/cgx86.pas,
	x86/nx86add.pas, x86/x86reg.dat, x86_64/cgcpu.pas,
	x86_64/r8664ari.inc, x86_64/r8664att.inc, x86_64/r8664con.inc,
	x86_64/r8664dwrf.inc, x86_64/r8664nor.inc, x86_64/r8664num.inc,
	x86_64/r8664op.inc, x86_64/r8664ot.inc, x86_64/r8664rni.inc,
	x86_64/r8664sri.inc, x86_64/r8664stab.inc, x86_64/r8664std.inc:
	
	  + x86_64 pic draft

2005-02-05 19:32  florian <florian@freepascal.org>

	* compiler/x86/cgx86.pas:
	
	  * fixed previous commit

2005-02-05 19:08  florian <florian@freepascal.org>

	* compiler/x86/cgx86.pas:
	
	  * fixed dword -> qword/int64 type cast on x86_64

2005-02-05 17:17  florian <florian@freepascal.org>

	* compiler/globals.pas:
	
	  + setting sse exception mask on x86_64

2005-02-05 11:25  peter <peter@freepascal.org>

	* compiler/utils/: Makefile, Makefile.fpc, fpc.cft, fpccfg.inc,
	fpcmkcfg.pp, fpcsubst.pp, usubst.pp:
	
	  * move tools to compiler/utils/

2005-02-04 17:30  peter <peter@freepascal.org>

	* compiler/ninl.pas:
	
	  * low(var) var must be valid

2005-02-04 17:30  peter <peter@freepascal.org>

	* compiler/psystem.pas:
	
	  * disable longstring

2005-02-03 22:43  peter <peter@freepascal.org>

	* compiler/symsym.pas:
	
	  * fix range check error when compiled with 1.9.6

2005-02-03 21:33  peter <peter@freepascal.org>

	* compiler/: Makefile, utils/Makefile:
	
	  * regenerated

2005-02-03 21:04  peter <peter@freepascal.org>

	* compiler/: paramgr.pas, arm/cpupara.pas, i386/cpupara.pas,
	powerpc/cpupara.pas, utils/samplecfg, x86_64/cpupara.pas:
	
	  * push_addr_param must be defined per target

2005-02-03 20:24  florian <florian@freepascal.org>

	* compiler/defcmp.pas:
	
	  + support for another explicit ugly delphi type cast added

2005-02-03 19:43  florian <florian@freepascal.org>

	* compiler/ncnv.pas:
	
	  * in delphi mode const sets from enumerations with values > 255
	are allowed if these elements aren't used

2005-02-03 19:32  peter <peter@freepascal.org>

	* compiler/x86_64/cpupara.pas:
	
	  * fix extended paraloc

2005-02-03 18:18  peter <peter@freepascal.org>

	* compiler/utils/samplecfg:
	
	  * updated comments

2005-02-03 18:11  peter <peter@freepascal.org>

	* compiler/: pdecsub.pas, pdecvar.pas:
	
	  * more procvar directive fixes

2005-02-03 18:10  peter <peter@freepascal.org>

	* compiler/pstatmnt.pas:
	
	  * check for-loop constants ranges

2005-02-03 18:10  peter <peter@freepascal.org>

	* compiler/: defutil.pas, i386/cgcpu.pas:
	
	  * fix win32 small array parameters

2005-02-03 04:54  karoly

	* compiler/systems/: i_amiga.pas, t_amiga.pas, t_morph.pas:
	
	t_morph.pas

2005-02-02 23:16  florian <florian@freepascal.org>

	* compiler/htypechk.pas:
	
	  * delphi assumes dyn. array access make expressions l-values
	because it's internally a pointer

2005-02-02 20:42  florian <florian@freepascal.org>

	* compiler/ptconst.pas:
	
	  + allow to take the address of a resourcestring in typed
	constants

2005-02-02 20:04  florian <florian@freepascal.org>

	* compiler/defcmp.pas:
	
	  * <class/interface>(<any ord. type>) in delphi mode allowed

2005-02-02 20:03  florian <florian@freepascal.org>

	* compiler/pdecvar.pas:
	
	  * fixed proc. vars with calling specifiers in usual var
	declarations

2005-02-02 20:02  florian <florian@freepascal.org>

	* compiler/symdef.pas:
	
	  * type = type <procvar>; ignored

2005-02-02 03:19  karoly

	* compiler/nobj.pas:
	
	  * removed debug writelns from florian's previous commit

2005-02-02 00:18  florian <florian@freepascal.org>

	* compiler/: nobj.pas, pdecvar.pas:
	
	  * fixed:
	    r1 = record
	      p : procedure stdcall;
	      i : longint;
	    end;

2005-02-01 23:50  florian <florian@freepascal.org>

	* compiler/: htypechk.pas, ncal.pas:
	
	  * inherited; works now in delphi mode for private methods; looks
	like a delphi bug

2005-02-01 18:57  olle

	* compiler/globals.pas:
	
	  * macpas now uses tp style proc params

2005-02-01 09:46  michael <michael.vancanneyt@wisa.be>

	* compiler/: globals.pas, parser.pas, pdecobj.pas, pdecsub.pas,
	pdecvar.pas, ptype.pas, symdef.pas:
	
	 * Patch from peter: fix macpas anonymous function procvar

2005-01-31 22:30  olle

	* compiler/: catch.pas, compiler.pas, globals.pas, nadd.pas:
	
	  + Added fake Exception classes, only for MACOS.

2005-01-31 22:27  peter <peter@freepascal.org>

	* compiler/pdecsub.pas:
	
	  * macpas procvars in parameters

2005-01-31 21:23  peter <peter@freepascal.org>

	* compiler/: nflw.pas, pstatmnt.pas:
	
	  * set varstate before parsing the instruction block in for
	statements

2005-01-31 20:41  peter <peter@freepascal.org>

	* compiler/ncgcon.pas:
	
	  * another guid range check error

2005-01-31 18:46  peter <peter@freepascal.org>

	* compiler/powerpc/cpupara.pas:
	
	  * fixed parseparaloc

2005-01-31 18:07  peter <peter@freepascal.org>

	* compiler/: aasmtai.pas, ncgbas.pas, rautils.pas,
	i386/ra386int.pas, x86/rax86.pas:
	
	  * fix [regpara] in intel assembler

2005-01-31 17:16  peter <peter@freepascal.org>

	* compiler/: ncgflw.pas, nflw.pas, pstatmnt.pas:
	
	  * for-node cleanup, checking for uninitialzed from and to values
	    is now supported

2005-01-31 17:15  peter <peter@freepascal.org>

	* compiler/nbas.pas:
	
	  * fix laststatement()

2005-01-31 17:15  peter <peter@freepascal.org>

	* compiler/nadd.pas:
	
	  * zero based array with elementsize>1 fix

2005-01-30 22:51  jonas <jonas.maebe@rug.ac.be>

	* compiler/: ncgcal.pas, ncgutil.pas, parabase.pas:
	
	  * fixed darwin cycle

2005-01-30 18:45  florian <florian@freepascal.org>

	* compiler/systems/i_linux.pas:
	
	  * better alignment on linux

2005-01-30 18:17  florian <florian@freepascal.org>

	* compiler/pdecvar.pas:
	
	  * variables exported by $J/$Z in macpas mode are never regable

2005-01-30 15:43  florian <florian@freepascal.org>

	* compiler/arm/: cgcpu.pas, cpunode.pas, narmobj.pas:
	
	  * fixed compilation of arm compiler

2005-01-30 13:03  peter <peter@freepascal.org>

	* compiler/systems/t_go32v2.pas:
	
	  * only add @link.res if source is go32v2

2005-01-30 12:26  peter <peter@freepascal.org>

	* compiler/: ncnv.pas, symconst.pas, symdef.pas:
	
	  * add info that a procedure is local in error messages

2005-01-30 12:03  peter <peter@freepascal.org>

	* compiler/i386/cpupara.pas:
	
	  * revert last commit

2005-01-29 12:36  peter <peter@freepascal.org>

	* compiler/: ncgcal.pas, parser.pas, i386/cpupara.pas,
	x86_64/cpupara.pas:
	
	  * update x86_64 with new cpupara

2005-01-29 01:40  peter <peter@freepascal.org>

	* compiler/ncgadd.pas:
	
	  * fixed x86_64 compile

2005-01-29 01:32  peter <peter@freepascal.org>

	* compiler/cgobj.pas:
	
	  * finalize for refcounted strings shall also reset temps to 0,
	the
	    previous exception that decrrefcnt already set it to 0 is not
	valid
	    anymore

2005-01-27 21:32  florian <florian@freepascal.org>

	* compiler/: cgobj.pas, ncgadd.pas, sparc/cgcpu.pas:
	
	  + implemented overflow checking for 64 bit types on sparc

2005-01-26 17:23  peter <peter@freepascal.org>

	* compiler/: catch.pas, compiler.pas, msgidx.inc, msgtxt.inc,
	nadd.pas, parser.pas, tpexcept.pas, msg/errore.msg:
	
	  * detect arithmetic overflows for constants at compile time
	  * use try..except instead of setjmp

2005-01-25 21:58  florian <florian@freepascal.org>

	* compiler/sparc/cgcpu.pas:
	
	  * fixed load64 which shouldn't do a make_simple_ref

2005-01-25 19:49  peter <peter@freepascal.org>

	* compiler/htypechk.pas:
	
	  * fix overload choosing with an qword overload
	  * allow to get the address of string temps in delphi mode

2005-01-25 19:48  peter <peter@freepascal.org>

	* compiler/i386/ra386int.pas:
	
	  * spaces in register names

2005-01-25 19:48  peter <peter@freepascal.org>

	* compiler/: systems.pas, systems/i_bsd.pas, systems/i_linux.pas,
	x86/cgx86.pas:
	
	  * tf_pic_uses_got added

2005-01-24 23:08  peter <peter@freepascal.org>

	* compiler/: cgobj.pas, ncgutil.pas, nobj.pas, pdecl.pas,
	pmodules.pas, symdef.pas, i386/cgcpu.pas, i386/cpunode.pas,
	i386/n386obj.pas, powerpc/cgcpu.pas, powerpc/cpunode.pas,
	powerpc/nppcobj.pas, sparc/cgcpu.pas, sparc/cpunode.pas,
	sparc/ncpuobj.pas, x86_64/cgcpu.pas, x86_64/cpunode.pas,
	x86_64/nx64obj.pas:
	
	  * interface wrapper generation moved to cgobj
	  * generate interface wrappers after the module is parsed

2005-01-24 22:39  peter <peter@freepascal.org>

	* compiler/ptconst.pas:
	
	  * remove multiple typeconvs for procvar

2005-01-24 21:44  florian <florian@freepascal.org>

	* compiler/i386/ag386int.pas:
	
	  * wrong prefix output for masm fixed

2005-01-24 19:18  olle

	* compiler/MPWMake:
	
	  + msg2inc now executed, utils is compiled

2005-01-24 19:13  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppcld.pas:
	
	  * fixed bug introduced in revision 1.6

2005-01-24 19:12  olle

	* compiler/comphook.pas:
	
	  * In MPW, whole path to source file is now displayed in messages.

2005-01-24 19:10  olle

	* compiler/comprsrc.pas:
	
	  + Mac style resource files can now be included in MacOS

2005-01-24 18:53  olle

	* compiler/systems/t_macos.pas:
	
	  + Mac style resource files can now be included in MacOS

2005-01-24 18:46  olle

	* compiler/ppu.pas:
	
	  + ppu files now has FPas as creator code on MacOS

2005-01-24 18:41  olle

	* compiler/utils/msg2inc.pp:
	
	  + added support for macos

2005-01-23 23:13  florian <florian@freepascal.org>

	* compiler/globals.pas:
	
	  * fixed math constants for big endian cpus

2005-01-23 22:47  florian <florian@freepascal.org>

	* compiler/ninl.pas:
	
	  * another improvement of pi handling

2005-01-23 22:09  florian <florian@freepascal.org>

	* compiler/: globals.pas, globtype.pas, ninl.pas:
	
	  + added pi bit pattern to the compiler, so pi should always be
	correct

2005-01-23 18:14  florian <florian@freepascal.org>

	* compiler/: ncgld.pas, nld.pas, sparc/cgcpu.pas, sparc/cpugas.pas:
	
	  + optimized code generation on sparc
	  + some stuff for pic code on sparc added

2005-01-22 21:05  florian <florian@freepascal.org>

	* compiler/msg/errorhe.msg:
	
	  * update from Ido Kanner aka ik_5

2005-01-20 22:28  florian <florian@freepascal.org>

	* compiler/ncgadd.pas:
	
	  * optimized register usage for non-x86 e.g. 3 operand cpus

2005-01-20 18:47  peter <peter@freepascal.org>

	* compiler/: cgobj.pas, ncgcal.pas, ncgutil.pas, paramgr.pas,
	m68k/ncpuadd.pas, powerpc/cpupara.pas, powerpc/nppcld.pas,
	sparc/cpupara.pas:
	
	  * remove copy_value_on_stack and a_param_copy_ref

2005-01-20 18:32  peter <peter@freepascal.org>

	* compiler/scandir.pas:
	
	  * $COPERATORS added

2005-01-20 18:29  peter <peter@freepascal.org>

	* compiler/: msgidx.inc, msgtxt.inc, verbose.pas, msg/errore.msg:
	
	  * fixed -vv

2005-01-20 18:05  peter <peter@freepascal.org>

	* compiler/: cutils.pas, options.pas, pexpr.pas, raatt.pas,
	rautils.pas, scandir.pas, scanner.pas, i386/ra386int.pas:
	
	  * use val() for decoding integers

2005-01-20 17:38  peter <peter@freepascal.org>

	* compiler/: cgobj.pas, globals.pas, ncgutil.pas, pdecl.pas,
	symtable.pas, alpha/cpuinfo.pas, arm/cpuinfo.pas, i386/cpubase.inc,
	m68k/cpubase.pas, powerpc/cpubase.pas, sparc/cpubase.pas,
	vis/cpuinfo.pas, x86_64/cpuinfo.pas:
	
	  * load jmp_buf_size from system unit

2005-01-20 00:23  florian <florian@freepascal.org>

	* compiler/htypechk.pas:
	
	  * taking the address of a resourcestring is allowed now

2005-01-19 23:19  peter <peter@freepascal.org>

	* compiler/: fmodule.pas, fppu.pas, htypechk.pas, ncal.pas,
	parser.pas, pbase.pas, pdecsub.pas, pmodules.pas, ppu.pas,
	psystem.pas, ptype.pas, raatt.pas, rautils.pas, symbase.pas,
	symdef.pas, symtable.pas, symtype.pas, i386/ra386int.pas,
	powerpc/nppcld.pas, utils/ppudump.pp:
	
	  * unit mapping rewrite
	  * new derefmap added

2005-01-19 22:10  peter <peter@freepascal.org>

	* compiler/version.pas:
	
	  * build wordversion from constants

2005-01-19 21:53  florian <florian@freepascal.org>

	* compiler/htypechk.pas:
	
	  * tmypointer(12435)^ is an l-value

2005-01-19 21:21  peter <peter@freepascal.org>

	* compiler/i386/ra386int.pas:
	
	  * support labels in references

2005-01-19 21:04  florian <florian@freepascal.org>

	* compiler/ncgutil.pas:
	
	  * init./final code isn't created for pure assembler procedures
	anymore

2005-01-18 23:19  peter <peter@freepascal.org>

	* compiler/: cg64f32.pas, cgobj.pas, ncgcal.pas, ncgutil.pas,
	parabase.pas, paramgr.pas, i386/cgcpu.pas, i386/cpupara.pas:
	
	  * multiple location support for i386 a_param_ref
	  * remove a_param_copy_ref for i386

2005-01-18 18:49  peter <peter@freepascal.org>

	* compiler/i386/ag386nsm.pas:
	
	  * fix section names

2005-01-18 16:44  peter <peter@freepascal.org>

	* compiler/scandir.pas:
	
	  * ignore more delphi directives

2005-01-16 15:47  florian <florian@freepascal.org>

	* compiler/symdef.pas:
	
	  * typeinfo in typedata is now aligned

2005-01-16 15:44  peter <peter@freepascal.org>

	* compiler/: msgidx.inc, msgtxt.inc, nflw.pas:
	
	  * fix unreachable code check for repeat loop

2005-01-16 12:56  peter <peter@freepascal.org>

	* compiler/nadd.pas:
	
	  * fixed some tabs

2005-01-16 12:13  peter <peter@freepascal.org>

	* compiler/nadd.pas:
	
	  * ord-ord always gives a signed result

2005-01-16 11:50  peter <peter@freepascal.org>

	* compiler/nflw.pas:
	
	  * give warning for unreachable code in while/if statements

2005-01-15 22:45  florian <florian@freepascal.org>

	* compiler/arm/cpupara.pas:
	
	  * arm compiler fixed

2005-01-15 21:36  olle

	* compiler/msg/errore.msg:
	
	  + added help for -Se[whn]

2005-01-14 22:04  armin

	* compiler/utils/fpc.pp:
	
	* added .nlm extension for netware

2005-01-14 21:59  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cpupara.pas:
	
	  * fixed overallocation of stack space for parameters under SYSV
	    (introduced in one of my previous commits)
	  * unified code of get_volatile_registers_fpu for SYSV and AIX

2005-01-13 23:02  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/: cgcpu.pas, cpupara.pas:
	
	  * r2 can be used by the register allocator under Darwin
	  * merged the initialisations of the fpu register allocator for
	AIX and
	    SYSV

2005-01-13 22:29  olle

	* compiler/systems/mac_crea.txt:
	
	  + Added this confirmation from Apple Computer about our ownership
	of the MacOS creator code 'FPas'

2005-01-13 20:32  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cpupara.pas:
	
	  * fixed copy_value_on_stack() for AIX abi
	  + added support for passing empty record parameters

2005-01-13 20:31  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgutil.pas:
	
	  + support LOC_VOID in gen_load_para_value()

2005-01-12 11:02  florian <florian@freepascal.org>

	* compiler/ncgcal.pas:
	
	  * removed ie20050111

2005-01-11 18:07  peter <peter@freepascal.org>

	* compiler/: Makefile, utils/Makefile:
	
	  * regenerated

2005-01-10 23:49  armin

	* compiler/: Makefile, Makefile.fpc:
	
	* updated makefile.fpc versions to 1.9.7, regenerated makefiles

2005-01-10 23:10  peter <peter@freepascal.org>

	* compiler/: defcmp.pas, defutil.pas, htypechk.pas, nadd.pas:
	
	  * widestring patches from Alexey Barkovoy

2005-01-10 22:50  jonas <jonas.maebe@rug.ac.be>

	* compiler/: ncgcal.pas, ncgutil.pas, parabase.pas, paramgr.pas,
	i386/cpupara.pas, powerpc/cgcpu.pas, powerpc/cpupara.pas,
	sparc/cpupara.pas:
	
	  + support for passing records in registers under darwin
	  * tcgpara now also has an intsize field, which contains the size
	in
	    bytes of the whole parameter

2005-01-10 22:48  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cpubase.pas:
	
	  - removed deprecated constants

2005-01-10 22:29  peter <peter@freepascal.org>

	* compiler/: Makefile, utils/Makefile:
	
	  * regenerated to use cpu-os

2005-01-10 22:01  olle

	* compiler/: msg/errore.msg, fppu.pas, msgidx.inc, msgtxt.inc:
	
	  - disabled macro diff message

2005-01-10 21:41  peter <peter@freepascal.org>

	* compiler/nobj.pas:
	
	  * write realname for published methods

2005-01-10 16:56  peter <peter@freepascal.org>

	* compiler/systems/t_linux.pas:
	
	  * generate export jmps in .text section

2005-01-10 16:54  peter <peter@freepascal.org>

	* compiler/ogelf.pas:
	
	  * Cleanup of writing of relocations to symbols
	  * Only local symbols will now use a constant value or section
	relocation

2005-01-09 21:24  olle

	* compiler/: compiler.pas, fmodule.pas, fppu.pas, globals.pas,
	msgidx.inc, msgtxt.inc, options.pas, parser.pas, pmodules.pas,
	ppu.pas, scandir.pas, scanner.pas, symbase.pas, symconst.pas,
	symsym.pas, symtable.pas, msg/errore.msg, utils/ppudump.pp:
	
	  * rework of macro subsystem
	  + exportable macros for mode macpas

2005-01-09 21:17  peter <peter@freepascal.org>

	* compiler/msg/errore.msg:
	
	  * fix TeX issues

2005-01-09 17:35  olle

	* compiler/systems/t_macos.pas:
	
	  + linker response file is now removed after linking

2005-01-09 17:13  peter <peter@freepascal.org>

	* compiler/utils/msg2inc.pp:
	
	  * don't force to add .tex

2005-01-09 16:05  peter <peter@freepascal.org>

	* compiler/: ncgcnv.pas, nobj.pas, ptconst.pas, symdef.pas:
	
	  * fix interface vtbl optimization
	  * replace ugly pointer construct of ioffset()

2005-01-09 16:04  peter <peter@freepascal.org>

	* compiler/ncnv.pas:
	
	  * fix crash with -CR

2005-01-09 00:14  peter <peter@freepascal.org>

	* compiler/options.pas:
	
	  * Allow #include ~/.fpc.cfg

2005-01-08 17:00  florian <florian@freepascal.org>

	* compiler/x86/cgx86.pas:
	
	  * fixed loadaddr; I wonder how it ever worked

2005-01-08 15:05  florian <florian@freepascal.org>

	* compiler/ptconst.pas:
	
	  * typed dyn. array constants can be only nil pointer

2005-01-08 05:10  karoly

	* compiler/m68k/: agcpugas.pas, cgcpu.pas, cpubase.pas,
	n68kcnv.pas, ncpuadd.pas, n68kmat.pas:
	
	  * made m68k to compile again

2005-01-07 22:14  florian <florian@freepascal.org>

	* compiler/: defcmp.pas, ncnv.pas:
	
	  + compiler side of variant<->interface implemented

2005-01-07 17:22  florian <florian@freepascal.org>

	* compiler/: ncgcal.pas, parabase.pas, sparc/cgcpu.pas,
	sparc/cpupara.pas, sparc/ncpucall.pas, sparc/opcode.inc,
	sparc/strinst.inc:
	
	  + implemented abi compliant handling of strucutured functions
	results on sparc platform

2005-01-07 17:22  peter <peter@freepascal.org>

	* compiler/htypechk.pas:
	
	  * handle string-open array of (wide)char without variants

2005-01-07 11:58  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cpupara.pas:
	
	  * fixed stupid tregister/tsuperregister bug (type checking
	circumvented
	    using explicit typecase), caused bug3523

2005-01-06 14:40  florian <florian@freepascal.org>

	* compiler/: globals.pas, ncnv.pas:
	
	  * 1.0.10 starting patch from Peter

2005-01-06 14:30  florian <florian@freepascal.org>

	* compiler/: defcmp.pas, ncnv.pas, pdecvar.pas:
	
	  * widechararray patch from Peter

2005-01-06 13:11  florian <florian@freepascal.org>

	* compiler/arm/narminl.pas:
	
	  * arctan, sin and cos are done in software on the arm

2005-01-06 10:20  karoly

	* compiler/globals.pas:
	
	  * made Shell() work correctly on MorphOS

2005-01-06 03:13  karoly

	* compiler/: pdecsub.pas, scandir.pas, symconst.pas, tokens.pas,
	powerpc/cpupara.pas, powerpc/nppccal.pas:
	
	  * more SysV call support stuff for MorphOS

2005-01-05 20:01  karoly

	* compiler/powerpc/: cgcpu.pas, cpupara.pas:
	
	  * sysv abi also uses F0-F13 as volatile registers

2005-01-05 18:31  florian <florian@freepascal.org>

	* compiler/msg/errore.msg:
	
	  + new error msg for arm shifter op handling added

2005-01-05 16:22  florian <florian@freepascal.org>

	* compiler/: msgidx.inc, msgtxt.inc, rautils.pas, arm/raarmgas.pas:
	
	  * added support of shifter ops in arm inline assembler

2005-01-05 03:31  karoly

	* compiler/: pdecsub.pas, symconst.pas, powerpc/nppccal.pas:
	
	  * fixed SysV syscall support (MorphOS)

2005-01-04 22:00  florian <florian@freepascal.org>

	* compiler/arm/cgcpu.pas:
	
	  * not operator for byte/word fixed

2005-01-04 21:15  florian <florian@freepascal.org>

	* compiler/arm/cgcpu.pas:
	
	  * load_reg_reg fixed

2005-01-04 21:14  florian <florian@freepascal.org>

	* compiler/ncgset.pas:
	
	  * better commenting

2005-01-04 20:22  olle

	* compiler/tokens.pas:
	
	  * sorted in correctly new tokens added by Karoly

2005-01-04 19:39  olle

	* compiler/switches.pas:
	
	  * made macpas switches in sync with turbo switches

2005-01-04 18:40  karoly

	* compiler/: globals.pas, pdecsub.pas, scandir.pas, symconst.pas,
	tokens.pas, powerpc/nppccal.pas:
	
	  + sysv style syscalls added for MorphOS

2005-01-04 17:52  peter <peter@freepascal.org>

	* compiler/pdecvar.pas:
	
	  * don't typecast index of indexed properties

2005-01-04 17:39  peter <peter@freepascal.org>

	* compiler/: node.pas, nutils.pas:
	
	  * set nf_is_self node flag when self is loaded

2005-01-04 17:39  peter <peter@freepascal.org>

	* compiler/ptype.pas:
	
	  * allow enum with jumps as array index in delphi mode

2005-01-04 17:38  peter <peter@freepascal.org>

	* compiler/symsym.pas:
	
	  * fix setting minval for enum with specified values

2005-01-04 17:38  peter <peter@freepascal.org>

	* compiler/pexpr.pas:
	
	  * don't allow properties in C style operators

2005-01-04 17:37  peter <peter@freepascal.org>

	* compiler/pdecvar.pas:
	
	  * give error when property doesn't reference a method or field

2005-01-04 17:37  peter <peter@freepascal.org>

	* compiler/ncgld.pas:
	
	  * don't release temps for array of ansistring

2005-01-04 17:36  peter <peter@freepascal.org>

	* compiler/ncgcal.pas:
	
	  * release temps in array constructor

2005-01-04 17:36  peter <peter@freepascal.org>

	* compiler/: ncal.pas, psub.pas:
	
	  * fix aftercosntruction calls, vmt=1 is used to indicate that
	    afterconstruction needs to be called
	  * only accept resourcestring when objpas is loaded

2005-01-04 17:34  peter <peter@freepascal.org>

	* compiler/scanner.pas:
	
	  * give error when reading identifier > 255 chars

2005-01-04 17:20  florian <florian@freepascal.org>

	* compiler/: globals.pas, globtype.pas:
	
	  * fixed nan et al. handling on arm

2005-01-04 17:19  florian <florian@freepascal.org>

	* compiler/options.pas:
	
	  * arm sets FPUFPA by default for now

2005-01-04 17:18  florian <florian@freepascal.org>

	* compiler/scandir.pas:
	
	  * prepared for fpu mode depended define

2005-01-04 16:36  florian <florian@freepascal.org>

	* compiler/arm/cgcpu.pas:
	
	  * implemented nostackframe calling convention directive

2005-01-03 23:27  peter <peter@freepascal.org>

	* compiler/: ncgutil.pas, psub.pas, symsym.pas:
	
	  * insert stack_check helper call before doing register allocation
	    so the used registers can't be reused when parameters are
	loaded
	    into register variables

2005-01-03 21:27  peter <peter@freepascal.org>

	* compiler/options.pas:
	
	fix outline of 3rd level of options (-SI option mainly)

2005-01-03 18:55  florian <florian@freepascal.org>

	* compiler/: defcmp.pas, ncnv.pas, nflw.pas, node.pas, symdef.pas:
	
	  + first batch of patches to support tdef.getcopy fully

2005-01-03 15:59  jonas <jonas.maebe@rug.ac.be>

	* compiler/i386/daopt386.pas:
	
	  * remove "release subregA; allocate other_subreg_of_A" sequences
	so the
	    register renaming doesn't stop early

2005-01-02 18:31  peter <peter@freepascal.org>

	* compiler/nadd.pas:
	
	unsigned*unsigned will also have unsigned result.

2005-01-02 17:58  peter <peter@freepascal.org>

	* compiler/: ncal.pas, ncgcal.pas:
	
	  * Don't release methodpointer. It is maybe still needed when we
	need to
	   convert the calln to loadn

2005-01-02 11:20  florian <florian@freepascal.org>

	* compiler/: msgtxt.inc, version.pas, msg/errore.msg:
	
	  * version and copyright increased

2005-01-01 21:18  armin

	* compiler/link.pas:
	
	* increased maxsize of ExeCmd and DllCmd

2005-01-01 21:08  armin

	* compiler/systems/t_nwm.pas:
	
	* support ! in import file names for netware also

2005-01-01 20:30  florian <florian@freepascal.org>

	* compiler/arm/cpupara.pas:
	
	  * ie with array of const;cdecl; fixed

2005-01-01 17:23  florian <florian@freepascal.org>

	* compiler/msg/errord.msg:
	
	  * cleanup

2005-01-01 16:17  florian <florian@freepascal.org>

	* compiler/msg/errorhe.msg:
	
	  * initial (non-complete) version by Ido Kanner aka ik_5

2005-01-01 15:32  florian <florian@freepascal.org>

	* compiler/ncgadd.pas:
	
	  * maybe_constant means also that a loc can be CREGISTER

2005-01-01 14:19  florian <florian@freepascal.org>

	* compiler/sparc/cgcpu.pas:
	
	  * improved code generation for OP_MUL/OP_IMUL

2004-12-31 22:34  olle

	* compiler/MPWMake:
	
	  + first version

2004-12-31 08:50  marco <marcov@stack.nl>

	* compiler/Makefile:
	
	 * regened with correct VERSION

2004-12-31 08:43  marco <marcov@stack.nl>

	* compiler/Makefile.fpc:
	
	 * Makefile regened

2004-12-30 20:06  jonas <jonas.maebe@rug.ac.be>

	* compiler/msgtxt.inc:
	
	  * fixes to interface style help

2004-12-30 20:01  peter <peter@freepascal.org>

	* compiler/version.pas:
	
	  * back to 1.9.5 for HEAD

2004-12-30 19:37  peter <peter@freepascal.org>

	* compiler/version.pas:
	
	  * 1.9.6

2004-12-30 18:41  hajny <xhajt03@mbox.vol.cz>

	* compiler/systems/: t_os2.pas, t_emx.pas:
	
	  * missing utilsprefix added

2004-12-30 15:51  jonas <jonas.maebe@rug.ac.be>

	* compiler/i386/csopt386.pas:
	
	  * no more moving the loading of regvars past conditional jumps

2004-12-30 15:36  florian <florian@freepascal.org>

	* compiler/symdef.pas:
	
	  * alignment fixes for sparc

2004-12-30 14:49  jonas <jonas.maebe@rug.ac.be>

	* compiler/i386/daopt386.pas:
	
	  * fixed checking of overlapping references

2004-12-29 12:54  michael <michael.vancanneyt@wisa.be>

	* compiler/msg/errore.msg:
	
	+ Fixed interface style help

2004-12-28 23:07  olle

	* compiler/utils/fpc.mpw:
	
	  + script which mimics the fpc program on MPW

2004-12-28 23:02  olle

	* compiler/comphook.pas:
	
	  * fixed typo in MPW error msg

2004-12-28 23:00  olle

	* compiler/systems/t_macos.pas:
	
	  + suppression of link varning of 'qd'

2004-12-28 21:43  hajny <xhajt03@mbox.vol.cz>

	* compiler/: systems.pas, fmodule.pas, globals.pas, options.pas,
	systems/i_atari.pas, systems/i_emx.pas, systems/i_go32v2.pas,
	systems/i_os2.pas, systems/i_watcom.pas, systems/i_wdosx.pas:
	
	  * 8.3 fixes (short target name in paths)

2004-12-28 21:39  hajny <xhajt03@mbox.vol.cz>

	* compiler/systems/t_os2.pas:
	
	  * don't put quoted paths in link.res for OS/2

2004-12-28 19:01  jonas <jonas.maebe@rug.ac.be>

	* compiler/i386/: csopt386.pas, daopt386.pas:
	
	  * fixed several regvar related bugs, cycle with -OZp3r doesn't
	work
	    yet though

2004-12-28 03:25  olle

	* compiler/powerpc/: cpubase.pas, agppcgas.pas:
	
	  * fixed compilation for PowerPC

2004-12-28 02:39  olle

	* compiler/comphook.pas:
	
	  + added support for MPW error messages
	  + added support for cooperative multitasking under MPW

2004-12-27 20:48  hajny <xhajt03@mbox.vol.cz>

	* compiler/script.pas:
	
	  * missing maybequoted() added for deletion of generated .s files
	during external assembly

2004-12-27 18:32  peter <peter@freepascal.org>

	* compiler/pdecsub.pas:
	
	  * don't parse public,private,protected as procdirectives, leave
	    procdirective parsing before any other check is done

2004-12-27 17:54  peter <peter@freepascal.org>

	* compiler/ncnv.pas:
	
	  * also don't call procvar when converting to procvar

2004-12-27 17:36  peter <peter@freepascal.org>

	* compiler/ncal.pas:
	
	  * fix crash with callnode.ppuload when symtableproc=nil

2004-12-27 17:35  peter <peter@freepascal.org>

	* compiler/: globtype.pas, psub.pas, symtable.pas:
	
	  * set flag if a procedure references a symbol in staticsymtable

2004-12-27 16:54  florian <florian@freepascal.org>

	* compiler/: cgbase.pas, symdef.pas:
	
	  * fixed class field info alignment

2004-12-27 16:20  jonas <jonas.maebe@rug.ac.be>

	* compiler/i386/csopt386.pas:
	
	  * fixed internalerror when cycling with -O3p3u

2004-12-27 15:41  jonas <jonas.maebe@rug.ac.be>

	* compiler/psub.pas:
	
	  - disable inlining for any procedure that contains assembler.
	Could
	    be enabled again if the procedure has neither local variables
	nor
	    parameters.

2004-12-26 21:16  peter <peter@freepascal.org>

	* compiler/nobj.pas:
	
	  * also compare procoptions and proctype when searching interface
	    implementations

2004-12-26 21:12  peter <peter@freepascal.org>

	* compiler/: msgidx.inc, msgtxt.inc, pdecsub.pas, msg/errore.msg:
	
	  * don't allow class methods in interfaces

2004-12-26 21:11  peter <peter@freepascal.org>

	* compiler/pdecobj.pas:
	
	  * fix invalid typecast

2004-12-26 21:09  peter <peter@freepascal.org>

	* compiler/ncgcnv.pas:
	
	  * typecast float to non-float needs a move to memory

2004-12-26 17:22  peter <peter@freepascal.org>

	* compiler/: ncal.pas, ncnv.pas, nflw.pas, nmem.pas, node.pas,
	nutils.pas, pexpr.pas, pstatmnt.pas:
	
	  * fix lineinfo for with blocks

2004-12-26 17:21  peter <peter@freepascal.org>

	* compiler/nld.pas:
	
	  * resourcestring does not need exception frame

2004-12-25 13:29  florian <florian@freepascal.org>

	* compiler/ncgcnv.pas:
	
	  * fixed extended->double/single conversion when using sse

2004-12-25 11:48  florian <florian@freepascal.org>

	* compiler/ncgcnv.pas:
	
	  * optimized float to float conversion

2004-12-24 16:00  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cpupara.pas:
	
	  * fixed call-by-value passing of records with size 1, 2 or 4 for
	AIX abi
	    (using a hack, normally all records should by passed by value
	under the
	     aix abi, but that's currently impossible)

2004-12-24 12:58  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppcadd.pas:
	
	  - removed unused variables

2004-12-24 12:51  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cgcpu.pas:
	
	  * fixed a_jmp_name() for darwin

2004-12-23 19:45  jonas <jonas.maebe@rug.ac.be>

	* compiler/systems/t_morph.pas:
	
	  * fixed typo

2004-12-22 18:09  peter <peter@freepascal.org>

	* compiler/: raatt.pas, rautils.pas, i386/ra386int.pas,
	x86/rax86att.pas:
	
	  * support sizeof()
	  * fix typecasting a constant like dword(4)

2004-12-22 17:32  peter <peter@freepascal.org>

	* compiler/: assemble.pas, link.pas, systems/t_beos.pas,
	systems/t_bsd.pas, systems/t_emx.pas, systems/t_linux.pas,
	systems/t_macos.pas, systems/t_morph.pas, systems/t_nwl.pas,
	systems/t_nwm.pas, systems/t_os2.pas, systems/t_palmos.pas,
	systems/t_sunos.pas:
	
	  * maybequoted() added

2004-12-21 09:38  michael <michael.vancanneyt@wisa.be>

	* compiler/symtable.pas:
	
	+ Enable local debug info in methods

2004-12-20 19:37  peter <peter@freepascal.org>

	* compiler/: Makefile, utils/Makefile:
	
	  * regenerated

2004-12-19 22:34  peter <peter@freepascal.org>

	* compiler/x86/aasmcpu.pas:
	
	  * A_IMUL readwrite operand 1

2004-12-19 18:42  peter <peter@freepascal.org>

	* compiler/: Makefile, Makefile.fpc, utils/Makefile:
	
	  * regenerated

2004-12-19 15:03  florian <florian@freepascal.org>

	* compiler/systems/t_linux.pas:
	
	  * dyn. linker path fixed for x86_64

2004-12-18 16:48  florian <florian@freepascal.org>

	* compiler/: sparc/cgcpu.pas, ncgld.pas:
	
	  * fixed some alignment trouble

2004-12-18 16:21  florian <florian@freepascal.org>

	* compiler/i386/popt386.pas:
	
	  * the optimization fstp f;fld f to fst f disabled; leads to
	rounding problems

2004-12-18 16:16  jonas <jonas.maebe@rug.ac.be>

	* compiler/i386/: csopt386.pas, daopt386.pas:
	
	  * fixed tracking of usage of flags register
	  * fixed destroying of "memwrite"'s
	  * fixed checking of entire sequences in all cases (previously
	this was
	    only guaranteed if the new sequence was longer than the old
	one, and
	    not if vice versa)
	  * fixed wrong removal of sequences if a register load was already
	    completely removed in the previous sequence (because in that
	case,
	    that register has to be removed and renamed in the new sequence
	as
	    well before removing the new sequence)

2004-12-18 15:07  jonas <jonas.maebe@rug.ac.be>

	* compiler/i386/daopt386.pas:
	
	  * fixed compilation with -dcsdebug -dallocregdebug

2004-12-16 09:06  marco <marcov@stack.nl>

	* compiler/options.pas:
	
	 * slash typo

2004-12-15 22:09  peter <peter@freepascal.org>

	* compiler/symtype.pas:
	
	  * 64bit typecast

2004-12-15 22:08  peter <peter@freepascal.org>

	* compiler/: globtype.pas, ncal.pas, psub.pas:
	
	  * disable inlining across units when the inline procedure
	references
	    a variable or procedure in the static symtable

2004-12-15 20:30  peter <peter@freepascal.org>

	* compiler/: pdecsub.pas, powerpc/cpupara.pas:
	
	  * syscall with sysv abi for morphos

2004-12-15 20:30  peter <peter@freepascal.org>

	* compiler/ncal.pas:
	
	  * give error when paraloc is not filled in order_parameter

2004-12-15 18:01  peter <peter@freepascal.org>

	* compiler/psub.pas:
	
	  * fixed crash with -vp

2004-12-15 17:06  marco <marcov@stack.nl>

	* compiler/: globals.pas, options.pas:
	
	 * introduction "cleanpath" (=fexpand), fixfilename(paramstr(0)) +
	search $PREFIX/etc/fpc.cfg

2004-12-15 17:00  peter <peter@freepascal.org>

	* compiler/: msgidx.inc, msgtxt.inc, ncgutil.pas, nutils.pas,
	pdecsub.pas, psub.pas, msg/errore.msg:
	
	  * external is again allowed in implementation

2004-12-15 16:59  peter <peter@freepascal.org>

	* compiler/symtable.pas:
	
	  * fix visibility of protected/private

2004-12-15 16:27  jonas <jonas.maebe@rug.ac.be>

	* compiler/nutils.pas:
	
	  * fixed foreachnode(static) for case nodes (fixes inlining of
	case
	    statements)

2004-12-12 15:07  peter <peter@freepascal.org>

	* compiler/x86_64/: aoptcpu.pas, aoptcpub.pas, aoptcpud.pas:
	
	  * generic optimizer

2004-12-12 13:56  peter <peter@freepascal.org>

	* compiler/: ncgbas.pas, x86_64/cpubase.inc, x86_64/cpupara.pas:
	
	  * compile fixes for x86_64

2004-12-12 13:33  peter <peter@freepascal.org>

	* compiler/: Makefile, Makefile.fpc, depend:
	
	  * small optimization with options passed to cycle

2004-12-12 11:50  florian <florian@freepascal.org>

	* compiler/: cgbase.pas, msgidx.inc, msgtxt.inc, rautils.pas,
	i386/ag386int.pas, i386/cpubase.inc, i386/daopt386.pas,
	msg/errore.msg, x86/aasmcpu.pas, x86/cgx86.pas, x86/itcpugas.pas:
	
	  * fixed operand size calculation for sse operands
	  + all nasm assembler targets to help page output added

2004-12-12 01:35  florian <florian@freepascal.org>

	* compiler/systems.pas:
	
	  * check if the selected assembler supports current target
	improved

2004-12-12 01:31  florian <florian@freepascal.org>

	* compiler/systems.pas:
	
	  * check if the selected assembler supports current target

2004-12-11 16:25  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgcnv.pas:
	
	  - removed superfluous location_force_reg() in second_nothing

2004-12-11 16:19  jonas <jonas.maebe@rug.ac.be>

	* compiler/pdecvar.pas:
	
	  * external vars are not regable

2004-12-11 15:39  florian <florian@freepascal.org>

	* compiler/systems/: i_linux.pas, i_morph.pas, i_palmos.pas:
	
	  * made some target short names look more nicer

2004-12-11 13:42  jonas <jonas.maebe@rug.ac.be>

	* compiler/: ncgutil.pas, powerpc/cgcpu.pas:
	
	  * fixed synchronising 64bit regvars on 32bit systems at the start
	and
	    end of procedures
	  * hack for ppc for loading of paras from their callee location to
	local
	    temps

2004-12-11 02:04  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgset.pas:
	
	  * fixed regvar problem due to emit_bit_test() changing a register
	that
	    was allowed to be a LOC_CREGISTER

2004-12-11 02:03  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgutil.pas:
	
	  * fixed int64 regvar bug in location_force_register

2004-12-11 00:38  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgcnv.pas:
	
	  * fixed type conversion between same-size ints with different
	signs in
	    case the value is already in a register

2004-12-10 14:16  jonas <jonas.maebe@rug.ac.be>

	* compiler/nutils.pas:
	
	  * certain type conversions have no cost (also fixes problem of
	    inc(int64) with regvars turned on on non-64bit platforms)

2004-12-07 17:11  peter <peter@freepascal.org>

	* compiler/: ncal.pas, ncnv.pas, pdecsub.pas, pdecvar.pas,
	pstatmnt.pas, psystem.pas, symsym.pas:
	
	  * set vo_explicit_paraloc flag

2004-12-07 16:41  peter <peter@freepascal.org>

	* compiler/symdef.pas:
	
	  * modified algorithm for shortening manglednames to fix
	compilation
	    of procedures with a lot of longtypenames that are equal, see
	    tw343

2004-12-07 14:52  michael <michael.vancanneyt@wisa.be>

	* compiler/: nld.pas, psystem.pas, symdef.pas:
	
	  * Convert array of widechar to pwidechar instead of pchar

2004-12-06 20:23  peter <peter@freepascal.org>

	* compiler/: msgidx.inc, msgtxt.inc, pexpr.pas, pmodules.pas,
	ppu.pas, msg/errore.msg:
	
	implicit load of variants unit

2004-12-06 19:06  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppccal.pas:
	
	  * only set/clear bit 6 of cr in case of varargs for the sysv abi

2004-12-06 18:53  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppcmat.pas:
	
	  * introduced bug (x shl 65 = x shl 1 when shifting with a 
	constant, but
	    still 0 otherwise) to pass tshlshr

2004-12-06 16:57  peter <peter@freepascal.org>

	* compiler/nadd.pas:
	
	* fix methodpointer compare, compare only the proc field

2004-12-05 17:54  hajny <xhajt03@mbox.vol.cz>

	* compiler/utils/Makefile:
	
	  * Makefiles regenerated

2004-12-05 17:46  hajny <xhajt03@mbox.vol.cz>

	* compiler/Makefile:
	
	  * Makefiles regenerated

2004-12-05 13:28  peter <peter@freepascal.org>

	* compiler/: defcmp.pas, htypechk.pas, ncal.pas, ncgcal.pas,
	ncgcnv.pas, ncgmem.pas, ncgset.pas, ncgutil.pas, ncnv.pas,
	ninl.pas, nld.pas, nmem.pas, node.pas, nutils.pas, pdecsub.pas,
	pexpr.pas, pinline.pas, pstatmnt.pas, psub.pas, ptconst.pas,
	symconst.pas, symdef.pas, systems/t_win32.pas:
	
	  * procvar handling for tp procvar mode fixed
	  * proc to procvar moved from addrnode to typeconvnode
	  * inlininginfo is now allocated only for inline routines that
	    can be inlined, introduced a new flag po_has_inlining_info

2004-12-05 13:25  hajny <xhajt03@mbox.vol.cz>

	* compiler/systems/: t_emx.pas, t_os2.pas:
	
	  * fix for compilation on 8.3 filesystems

2004-12-05 13:15  florian <florian@freepascal.org>

	* compiler/ncnv.pas:
	
	  * fixed compiler side of variant <-> dyn. array conversion

2004-12-05 01:32  olle

	* compiler/pdecsub.pas:
	
	  + bugfix for $Z+ for mode macpas

2004-12-04 22:47  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/: cgcpu.pas, cpupara.pas:
	
	  * modifications to work with the generic code to copy
	LOC_REFERENCE
	    parameters to local temps (fixes tests/test/cg/tmanypara)

2004-12-04 16:23  florian <florian@freepascal.org>

	* compiler/sparc/ncpuset.pas:
	
	  * fixed compilation

2004-12-03 17:07  peter <peter@freepascal.org>

	* compiler/ncal.pas:
	
	  * fix crashes with nodeinlining

2004-12-03 17:06  peter <peter@freepascal.org>

	* compiler/ncgutil.pas:
	
	  * fix for int64 parameters passed in a single LOC_REFERENCE of 8
	bytes

2004-12-03 17:04  peter <peter@freepascal.org>

	* compiler/: nbas.pas, ncgbas.pas:
	
	  * use tlocation for tempnodes

2004-12-03 16:58  peter <peter@freepascal.org>

	* compiler/cg64f32.pas:
	
	  * LOC_CREGISTER fix

2004-12-03 16:57  peter <peter@freepascal.org>

	* compiler/symdef.pas:
	
	  * int64 can also be put in a register

2004-12-03 16:57  peter <peter@freepascal.org>

	* compiler/aasmbase.pas:
	
	  * fix for 1.9.4 that IE'd when rebuilding fpc

2004-12-02 20:26  peter <peter@freepascal.org>

	* compiler/: ncal.pas, ncgbas.pas, ncgcal.pas, node.pas,
	nutils.pas, psub.pas:
	
	  * disable pass2inline

2004-11-30 19:13  jonas <jonas.maebe@rug.ac.be>

	* compiler/: cgobj.pas, msgtxt.inc, ncgset.pas, nset.pas,
	pstatmnt.pas, symdef.pas, i386/n386set.pas, powerpc/nppcset.pas,
	msg/errore.msg:
	
	  * patch from Peter to fix inlining of case statements

2004-11-29 22:50  peter <peter@freepascal.org>

	* compiler/pdecsub.pas:
	
	  * public is allowd in interface

2004-11-29 22:40  peter <peter@freepascal.org>

	* compiler/htypechk.pas:
	
	  * fixed wrong calculation for checking default parameters

2004-11-29 22:02  peter <peter@freepascal.org>

	* compiler/ncgcnv.pas:
	
	  * location_force_reg in second_nothing can reuse LOC_CREGISTER

2004-11-29 21:50  peter <peter@freepascal.org>

	* compiler/symsym.pas:
	
	  * uninited results

2004-11-29 20:19  michael <michael.vancanneyt@wisa.be>

	* compiler/COPYING:
	
	+ Added license to this library

2004-11-29 19:50  peter <peter@freepascal.org>

	* compiler/: pdecvar.pas, pmodules.pas, psub.pas, raatt.pas,
	rautils.pas, i386/ra386int.pas:
	
	  * os2 fixes for import
	  * asmsymtype support for intel reader

2004-11-29 18:48  peter <peter@freepascal.org>

	* compiler/pdecsub.pas:
	
	  * when importing by index don't change mangledname

2004-11-29 18:32  peter <peter@freepascal.org>

	* compiler/: defcmp.pas, ncgcnv.pas, ncgld.pas, nmem.pas:
	
	  * prevent some IEs with delphi methodpointers

2004-11-28 20:29  jonas <jonas.maebe@rug.ac.be>

	* compiler/nutils.pas:
	
	  * loadvmtaddrn and loadparentfpn both have complexity 1 (the
	latter
	    fixes compilation of tw0935 with nodeinlining)

2004-11-28 20:16  jonas <jonas.maebe@rug.ac.be>

	* compiler/nbas.pas:
	
	  * fixed check for regvar-ability of tempnodes

2004-11-28 15:34  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncal.pas:
	
	  * only try to replace locals from the inlined procedure with
	temps,
	    cycle now works with -dNODEINLINE

2004-11-27 23:43  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncal.pas:
	
	  * fixed some bugs in the node inlining code due to the transition
	from
	    dynamic array to tlist
	  * fixed some register temp bugs (node inlining still does not
	work again
	    though)

2004-11-27 17:16  florian <florian@freepascal.org>

	* compiler/m68k/: cgcpu.pas, cpupara.pas:
	
	  * some m68k stuff updated

2004-11-26 23:34  peter <peter@freepascal.org>

	* compiler/ncnv.pas:
	
	  * internal flag for compare_defs_ext

2004-11-26 23:33  peter <peter@freepascal.org>

	* compiler/defcmp.pas:
	
	  * don't allow pointer(ordinal) typecast in fpc mode, only allow
	it
	    for delphi and for internal use

2004-11-26 23:33  peter <peter@freepascal.org>

	* compiler/nmem.pas:
	
	  * don't allow @method in tp procvar mode

2004-11-26 23:33  peter <peter@freepascal.org>

	* compiler/ninl.pas:
	
	  * fixed read temp for result

2004-11-26 14:03  armin

	* compiler/: Makefile, utils/Makefile:
	
	* applied peters patch for cross compile (bin installation)

2004-11-26 13:30  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppcadd.pas:
	
	  * fixed intermittent bug in overflow checking of subtractions

2004-11-26 13:17  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppcadd.pas:
	
	  * fixed overflow checking of unsigned multiplications

2004-11-25 19:46  armin

	* compiler/systems/: t_nwl.pas, t_nwm.pas:
	
	* added utilsprefix for as,ld and nlmconv

2004-11-24 23:03  florian <florian@freepascal.org>

	* compiler/arm/: cpupara.pas, raarmgas.pas:
	
	  * fixed arm compilation

2004-11-22 23:19  peter <peter@freepascal.org>

	* compiler/ncal.pas:
	
	  * enabled pass1 inlining from Jonas

2004-11-22 23:01  peter <peter@freepascal.org>

	* compiler/: ncal.pas, parabase.pas, symdef.pas, i386/cpupara.pas,
	powerpc/cpupara.pas, sparc/cpupara.pas:
	
	  * fixed varargs
	  * replaced dynarray with tlist

2004-11-22 20:34  peter <peter@freepascal.org>

	* compiler/: cclasses.pas, comphook.pas, compiler.pas, options.pas:
	
	  * GetHeapStatus added, removed MaxAvail,MemAvail,HeapSize

2004-11-22 13:22  jonas <jonas.maebe@rug.ac.be>

	* compiler/pdecsub.pas:
	
	  * fixed importing of cdecl routines for OS'es which have a
	cprefix

2004-11-21 22:51  peter <peter@freepascal.org>

	* compiler/symdef.pas:
	
	  * manglednames for nested procedures include full parameters from
	    the parents to prevent double manglednames

2004-11-21 22:36  peter <peter@freepascal.org>

	* compiler/i386/ra386int.pas:
	
	  * allow spaces before : of a label

2004-11-21 22:27  peter <peter@freepascal.org>

	* compiler/ninl.pas:
	
	  * add checks for filedef type to prevent crashes

2004-11-21 19:13  peter <peter@freepascal.org>

	* compiler/: ncgcal.pas, ncgutil.pas, sparc/cpupara.pas:
	
	  * fixed funcretloc for sparc

2004-11-21 18:54  peter <peter@freepascal.org>

	* compiler/: nbas.pas, ncal.pas, ncgcal.pas, ncgutil.pas, ninl.pas,
	pdecsub.pas, pexpr.pas, pinline.pas, pstatmnt.pas, symdef.pas,
	arm/cpupara.pas, i386/cgcpu.pas, i386/cpupara.pas,
	powerpc/cpupara.pas, sparc/cpupara.pas, x86_64/cpupara.pas:
	
	  * ttempcreatenode.create_reg merged into .create with parameter
	    whether a register is allowed
	  * funcret_paraloc renamed to funcretloc

2004-11-21 18:17  florian <florian@freepascal.org>

	* compiler/: cgutils.pas, ncgcal.pas, ncgutil.pas, paramgr.pas,
	psub.pas, symdef.pas, tgobj.pas, i386/cgcpu.pas, i386/cpupara.pas,
	powerpc/cpupara.pas, sparc/cpupara.pas:
	
	  * changed funcret location back to tlocation

2004-11-21 17:33  peter <peter@freepascal.org>

	* compiler/: pdecsub.pas, symdef.pas:
	
	  * fixed message methods
	  * fixed typo with win32 dll import from implementation
	  * released external check

2004-11-21 16:35  peter <peter@freepascal.org>

	* compiler/: compinnr.inc, ncginl.pas, ncnv.pas, ninl.pas,
	raatt.pas, rautils.pas, powerpc/rappcgas.pas, sparc/racpugas.pas,
	x86/rax86att.pas:
	
	  * float routines all use internproc and compilerproc helpers

2004-11-20 15:39  florian <florian@freepascal.org>

	* compiler/nobj.pas:
	
	  * write nil entry after last entry to vmt table so the size of
	the vmt can be determined

2004-11-19 17:30  peter <peter@freepascal.org>

	* compiler/systems/: t_beos.pas, t_bsd.pas, t_macos.pas, t_nwl.pas,
	t_nwm.pas, t_sunos.pas:
	
	  * fixed setting of mangledname when importing

2004-11-19 15:21  marco <marcov@stack.nl>

	* compiler/systems/t_bsd.pas:
	
	 * cycle fix.

2004-11-19 09:33  marco <marcov@stack.nl>

	* compiler/utils/ppudump.pp:
	
	 * fix for " Split po_public into po_public and po_global"

2004-11-19 09:17  michael <michael.vancanneyt@wisa.be>

	* compiler/: ncgutil.pas, pdecsub.pas, pmodules.pas, psub.pas,
	symconst.pas, utils/ppudump.pp:
	
	* Split po_public into po_public and po_global (Peter)

2004-11-18 11:06  michael <michael.vancanneyt@wisa.be>

	* compiler/systems/t_win32.pas:
	
	+ Fix for win32 cycle

2004-11-17 23:41  peter <peter@freepascal.org>

	* compiler/: pdecsub.pas, symdef.pas:
	
	  * make some checks EXTDEBUG only for now so linux cycles again

2004-11-17 23:21  peter <peter@freepascal.org>

	* compiler/: nobj.pas, options.pas, pdecsub.pas, pexpr.pas,
	psub.pas, symconst.pas, symdef.pas, symsym.pas, msgidx.inc,
	msgtxt.inc, msg/errore.msg, systems/t_emx.pas, systems/t_linux.pas,
	systems/t_os2.pas, systems/t_win32.pas, utils/ppudump.pp:
	
	mangledname setting moved to place after the complete proc
	declaration is read import generation moved to place where body is
	also parsed (still gives problems with win32)

2004-11-16 23:09  peter <peter@freepascal.org>

	* compiler/: pdecsub.pas, symdef.pas, symsym.pas:
	
	* _mangledname for symbols moved only to symbols that really need
	it * overload number removed, add function result type to the
	mangledname fo	 procdefs

2004-11-16 21:49  peter <peter@freepascal.org>

	* compiler/utils/ppudump.pp:
	
	* fixed rangecheck error with derefdata

2004-11-16 21:32  peter <peter@freepascal.org>

	* compiler/: Makefile, Makefile.fpc, pdecl.pas, pdecobj.pas,
	pdecsub.pas, pdecvar.pas, pmodules.pas, psub.pas, ptype.pas,
	systems/t_win32.pas:
	
	* fixes for win32 mangledname

2004-11-16 00:35  peter <peter@freepascal.org>

	* compiler/: browcol.pas, cclasses.pas, cutils.pas, defcmp.pas,
	htypechk.pas, ncal.pas, ncgcal.pas, ncgutil.pas, nmem.pas,
	nobj.pas, parabase.pas, paramgr.pas, pdecl.pas, pdecsub.pas,
	pdecvar.pas, pexpr.pas, pmodules.pas, ppu.pas, psub.pas, ptype.pas,
	symconst.pas, symdef.pas, symsym.pas, symtable.pas, symtype.pas,
	verbose.pas, i386/cpupara.pas, powerpc/aasmcpu.pas,
	powerpc/cgcpu.pas, powerpc/cpupara.pas, sparc/cpupara.pas,
	utils/ppudump.pp:
	
	  * tparaitem removed, use tparavarsym instead
	  * parameter order is now calculated from paranr value in
	tparavarsym

2004-11-15 20:31  peter <peter@freepascal.org>

	* compiler/: Makefile, Makefile.fpc:
	
	  * fixed Makefile targets for cross compilers

2004-11-14 22:08  peter <peter@freepascal.org>

	* compiler/: msgidx.inc, msgtxt.inc, rgobj.pas, msg/errore.msg:
	
	  * fatal error when procedure is too complex

2004-11-14 17:26  florian <florian@freepascal.org>

	* compiler/: fpcdefs.inc, pdecsub.pas, powerpc/cpupara.pas:
	
	  * fixed morphos syscall

2004-11-11 20:31  peter <peter@freepascal.org>

	* compiler/: ncgbas.pas, ncgutil.pas, pdecsub.pas, symdef.pas,
	arm/raarmgas.pas, powerpc/cgcpu.pas, powerpc/nppcld.pas,
	powerpc/rappcgas.pas, sparc/racpugas.pas, systems/t_macos.pas:
	
	  * fixed compile of powerpc,sparc,arm

2004-11-10 00:10  peter <peter@freepascal.org>

	* compiler/: ninl.pas, symtable.pas:
	
	  * use helper call to retrieve address of input/output to reduce
	    code that is generated in the main program for loading the
	    threadvar

2004-11-09 23:32  peter <peter@freepascal.org>

	* compiler/: assemble.pas, cgbase.pas, cgutils.pas, msgidx.inc,
	msgtxt.inc, pdecsub.pas, pdecvar.pas, rautils.pas,
	i386/ra386int.pas, m68k/aasmcpu.pas, m68k/aoptcpub.pas,
	m68k/aoptcpud.pas, m68k/cgcpu.pas, m68k/cpubase.pas,
	m68k/cpuinfo.pas, m68k/cpupara.pas, m68k/ra68kmot.pas,
	msg/errore.msg:
	
	  * small m68k updates to bring it up2date
	  * give better error for external local variable

2004-11-09 18:26  peter <peter@freepascal.org>

	* compiler/: ncal.pas, ncgld.pas, ncgutil.pas, pdecsub.pas,
	ptconst.pas:
	
	  * fixed wrong typecasts

2004-11-09 17:46  peter <peter@freepascal.org>

	* compiler/browcol.pas:
	
	  * fixed compile

2004-11-09 17:18  peter <peter@freepascal.org>

	* compiler/cgbase.pas:
	
	  * indexword can't be used for 1.9.4

2004-11-08 23:09  peter <peter@freepascal.org>

	* compiler/: browlog.pas, defcmp.pas, htypechk.pas, import.pas,
	ncal.pas, ncgbas.pas, ncgcal.pas, ncgflw.pas, ncgld.pas,
	ncgmem.pas, ncgutil.pas, nflw.pas, ninl.pas, nld.pas, nmem.pas,
	nobj.pas, nutils.pas, pdecl.pas, pdecsub.pas, pdecvar.pas,
	pexports.pas, pexpr.pas, pmodules.pas, ppu.pas, pstatmnt.pas,
	psub.pas, psystem.pas, ptconst.pas, raatt.pas, rautils.pas,
	scanner.pas, symconst.pas, symdef.pas, symsym.pas, symtable.pas,
	symtype.pas, symutil.pas, systems.pas, i386/popt386.pas,
	i386/ra386int.pas, systems/t_beos.pas, systems/t_bsd.pas,
	systems/t_linux.pas, systems/t_nwl.pas, systems/t_nwm.pas,
	systems/t_sunos.pas, systems/t_win32.pas, utils/ppudump.pp,
	x86/aasmcpu.pas, x86/rax86att.pas:
	
	  * tvarsym splitted

2004-11-08 22:59  florian <florian@freepascal.org>

	* compiler/ncginl.pas:
	
	  * include/exclude for sets in registers fixed

2004-11-08 22:47  florian <florian@freepascal.org>

	* compiler/cgobj.pas:
	
	  * better code generation for copying of open arrays

2004-11-08 21:23  florian <florian@freepascal.org>

	* compiler/: cgobj.pas, ncgutil.pas, x86/cgx86.pas:
	
	  * fixed open arrays when using register variables

2004-11-07 01:33  florian <florian@freepascal.org>

	* compiler/sparc/cpupara.pas:
	
	  * marked o* registers as volatile

2004-11-06 19:58  florian <florian@freepascal.org>

	* compiler/rgobj.pas:
	
	  * debug writeln removed

2004-11-06 18:58  peter <peter@freepascal.org>

	* compiler/scandir.pas:
	
	  * check extension of library if it needs to be linked static

2004-11-06 18:44  florian <florian@freepascal.org>

	* compiler/: rgobj.pas, symdef.pas, arm/agarmgas.pas,
	arm/cpupara.pas:
	
	  + additional extdebug check for wrong add_reg_instructions added
	  * too long manglednames are cut off at 200 chars using a crc

2004-11-06 16:18  florian <florian@freepascal.org>

	* compiler/arm/cgcpu.pas:
	
	  * fixed OP_SUB for negative constants fitting in the shifter

2004-11-05 22:16  peter <peter@freepascal.org>

	* compiler/: pdecsub.pas, symtable.pas:
	
	  * rename duplicate symbols and insert with unique name in the
	    symtable

2004-11-05 22:07  florian <florian@freepascal.org>

	* compiler/symdef.pas:
	
	  * vmt offset of objects is no properly aligned when necessary

2004-11-05 21:04  florian <florian@freepascal.org>

	* compiler/pmodules.pas:
	
	  * THREADVARLIST is now aligned

2004-11-05 14:14  florian <florian@freepascal.org>

	* compiler/globals.pas:
	
	  * fixed arm compilation

2004-11-05 13:27  florian <florian@freepascal.org>

	* compiler/systems/t_linux.pas:
	
	  * fixed dyn. linker handling

2004-11-05 12:04  florian <florian@freepascal.org>

	* compiler/systems/t_linux.pas:
	
	  * path of dyn. linker on arm for linux fixed

2004-11-05 00:59  peter <peter@freepascal.org>

	* compiler/: fmodule.pas, pmodules.pas:
	
	use filepos of main when generating the module stabs

2004-11-04 18:58  peter <peter@freepascal.org>

	* compiler/symdef.pas:
	
	elecount also on 32bit needs the qword part to prevent overflow

2004-11-04 18:57  peter <peter@freepascal.org>

	* compiler/pexpr.pas:
	
	added checking for token=_ID after _POINT is parsed

2004-11-04 18:12  peter <peter@freepascal.org>

	* compiler/systems/t_win32.pas:
	
	linking with cygwin fixed

2004-11-04 18:12  peter <peter@freepascal.org>

	* compiler/ncgutil.pas:
	
	forgot if cs_debuginfo

2004-11-04 18:09  peter <peter@freepascal.org>

	* compiler/: ncgutil.pas, pmodules.pas, symdef.pas, symsym.pas:
	
	fixed debuginfo for variables in staticsymtable

2004-11-03 23:22  peter <peter@freepascal.org>

	* compiler/link.pas:
	
	First check outputunitdir/outputexedir for .o file

2004-11-03 18:51  florian <florian@freepascal.org>

	* compiler/: aoptbase.pas, aoptobj.pas:
	
	  * fixed missing cgutils usage

2004-11-03 13:04  florian <florian@freepascal.org>

	* compiler/systems/t_sunos.pas:
	
	  * fixed sparc <-> i386 mixture

2004-11-03 11:11  peter <peter@freepascal.org>

	* compiler/x86/nx86mat.pas:
	
	  * fix possible range error

2004-11-03 10:46  florian <florian@freepascal.org>

	* compiler/symdef.pas:
	
	  * fixed writing of para locations for procedures with explicit
	locations for parameters

2004-11-02 23:17  olle

	* compiler/utils/ppudump.pp:
	
	  * fixed possible problem with null termination

2004-11-02 21:50  florian <florian@freepascal.org>

	* compiler/x86/cgx86.pas:
	
	  + added profiler call for x86_64

2004-11-02 21:15  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncnv.pas:
	
	  * copy totype field in ttypeconvnode.getcopy()

2004-11-02 19:37  florian <florian@freepascal.org>

	* compiler/pinline.pas:
	
	  * dyn. array dimensions are now stored as sinttype so it's target
	register size dependend

2004-11-02 19:23  florian <florian@freepascal.org>

	* compiler/x86/: cgx86.pas, nx86mat.pas:
	
	  * fixed -<sse register>
	  * information about simple moves for sse is given to the register
	allocator

2004-11-02 18:25  florian <florian@freepascal.org>

	* compiler/cgobj.pas:
	
	  * <signed type> to qword range check for 64 bit targets fixed

2004-11-02 13:55  peter <peter@freepascal.org>

	* compiler/: nadd.pas, ncal.pas, ncnv.pas, ninl.pas, nld.pas,
	nmem.pas, node.pas, nutils.pas, pinline.pas, psub.pas:
	
	  * nf_internal flag for internal inserted typeconvs. This will
	    supress the generation of warning/hints

2004-11-02 00:30  peter <peter@freepascal.org>

	* compiler/: aasmbase.pas, defutil.pas, ncgmem.pas, ncnv.pas,
	ptconst.pas, ptype.pas, symdef.pas, symtable.pas, symtype.pas,
	x86/cgx86.pas:
	
	  * support > 32bit accesses for x86_64
	  * rewrote array size checking to support 64bit

2004-11-01 21:22  florian <florian@freepascal.org>

	* compiler/cresstr.pas:
	
	  * resource ansistrings now use aint for len and ref. count as
	well

2004-11-01 19:26  florian <florian@freepascal.org>

	* compiler/ninl.pas:
	
	  - removed unnecessary printnode

2004-11-01 19:16  peter <peter@freepascal.org>

	* compiler/ncal.pas:
	
	  * removed wrong check for symtableprocentry

2004-11-01 18:44  florian <florian@freepascal.org>

	* compiler/x86_64/cgcpu.pas:
	
	  * cg64f64 isn't used anymore

2004-11-01 18:41  florian <florian@freepascal.org>

	* compiler/: cgutils.pas, ncgadd.pas, ncgcal.pas, ncgcnv.pas,
	ninl.pas, arm/aasmcpu.pas, arm/agarmgas.pas, arm/cgcpu.pas,
	arm/cpubase.pas, arm/narmadd.pas, arm/narminl.pas, arm/narmmat.pas,
	arm/rgcpu.pas:
	
	  * fixed arm compilation with cgutils
	  * ...

2004-11-01 18:40  florian <florian@freepascal.org>

	* compiler/x86_64/: nx64add.pas, nx64mat.pas:
	
	  + added cgutils uses clause

2004-11-01 18:30  florian <florian@freepascal.org>

	* compiler/x86/rgx86.pas:
	
	  + added sse instruction being not be able writing to a memory
	location

2004-11-01 18:15  peter <peter@freepascal.org>

	* compiler/: ncgmem.pas, ncnv.pas, node.pas:
	
	  * no checkpointer code for dynarr to openarr

2004-11-01 17:58  peter <peter@freepascal.org>

	* compiler/: htypechk.pas, ncal.pas:
	
	  * give IE instead of crash when no procsym is passed for calln

2004-11-01 16:42  florian <florian@freepascal.org>

	* compiler/x86/cgx86.pas:
	
	  * cvt*2* can't write to memory location, fixed

2004-11-01 16:42  florian <florian@freepascal.org>

	* compiler/systems.pas:
	
	  * default target for x86_64 is linux

2004-11-01 16:33  florian <florian@freepascal.org>

	* compiler/symdef.pas:
	
	  * fixed type information for dyn. arrays on 64 bit systems

2004-11-01 16:32  peter <peter@freepascal.org>

	* compiler/: ncgld.pas, nld.pas, pexpr.pas, ptconst.pas:
	
	  * support @labelsym

2004-11-01 16:31  peter <peter@freepascal.org>

	* compiler/: ncgmem.pas, ncgcnv.pas, ncnv.pas:
	
	  * -Or fix for absolute

2004-11-01 13:43  peter <peter@freepascal.org>

	* compiler/: nadd.pas, options.pas, i386/n386add.pas,
	x86/nx86add.pas:
	
	  * shortstr compare with empty string fixed
	  * removed special i386 code

2004-11-01 13:10  florian <florian@freepascal.org>

	* compiler/arm/narmcnv.pas:
	
	  * fixed currency division

2004-11-01 11:34  peter <peter@freepascal.org>

	* compiler/: aasmtai.pas, rgobj.pas:
	
	  * regalloc bind to instructions need to get real ait_instruction

2004-11-01 11:33  peter <peter@freepascal.org>

	* compiler/cg64f64.pas:
	
	  * obsolete

2004-11-01 11:33  peter <peter@freepascal.org>

	* compiler/: pexpr.pas, symconst.pas:
	
	  * symlist typeconv for absolute fixed

2004-11-01 11:32  peter <peter@freepascal.org>

	* compiler/pinline.pas:
	
	  * temp for dynarray copy needs to be typed

2004-11-01 11:31  peter <peter@freepascal.org>

	* compiler/defcmp.pas:
	
	  * procvar arguments need to be at least equal

2004-11-01 11:30  peter <peter@freepascal.org>

	* compiler/x86/cgx86.pas:
	
	  * fixed uninited var in a_load_reg_ref

2004-11-01 10:23  florian <florian@freepascal.org>

	* compiler/arm/cpupara.pas:
	
	  * fixed handling of stack parameters on the arm

2004-11-01 09:02  peter <peter@freepascal.org>

	* compiler/defcmp.pas:
	
	  * remove previous patch

2004-11-01 00:18  jonas <jonas.maebe@rug.ac.be>

	* compiler/rgobj.pas:
	
	  * make sure live_start/end is never a tai_regalloc, as those can
	be
	    removed by the register allocator and thus become invalid. This
	fixed
	    make cycle with -Or for ppc, but I'm not sure what the warning
	on
	    symsym.pas:1663 means. Since the tlocation change, even regular
	make
	    cycle doesn't work anymore though...

2004-10-31 23:05  peter <peter@freepascal.org>

	* compiler/defcmp.pas:
	
	  * only allow ordinal-pointer for same size

2004-10-31 22:45  peter <peter@freepascal.org>

	* compiler/: aasmbase.pas, aopt.pas, aoptbase.pas, aoptobj.pas,
	assemble.pas, cg64f32.pas, cg64f64.pas, cgbase.pas, cgobj.pas,
	cgutils.pas, defcmp.pas, defutil.pas, dwarf.pas, globals.pas,
	globtype.pas, nbas.pas, ncal.pas, ncgadd.pas, ncgbas.pas,
	ncgcal.pas, ncgcnv.pas, ncgcon.pas, ncginl.pas, ncgld.pas,
	ncgmat.pas, ncgopt.pas, ncgset.pas, ncgutil.pas, ninl.pas, nld.pas,
	node.pas, parabase.pas, paramgr.pas, procinfo.pas, rautils.pas,
	rgobj.pas, scanner.pas, symdef.pas, symsym.pas, symutil.pas,
	tgobj.pas, alpha/cpubase.pas, alpha/cpupara.pas, arm/cpubase.pas,
	arm/narmcnv.pas, i386/ag386int.pas, i386/ag386nsm.pas,
	i386/cgcpu.pas, i386/cpubase.inc, i386/cpuinfo.pas,
	i386/cpupara.pas, i386/csopt386.pas, i386/daopt386.pas,
	i386/n386add.pas, i386/n386cal.pas, i386/n386con.pas,
	i386/n386mat.pas, i386/n386mem.pas, i386/n386obj.pas,
	i386/ra386int.pas, m68k/cpubase.pas, m68k/n68kmat.pas,
	m68k/ncpuadd.pas, powerpc/aasmcpu.pas, powerpc/agppcgas.pas,
	powerpc/agppcmpw.pas, powerpc/cgcpu.pas, powerpc/cpubase.pas,
	powerpc/cpuinfo.pas, powerpc/nppcadd.pas, powerpc/nppccnv.pas,
	powerpc/nppcinl.pas, powerpc/nppcmat.pas, sparc/aasmcpu.pas,
	sparc/cgcpu.pas, sparc/cpubase.pas, sparc/cpugas.pas,
	sparc/cpuinfo.pas, sparc/ncpuadd.pas, sparc/ncpuinln.pas,
	sparc/ncpumat.pas, sparc/rgcpu.pas, vis/cpubase.pas,
	x86/aasmcpu.pas, x86/agx86att.pas, x86/cga.pas, x86/cgx86.pas,
	x86/cpubase.pas, x86/nx86add.pas, x86/nx86cnv.pas, x86/nx86inl.pas,
	x86/nx86mat.pas, x86/nx86set.pas, x86/rax86.pas, x86/rax86att.pas,
	x86/rgx86.pas:
	
	  * generic tlocation
	  * move tlocation to cgutils

2004-10-31 20:09  peter <peter@freepascal.org>

	* compiler/: globals.pas, options.pas, systems.pas:
	
	  * default paths fixed

2004-10-31 19:54  peter <peter@freepascal.org>

	* compiler/: fpcdefs.inc, globals.pas, msgidx.inc, msgtxt.inc,
	pdecsub.pas, psub.pas, scanner.pas, msg/errore.msg:
	
	  * $fpctarget expands to <cpu>-<os>
	  * allow * in middle of the path to support ../*/units/$fpctarget

2004-10-31 19:40  peter <peter@freepascal.org>

	* compiler/utils/samplecfg:
	
	  * new unit dir

2004-10-31 17:47  florian <florian@freepascal.org>

	* compiler/arm/cgcpu.pas:
	
	  * fixed ie with pi_do_call

2004-10-31 17:04  florian <florian@freepascal.org>

	* compiler/: rgobj.pas, arm/cgcpu.pas, arm/narmadd.pas:
	
	  * fixed compilation of system unit on arm

2004-10-31 16:32  olle

	* compiler/powerpc/agppcmpw.pas:
	
	  + Change of the way global variables, with multiple entrypoints,
	    are referenced, fixes a lot of failed tests

2004-10-31 16:29  olle

	* compiler/pmodules.pas:
	
	  + All sections get names in macos

2004-10-31 16:17  jonas <jonas.maebe@rug.ac.be>

	* compiler/i386/rropt386.pas:
	
	  * fixed web bug 3378

2004-10-31 15:24  florian <florian@freepascal.org>

	* compiler/sparc/ncpuset.pas:
	
	  * fixed jump table for sparc

2004-10-31 13:37  florian <florian@freepascal.org>

	* compiler/arm/: cgcpu.pas, cpubase.pas, cpupara.pas:
	
	  * another couple of arm fixed

2004-10-31 00:01  florian <florian@freepascal.org>

	* compiler/: ncgset.pas, sparc/cpunode.pas, sparc/ncpuset.pas:
	
	  * jmp table code generation for case statement on sparc

2004-10-30 19:50  florian <florian@freepascal.org>

	* compiler/sparc/ncpuset.pas:
	
	  * initial revision, not yet enabled

2004-10-30 17:21  florian <florian@freepascal.org>

	* compiler/: aopt.pas, aoptbase.pas, aoptda.pas, aoptobj.pas,
	fpcdefs.inc, psub.pas, rgobj.pas, sparc/aasmcpu.pas,
	sparc/aoptcpu.pas, sparc/aoptcpub.pas, sparc/aoptcpud.pas,
	sparc/cpubase.pas, sparc/cputarg.pas:
	
	  * fixed generic optimizer
	  * enabled generic optimizer for sparc

2004-10-30 14:36  peter <peter@freepascal.org>

	* compiler/: Makefile, Makefile.fpc, utils/Makefile,
	utils/Makefile.fpc:
	
	  * units are now created in separate directory units/cpu-os/
	  * distclean uses cleanall rule and removes units dir
	  * cross compile support fixed, it is now possible to cycle a
	ppcsparc
	    without deleting ppc386
	  * bintutilsperfix defaults to cpu-os-

2004-10-28 20:29  olle

	* compiler/ncgutil.pas:
	
	  * reverted, for macos only, last change.

2004-10-26 20:22  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppcadd.pas:
	
	  * fixed bugs due to change of the value field of tlocation from
	aword to
	    aint

2004-10-26 20:22  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cpubase.pas:
	
	  * fixed tlocation record again for big endian
	  * fixed (currently unused) saved_standard_registers array

2004-10-26 20:21  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cgcpu.pas:
	
	  + empty g_save_standard_registers/g_restore_standard_registers
	overrides
	    (their work was/is done by g_proc_entry/g_proc_exit, and the
	generic
	     version saves the registers in the wrong place)

2004-10-26 17:11  peter <peter@freepascal.org>

	* compiler/: globals.pas, options.pas, pmodules.pas, scandir.pas:
	
	  * -Ch for heapsize added again
	  * __heapsize contains the heapsize

2004-10-26 17:03  peter <peter@freepascal.org>

	* compiler/ncgutil.pas:
	
	  * localloc of staticsymtable needs a AT_NONE since it is a
	reference

2004-10-26 17:02  peter <peter@freepascal.org>

	* compiler/symdef.pas:
	
	  * align arraydef rtti

2004-10-25 19:04  peter <peter@freepascal.org>

	* compiler/sparc/cpubase.pas:
	
	  * add saved_standard_registers

2004-10-25 17:38  peter <peter@freepascal.org>

	* compiler/: globals.pas, globtype.pas, ncal.pas, ncgmem.pas,
	options.pas, parser.pas, pexpr.pas, pmodules.pas, scandir.pas,
	scanner.pas, systems.pas, systems/i_amiga.pas, systems/i_atari.pas,
	systems/i_beos.pas, systems/i_bsd.pas, systems/i_emx.pas,
	systems/i_go32v2.pas, systems/i_linux.pas, systems/i_macos.pas,
	systems/i_morph.pas, systems/i_nwl.pas, systems/i_nwm.pas,
	systems/i_os2.pas, systems/i_palmos.pas, systems/i_sunos.pas,
	systems/i_watcom.pas, systems/i_wdosx.pas, systems/i_win32.pas,
	systems/t_bsd.pas, systems/t_emx.pas, systems/t_macos.pas,
	systems/t_morph.pas, systems/t_nwl.pas, systems/t_nwm.pas,
	systems/t_os2.pas, systems/t_wdosx.pas, systems/t_win32.pas:
	
	  * heap and heapsize removed
	  * checkpointer fixes

2004-10-25 17:37  peter <peter@freepascal.org>

	* compiler/: msgidx.inc, msgtxt.inc, msg/errore.msg:
	
	  * help page updated

2004-10-25 17:36  peter <peter@freepascal.org>

	* compiler/: cgobj.pas, powerpc/cpubase.pas, powerpc/nppcadd.pas,
	powerpc/nppcmat.pas, powerpc/nppcset.pas, x86/cgx86.pas,
	x86/cpubase.pas:
	
	  * save standard registers moved to tcgobj

2004-10-24 22:10  peter <peter@freepascal.org>

	* compiler/x86/: cgx86.pas, nx86set.pas:
	
	  * -Or fixes

2004-10-24 22:01  peter <peter@freepascal.org>

	* compiler/: cgobj.pas, ncgcal.pas, ncgutil.pas, options.pas,
	pdecsub.pas, psub.pas, symconst.pas, tokens.pas, i386/cgcpu.pas,
	i386/n386obj.pas, powerpc/cgcpu.pas, sparc/cgcpu.pas,
	x86_64/cgcpu.pas:
	
	  * remove saveregister calling convention

2004-10-24 19:54  florian <florian@freepascal.org>

	* compiler/: sparc/aasmitab.pas, x86/aasmitab.pas:
	
	file aasmitab.pas was initially added on branch SPARCBW.

2004-10-24 19:50  florian <florian@freepascal.org>

	* compiler/sparc/sparctab.inc:
	
	file sparctab.inc was initially added on branch SPARCBW.

2004-10-24 19:50  florian <florian@freepascal.org>

	* compiler/sparc/instr.dat:
	
	file instr.dat was initially added on branch SPARCBW.

2004-10-24 19:50  florian <florian@freepascal.org>

	* compiler/sparc/sparcgas.inc:
	
	file sparcgas.inc was initially added on branch SPARCBW.

2004-10-24 19:50  florian <florian@freepascal.org>

	* compiler/sparc/sparcnop.inc:
	
	file sparcnop.inc was initially added on branch SPARCBW.

2004-10-24 19:50  florian <florian@freepascal.org>

	* compiler/sparc/sparcop.inc:
	
	file sparcop.inc was initially added on branch SPARCBW.

2004-10-24 19:48  florian <florian@freepascal.org>

	* compiler/utils/mkspins.pp:
	
	file mkspins.pp was initially added on branch SPARCBW.

2004-10-24 19:32  florian <florian@freepascal.org>

	* compiler/: arm/aasmcpu.pas, arm/cgcpu.pas, arm/cpubase.pas,
	arm/cpupara.pas, arm/cpupi.pas, arm/narmadd.pas, sparc/cpupara.pas:
	
	  * fixed several arm compiler bugs

2004-10-24 19:04  peter <peter@freepascal.org>

	* compiler/rgobj.pas:
	
	  * during translation only process regalloc for the current
	regtype

2004-10-24 15:48  peter <peter@freepascal.org>

	* compiler/pdecsub.pas:
	
	  * don't give warning for property as unknwon proc directive

2004-10-24 15:36  peter <peter@freepascal.org>

	* compiler/systems/: i_linux.pas, t_linux.pas:
	
	  * gc-sections added when section smartlinking is used

2004-10-24 15:35  peter <peter@freepascal.org>

	* compiler/nobj.pas:
	
	  * fixed writing of methodtable

2004-10-24 15:35  peter <peter@freepascal.org>

	* compiler/aggas.pas:
	
	  * support rodata like data when writing ordinal cosnts

2004-10-24 13:53  peter <peter@freepascal.org>

	* compiler/: ncgcal.pas, arm/cgcpu.pas, powerpc/cgcpu.pas,
	sparc/cgcpu.pas, x86_64/rgcpu.pas:
	
	  * fixed compilation with removed loadref

2004-10-24 13:44  peter <peter@freepascal.org>

	* compiler/: cgobj.pas, htypechk.pas, ncgcal.pas, ncgflw.pas,
	ncgld.pas, ncgopt.pas, ncgutil.pas, ncnv.pas, nld.pas, pdecsub.pas,
	rautils.pas, i386/cgcpu.pas, x86/cgx86.pas:
	
	  * small regvar fixes
	  * loadref parameter removed from concatcopy,incrrefcount,etc

2004-10-24 09:54  florian <florian@freepascal.org>

	* compiler/arm/: cgcpu.pas, cpupara.pas, narmadd.pas, narmcnv.pas,
	narmmat.pas, rgcpu.pas:
	
	  * fixed compilation of arm compiler

2004-10-22 18:36  florian <florian@freepascal.org>

	* compiler/arm/: cpubase.pas, cpupara.pas:
	
	  * first arm fixes for new paraloc handling

2004-10-20 09:32  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cgcpu.pas:
	
	  + support for nostackframe directive

2004-10-18 16:39  peter <peter@freepascal.org>

	* compiler/ppheap.pas:
	
	  * fixed compile error

2004-10-17 00:46  olle

	* compiler/globals.pas:
	
	 * Fixed printing of filedates

2004-10-16 15:08  olle

	* compiler/regvars.pas:
	
	  * uppdated in accordance to varregable for OLDREGVARS

2004-10-16 15:03  olle

	* compiler/globals.pas:
	
	  + added more support for macos

2004-10-16 00:54  florian <florian@freepascal.org>

	* compiler/sparc/ncpucnv.pas:
	
	  * fixed currency to float conversion

2004-10-15 12:35  mazen <mazen@freepascal.org>

	* compiler/pstatmnt.pas:
	
	* remove non needed parathesys as  in 1.140

2004-10-15 11:30  mazen <mazen@freepascal.org>

	* compiler/: powerpc/agppcmpw.pas, powerpc/cpupi.pas,
	powerpc/nppccal.pas, dmisc.pas:
	
	- remove $IFDEF DELPHI and related code - remove $IFDEF FPCPROCVAR
	and related code

2004-10-15 11:22  mazen <mazen@freepascal.org>

	* compiler/: x86/cpubase.pas, systems/t_beos.pas,
	systems/t_emx.pas, systems/t_os2.pas, systems/t_win32.pas:
	
	- remove $IFDEF DELPHI and related code - remove $IFDEF FPCPROCVAR
	and related code

2004-10-15 11:14  mazen <mazen@freepascal.org>

	* compiler/: aasmbase.pas, aasmtai.pas, browlog.pas, catch.pas,
	cclasses.pas, cg64f32.pas, cgobj.pas, charset.pas, cmsgs.pas,
	comphook.pas, compiler.pas, cutils.pas, fppu.pas, gdb.pas,
	globals.pas, globtype.pas, msgtxt.inc, ncal.pas, ncgcal.pas,
	ncgcon.pas, ncgutil.pas, ncnv.pas, nflw.pas, nobj.pas, ogcoff.pas,
	ogelf.pas, oglx.pas, options.pas, owar.pas, parser.pas, pdecl.pas,
	pdecobj.pas, pdecsub.pas, pdecvar.pas, pexports.pas, pexpr.pas,
	pinline.pas, pmodules.pas, pp.lpi, ppheap.pas, pstatmnt.pas,
	psub.pas, psystem.pas, ptconst.pas, rautils.pas, regvars.pas,
	rgobj.pas, scandir.pas, scanner.pas, symbase.pas, symdef.pas,
	symsym.pas, symtable.pas, tpexcept.pas, verbose.pas, widestr.pas,
	arm/cpubase.pas, i386/ag386int.pas, i386/ag386nsm.pas,
	i386/cgcpu.pas, i386/n386mem.pas:
	
	- remove $IFDEF DELPHI and related code - remove $IFDEF FPCPROCVAR
	and related code

2004-10-14 20:29  peter <peter@freepascal.org>

	* compiler/fpcdefs.inc:
	
	  * disable USE_SYSUTILS when compiled with 1.9.4 or 1.0.x

2004-10-14 20:16  mazen <mazen@freepascal.org>

	* compiler/: comphook.pas, comprsrc.pas, finput.pas, fmodule.pas,
	globals.pas, pp.lpi, systems/t_beos.pas, systems/t_bsd.pas,
	systems/t_emx.pas, systems/t_go32v2.pas, systems/t_linux.pas,
	systems/t_nwl.pas, systems/t_nwm.pas, systems/t_os2.pas,
	systems/t_sunos.pas, systems/t_watcom.pas, systems/t_win32.pas:
	
	* USE_SYSUTILS merged successfully : cycles with and without
	defines * Need to be optimized in performance

2004-10-14 19:54  peter <peter@freepascal.org>

	* compiler/ncgutil.pas:
	
	  * add reg_sync when regvars are allocated to fix first use in
	    loop

2004-10-14 19:37  mazen <mazen@freepascal.org>

	* compiler/ogbase.pas:
	
	* Dos and cpubase units in uses clause are not needed

2004-10-14 19:33  mazen <mazen@freepascal.org>

	* compiler/impdef.pas:
	
	* use SysUtils unit instead of Dos Unit

2004-10-14 19:30  mazen <mazen@freepascal.org>

	* compiler/fmodule.pas:
	
	* use SysUtils unit instead of Dos Unit

2004-10-14 19:26  mazen <mazen@freepascal.org>

	* compiler/finput.pas:
	
	* use SysUtils unit instead of Dos Unit

2004-10-14 19:17  mazen <mazen@freepascal.org>

	* compiler/compiler.pas:
	
	* use SysUtils unit instead of Dos Unit

2004-10-14 19:10  mazen <mazen@freepascal.org>

	* compiler/comphook.pas:
	
	* use SysUtils unit instead of Dos Unit + overload Replace to use
	AnsiString

2004-10-14 18:53  mazen <mazen@freepascal.org>

	* compiler/browcol.pas:
	
	* use SysUtils unit instead of Dos Unit + overload Replace to use
	AnsiString

2004-10-14 18:49  mazen <mazen@freepascal.org>

	* compiler/aggas.pas:
	
	* Merge is complete for this file, cycles !

2004-10-14 18:38  mazen <mazen@freepascal.org>

	* compiler/comprsrc.pas:
	
	* Merge is complete for this file, cycles !

2004-10-14 18:25  mazen <mazen@freepascal.org>

	* compiler/link.pas:
	
	* Merge is complete for this file, cycles !

2004-10-14 16:55  mazen <mazen@freepascal.org>

	* compiler/cutils.pas:
	
	* use SysUtils unit instead of Dos Unit + overload Replace to use
	AnsiString

2004-10-14 16:47  mazen <mazen@freepascal.org>

	* compiler/assemble.pas:
	
	* Merge is complete for this file, cycles !

2004-10-14 16:42  mazen <mazen@freepascal.org>

	* compiler/globtype.pas:
	
	+ Needed types aliases to merge USE_SYSUTILS branch

2004-10-14 16:03  mazen <mazen@freepascal.org>

	* compiler/options.pas:
	
	* Merge is complete for this file, cycles !

2004-10-14 12:59  michael <michael.vancanneyt@wisa.be>

	* compiler/cgbase.pas:
	
	* fix clearing of superregset (from Peter)

2004-10-13 23:12  peter <peter@freepascal.org>

	* compiler/: cgobj.pas, ncgutil.pas, rgobj.pas, i386/cgcpu.pas,
	i386/rgcpu.pas, x86_64/rgcpu.pas:
	
	  * -Or fixes for open array

2004-10-13 20:47  peter <peter@freepascal.org>

	* compiler/symsym.pas:
	
	  * fix misplaced begin..end for self stabs
	  * no fpu regable for staticsymtable

2004-10-13 19:58  peter <peter@freepascal.org>

	* compiler/assemble.pas:
	
	  * reverted USE_SYSUTILS patch until  ll patches are readyt

2004-10-13 16:53  mazen <mazen@freepascal.org>

	* compiler/assemble.pas:
	
	* Merge is complete for this file

2004-10-12 21:51  peter <peter@freepascal.org>

	* compiler/: pexpr.pas, symtable.pas:
	
	  * all checking for visibility is now done by
	is_visible_for_object

2004-10-12 16:36  peter <peter@freepascal.org>

	* compiler/: nbas.pas, ncal.pas, pdecvar.pas:
	
	  * gen high tree makes copy in temp when there is a calln

2004-10-12 16:35  peter <peter@freepascal.org>

	* compiler/pexpr.pas:
	
	  * cstyle operators with calln in the tree now use a temp

2004-10-12 16:35  peter <peter@freepascal.org>

	* compiler/nld.pas:
	
	  * fixed crash when current_procinfo was not yet available

2004-10-12 16:34  peter <peter@freepascal.org>

	* compiler/: htypechk.pas, nobj.pas, symsym.pas, symtype.pas:
	
	  * fixed visibility for procsyms
	  * fixed override check when there was no entry yet

2004-10-12 16:33  peter <peter@freepascal.org>

	* compiler/ncnv.pas:
	
	  * give error when converting class to interface are not related

2004-10-11 22:48  peter <peter@freepascal.org>

	* compiler/symsym.pas:
	
	  * don't generate stabs for self when it is in a regvar

2004-10-11 17:48  peter <peter@freepascal.org>

	* compiler/: ncgutil.pas, ncnv.pas, nld.pas, symsym.pas,
	symtable.pas, m68k/cgcpu.pas:
	
	  * small regvar for para fixes
	  * function tvarsym.is_regvar added
	  * tvarsym.getvaluesize removed, use getsize instead

2004-10-11 17:47  peter <peter@freepascal.org>

	* compiler/rgobj.pas:
	
	  * removed warning about register used only once

2004-10-11 17:46  peter <peter@freepascal.org>

	* compiler/: cgobj.pas, arm/cgcpu.pas, i386/cgcpu.pas:
	
	  * length parameter for copyvaluearray changed to tlocation

2004-10-11 17:45  peter <peter@freepascal.org>

	* compiler/pdecsub.pas:
	
	  * mark non-regable after calling convention is set

2004-10-11 09:13  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cgcpu.pas:
	
	  * include pi_do_call if we generate a call instead of
	internalerroring
	    (workaround)

2004-10-10 23:08  peter <peter@freepascal.org>

	* compiler/: ncgutil.pas, pdecsub.pas, symdef.pas, symsym.pas:
	
	  * parameter regvar fixes

2004-10-10 22:51  peter <peter@freepascal.org>

	* compiler/: ncgutil.pas, sparc/cgcpu.pas:
	
	  * fixed sparc compile
	  * fixed float regvar loading

2004-10-10 22:31  peter <peter@freepascal.org>

	* compiler/: cgobj.pas, sparc/cgcpu.pas:
	
	  * concatcopy_unaligned maps by default to concatcopy, sparc will
	    override it with call to fpc_move

2004-10-10 22:22  peter <peter@freepascal.org>

	* compiler/: cgobj.pas, ncal.pas, ncgutil.pas, nld.pas,
	parabase.pas, psub.pas, symsym.pas:
	
	  * symtable allocation rewritten
	  * loading of parameters to local temps/regs cleanup
	  * regvar support for parameters
	  * regvar support for staticsymtable (main body)

2004-10-10 22:21  peter <peter@freepascal.org>

	* compiler/: ncgcal.pas, ncgld.pas:
	
	  * passing a var parameter to var parameter is now also allowed
	    for register locations (=regvars)

2004-10-10 18:30  peter <peter@freepascal.org>

	* compiler/x86/rgx86.pas:
	
	  * optimized spilling writing when the reg operand can be
	    replaced by reference

2004-10-10 17:42  peter <peter@freepascal.org>

	* compiler/globals.pas:
	
	  * default optimization cpu changed to CLassPentium3

2004-10-10 17:01  jonas <jonas.maebe@rug.ac.be>

	* compiler/i386/: csopt386.pas, daopt386.pas, popt386.pas,
	rropt386.pas:
	
	  * several fixes to allocregbetween()

2004-10-10 16:57  jonas <jonas.maebe@rug.ac.be>

	* compiler/fpcdefs.inc:
	
	  - disabled oldregvars because it no longer compiles

2004-10-10 11:31  peter <peter@freepascal.org>

	* compiler/symsym.pas:
	
	regvar ppu writing doesn't affect any crc

2004-10-09 13:37  olle

	* compiler/link.pas:
	
	  * Exchanged hardcoded "./" to CurDirRelPath
	  * In FindObjectFile, when link on target, special handling is now
	    only done for units.

2004-10-09 13:29  olle

	* compiler/scanner.pas:
	
	  * Exchanged hardcoded "./" to CurDirRelPath

2004-10-09 13:27  olle

	* compiler/globals.pas:
	
	  + Added CurDirRelPath
	  * Exchanged hardcoded "./" to CurDirRelPath

2004-10-09 12:51  olle

	* compiler/ncgutil.pas:
	
	  * Refs to DEBUGINFO_<x> is now not inserted for target MacOS

2004-10-09 12:48  olle

	* compiler/powerpc/agppcmpw.pas:
	
	  * minor fix

2004-10-08 22:52  florian <florian@freepascal.org>

	* compiler/ncgutil.pas:
	
	  * fixed storage of parameters passed by ref.

2004-10-08 19:09  peter <peter@freepascal.org>

	* compiler/: htypechk.pas, ncal.pas, ncgutil.pas, nld.pas,
	pdecsub.pas, rautils.pas, symconst.pas, symsym.pas, symtable.pas:
	
	  * tvarsym.varregable added, split vo_regable from varoptions

2004-10-08 17:52  florian <florian@freepascal.org>

	* compiler/assemble.pas:
	
	  + non writeable unit output directory produces a nice error
	message now

2004-10-06 22:14  peter <peter@freepascal.org>

	* compiler/rgobj.pas:
	
	  * live_registers must be restored after the spilling store code
	    is generate to add correct conflicts for extra temporary
	registers

2004-10-06 21:26  jonas <jonas.maebe@rug.ac.be>

	* compiler/: nld.pas, symsym.pas, x86/cgx86.pas:
	
	  * regvar fixes from Peter

2004-10-06 21:24  jonas <jonas.maebe@rug.ac.be>

	* compiler/i386/: csopt386.pas, daopt386.pas:
	
	  * take into account the size of a write to determine whether a
	write to
	    one reference influences the contents of another reference

2004-10-05 23:29  florian <florian@freepascal.org>

	* compiler/sparc/rgcpu.pas:
	
	  * fixed generation of refs wiht large offsets, code still broken
	though

2004-10-05 22:55  peter <peter@freepascal.org>

	* compiler/x86_64/cpupara.pas:
	
	  * fixed location size for s64comp

2004-10-05 22:41  peter <peter@freepascal.org>

	* compiler/: aasmtai.pas, cgobj.pas, rgobj.pas, i386/cgcpu.pas,
	i386/daopt386.pas, i386/popt386.pas, sparc/cpupara.pas,
	sparc/itcpugas.pas, sparc/rgcpu.pas, x86/cgx86.pas, x86/rgx86.pas,
	x86_64/cgcpu.pas:
	
	  * more spilling rewrites

2004-10-05 22:21  florian <florian@freepascal.org>

	* compiler/options.pas:
	
	  * bootstrapping with rtti alignment fixed

2004-10-05 19:31  peter <peter@freepascal.org>

	* compiler/i386/popt386.pas:
	
	  * range check errors fixed

2004-10-04 23:23  florian <florian@freepascal.org>

	* compiler/: fpcdefs.inc, symdef.pas:
	
	  * rtti alignment fixed

2004-10-04 23:11  peter <peter@freepascal.org>

	* compiler/x86/aasmcpu.pas:
	
	  * reverted a minor move in the order of tinschange. The order
	    is required by the optimizer. Added also a remark

2004-10-04 22:55  peter <peter@freepascal.org>

	* compiler/x86/aasmcpu.pas:
	
	  * fix x86_64 compile

2004-10-04 22:46  peter <peter@freepascal.org>

	* compiler/: rgobj.pas, i386/csopt386.pas, i386/daopt386.pas,
	i386/optbase.pas, sparc/rgcpu.pas, x86/aasmcpu.pas, x86/cgx86.pas,
	x86/rgx86.pas:
	
	  * spilling code rewritten for x86. It now used the generic
	    spilling routines. Special x86 optimization still needs
	    to be added.
	  * Spilling fixed when both operands needed to be spilled
	  * Cleanup of spilling routine, do_spill_readwritten removed

2004-10-04 22:43  peter <peter@freepascal.org>

	* compiler/cclasses.pas:
	
	  * insertlistbefore added

2004-10-04 20:26  peter <peter@freepascal.org>

	* compiler/: assemble.pas, pmodules.pas:
	
	  * debuginfo fixes

2004-10-04 17:48  peter <peter@freepascal.org>

	* compiler/assemble.pas:
	
	  * AB_COMMON symbols need special relocation in stabs

2004-10-03 21:21  florian <florian@freepascal.org>

	* compiler/sparc/ncpucnv.pas:
	
	  * fixed dword->single/double on sparc

2004-10-03 14:42  florian <florian@freepascal.org>

	* compiler/: sparc/cpugas.pas, sparc/ncpuinln.pas,
	sparc/opcode.inc, sparc/strinst.inc, x86/cgx86.pas:
	
	  * made sqrt, sqr and abs internal for the sparc

2004-10-01 19:41  marco <marcov@stack.nl>

	* compiler/systems/: i_sunos.pas, t_sunos.pas:
	
	 * small updates to make playing with sparc/sunos easier

2004-10-01 19:33  peter <peter@freepascal.org>

	* compiler/sparc/rgcpu.pas:
	
	  * indents

2004-10-01 19:32  peter <peter@freepascal.org>

	* compiler/x86/nx86set.pas:
	
	  * fix resizing of LOC_CREGISTER

2004-10-01 17:22  peter <peter@freepascal.org>

	* compiler/symsym.pas:
	
	  * don't add stabs for register variables

2004-09-30 21:32  hajny <xhajt03@mbox.vol.cz>

	* compiler/x86/nx86cnv.pas:
	
	  * explicit typecast added to avoid range check error

2004-09-29 20:55  florian <florian@freepascal.org>

	* compiler/: cgobj.pas, ncgadd.pas, sparc/cgcpu.pas:
	
	  * fixed more sparc overflow stuff
	  * fixed some op64 stuff for sparc

2004-09-29 08:52  mazen <mazen@freepascal.org>

	* compiler/scanner.pas:
	
	* revert last change : removal of dos unit

2004-09-28 22:19  peter <peter@freepascal.org>

	* compiler/sparc/rgcpu.pas:
	
	  * fixed crash

2004-09-28 18:00  mazen <mazen@freepascal.org>

	* compiler/scanner.pas:
	
	- remove Dos unit dependency

2004-09-27 23:24  peter <peter@freepascal.org>

	* compiler/sparc/: cgcpu.pas, cpupara.pas:
	
	  * fixed passing of flaot parameters. The general size is still
	float,
	    only the size of the locations is now OS_32

2004-09-27 23:23  peter <peter@freepascal.org>

	* compiler/sparc/rgcpu.pas:
	
	  * fixed spilling code

2004-09-27 20:04  olle

	* compiler/utils/ppudump.pp:
	
	  + added -h option to show help

2004-09-27 17:15  peter <peter@freepascal.org>

	* compiler/: htypechk.pas, pstatmnt.pas:
	
	  * register loopvarsym for fields instead of record variable
	  * don't allow class fields as loop var

2004-09-27 17:15  peter <peter@freepascal.org>

	* compiler/ncgcal.pas:
	
	  * dealloc function result registers, register allocation is now
	    back at pre-paraloc level

2004-09-27 17:14  peter <peter@freepascal.org>

	* compiler/rautils.pas:
	
	  * reference local varsyms can't be regvar

2004-09-27 17:14  peter <peter@freepascal.org>

	* compiler/ncgutil.pas:
	
	  * fix compile for oldregvars

2004-09-27 17:12  peter <peter@freepascal.org>

	* compiler/x86/aasmcpu.pas:
	
	  * IE when expecting top_ref

2004-09-27 16:49  peter <peter@freepascal.org>

	* compiler/x86/rgx86.pas:
	
	  * handle 3 operand opcodes the same as 2 operand opcodes, the
	    third operand can only be a const or register CL, so it doesn't
	    affect spilling
	  * support shrd/shld that don't allow memory operands

2004-09-26 23:04  florian <florian@freepascal.org>

	* compiler/: cgobj.pas, ncgadd.pas, sparc/cgcpu.pas:
	
	  + partial overflow checking on sparc; multiplication still
	missing

2004-09-26 21:51  armin

	* compiler/systems/: i_nwl.pas, i_nwm.pas:
	
	* added define netware and netware_libc for target netwlibc,
	netware_clib for netware

2004-09-26 19:45  peter <peter@freepascal.org>

	* compiler/: aasmtai.pas, aggas.pas, cgobj.pas, globtype.pas,
	nbas.pas, ncgbas.pas, ncgflw.pas, ncgld.pas, ncgutil.pas, ncnv.pas,
	nld.pas, nmem.pas, pstatmnt.pas, psub.pas, regvars.pas, rgobj.pas,
	symsym.pas, i386/ag386int.pas, i386/ag386nsm.pas,
	i386/daopt386.pas:
	
	  * simple regvar support, not yet finished

2004-09-26 19:36  florian <florian@freepascal.org>

	* compiler/sparc/cgcpu.pas:
	
	  + a_jmp_name for sparc added

2004-09-26 11:12  florian <florian@freepascal.org>

	* compiler/x86/nx86cnv.pas:
	
	  * fixed qword -> float conversion for x86

2004-09-26 09:15  florian <florian@freepascal.org>

	* compiler/x86/rgx86.pas:
	
	  * ie checking in spilling code improved

2004-09-25 22:28  florian <florian@freepascal.org>

	* compiler/sparc/cpupara.pas:
	
	  * handling of C styled varargs fixed

2004-09-25 22:28  florian <florian@freepascal.org>

	* compiler/powerpc/cpupara.pas:
	
	  * indention fixed

2004-09-25 20:44  florian <florian@freepascal.org>

	* compiler/systems/t_linux.pas:
	
	  * fixed dyn. linker name for sparc

2004-09-25 16:23  peter <peter@freepascal.org>

	* compiler/: cg64f32.pas, cgobj.pas, ncgadd.pas, ncgbas.pas,
	ncgcal.pas, ncgcnv.pas, ncgflw.pas, ncginl.pas, ncgld.pas,
	ncgmat.pas, ncgmem.pas, ncgopt.pas, ncgset.pas, ncgutil.pas,
	paramgr.pas, regvars.pas, rgobj.pas, alpha/rgcpu.pas,
	i386/cgcpu.pas, i386/n386add.pas, i386/n386cal.pas,
	i386/n386mat.pas, i386/n386mem.pas, m68k/cgcpu.pas,
	m68k/n68kmat.pas, powerpc/cgcpu.pas, powerpc/nppcadd.pas,
	powerpc/nppccal.pas, powerpc/nppccnv.pas, powerpc/nppcinl.pas,
	powerpc/nppcmat.pas, powerpc/nppcset.pas, powerpc/rgcpu.pas,
	sparc/cgcpu.pas, sparc/ncpuadd.pas, sparc/ncpucnv.pas,
	sparc/ncpumat.pas, x86/cgx86.pas, x86/nx86add.pas, x86/nx86cnv.pas,
	x86/nx86inl.pas, x86/nx86mat.pas, x86/nx86set.pas,
	x86_64/nx64add.pas, x86_64/nx64mat.pas:
	
	  * ungetregister is now only used for cpuregisters, renamed to
	    ungetcpuregister
	  * renamed (get|unget)explicitregister(s) to ..cpuregister
	  * removed location-release/reference_release

2004-09-24 12:48  armin

	* compiler/systems/: t_nwl.pas, t_nwm.pas:
	
	* added GROUP for .a files to linker script

2004-09-22 17:41  mazen <mazen@freepascal.org>

	* compiler/pp.lpi:
	
	* Fix new command line parameters

2004-09-22 17:25  mazen <mazen@freepascal.org>

	* compiler/systems/: t_beos.pas, t_bsd.pas, t_emx.pas,
	t_go32v2.pas, t_linux.pas, t_nwl.pas, t_nwm.pas, t_os2.pas,
	t_sunos.pas, t_watcom.pas, t_win32.pas:
	
	* Fix error committing : previous version must be in branch
	USE_SYSUTILS

2004-09-22 17:14  mazen <mazen@freepascal.org>

	* compiler/systems/: t_beos.pas, t_bsd.pas, t_emx.pas,
	t_go32v2.pas, t_linux.pas, t_nwl.pas, t_nwm.pas, t_os2.pas,
	t_sunos.pas, t_watcom.pas, t_win32.pas:
	
	* use SysUtils unit instead of Dos Unit

2004-09-22 01:36  hajny <xhajt03@mbox.vol.cz>

	* compiler/symdef.pas:
	
	  * SetTextLineEnding implemented, FileRec.Name position alignment
	for CPU64

2004-09-22 01:33  hajny <xhajt03@mbox.vol.cz>

	* compiler/: globals.pas, msgidx.inc, msgtxt.inc, options.pas,
	msg/errore.msg:
	
	  * better PathExists, fix for too long command line, correction of
	message

2004-09-21 22:33  peter <peter@freepascal.org>

	* compiler/sparc/cgcpu.pas:
	
	  * don't remove MOV reg1,reg1 it is needed for the RA

2004-09-21 22:32  peter <peter@freepascal.org>

	* compiler/cutils.pas:
	
	  * range check error in swapint64

2004-09-21 21:59  peter <peter@freepascal.org>

	* compiler/: fpcdefs.inc, globals.pas:
	
	  * x86_64 fixes
	  * cleanup of fpcdefs.icn

2004-09-21 19:25  peter <peter@freepascal.org>

	* compiler/: cg64f32.pas, cgobj.pas, fpcdefs.inc, globals.pas,
	nadd.pas, ncal.pas, ncgbas.pas, ncgcal.pas, ncgflw.pas, ncginl.pas,
	ncgld.pas, ncgmat.pas, ncgmem.pas, ncgutil.pas, nobj.pas,
	options.pas, parabase.pas, paramgr.pas, ppu.pas, pstatmnt.pas,
	psub.pas, rgobj.pas, symdef.pas, symsym.pas, tgobj.pas,
	i386/cgcpu.pas, i386/cpupara.pas, i386/csopt386.pas,
	powerpc/cgcpu.pas, powerpc/cpupara.pas, powerpc/nppccal.pas,
	sparc/cgcpu.pas, sparc/cpubase.pas, sparc/cpuinfo.pas,
	sparc/cpupara.pas, sparc/itcpugas.pas, sparc/ncpuadd.pas,
	sparc/rspcon.inc, sparc/spreg.dat, systems/t_linux.pas,
	x86/nx86add.pas, x86_64/cgcpu.pas, x86_64/cpupara.pas:
	
	  * paraloc branch merged

2004-09-21 18:00  peter <peter@freepascal.org>

	* compiler/pstatmnt.pas:
	
	  * no difference for withnode when debuginfo is generated

2004-09-21 17:52  peter <peter@freepascal.org>

	* compiler/defcmp.pas:
	
	  * prefer pchar-string over pchar-pointer

2004-09-20 17:40  peter <peter@freepascal.org>

	* compiler/tgobj.pas:
	
	  * make it compile with main branch

2004-09-20 09:32  jonas <jonas.maebe@rug.ac.be>

	* compiler/tgobj.pas:
	
	  * fixed crashes on direction=1 systems (mainly by Peter)

2004-09-19 20:10  armin

	* compiler/systems/t_nwl.pas:
	
	* added library support

2004-09-19 16:23  armin

	* compiler/systems/t_nwl.pas:
	
	* support library flag * automaticly gernerate xdc data

2004-09-16 18:32  peter <peter@freepascal.org>

	* compiler/defcmp.pas:
	
	  * dynarr-pointer is allowed under delphi

2004-09-16 18:32  peter <peter@freepascal.org>

	* compiler/ninl.pas:
	
	  * another fix for reading of subranges

2004-09-16 18:31  peter <peter@freepascal.org>

	* compiler/options.pas:
	
	  * Use FExpand on paths passed to compiler

2004-09-14 18:33  peter <peter@freepascal.org>

	* compiler/: ncgutil.pas, pmodules.pas:
	
	  * release localsymtables when module is compiled

2004-09-14 18:33  peter <peter@freepascal.org>

	* compiler/symdef.pas:
	
	  * restart sorting of enums when deref is called, this is needed
	when
	    a unit is reloaded

2004-09-13 22:34  peter <peter@freepascal.org>

	* compiler/psub.pas:
	
	  * keep localst in memory, it is also needed for finalizing
	    typedconst

2004-09-13 22:33  peter <peter@freepascal.org>

	* compiler/ncgld.pas:
	
	  * pwidechar support in array of const

2004-09-13 22:33  peter <peter@freepascal.org>

	* compiler/pdecl.pas:
	
	  * use realname in error msg

2004-09-13 22:32  peter <peter@freepascal.org>

	* compiler/nadd.pas:
	
	  * only make both operands the same for xor,and,or when both are
	    integer types

2004-09-13 22:32  peter <peter@freepascal.org>

	* compiler/ninl.pas:
	
	  * fix for read(subranges) with subrange typ already being
	sinttype

2004-09-13 22:31  peter <peter@freepascal.org>

	* compiler/nobj.pas:
	
	  * fixed and cleanup of overriding non-visible methods

2004-09-13 22:30  peter <peter@freepascal.org>

	* compiler/symconst.pas:
	
	  * vo_is_loop_counter added

2004-09-13 22:30  peter <peter@freepascal.org>

	* compiler/ncgutil.pas:
	
	  * finalize all (also procedure local) typedconst at unit
	finalization

2004-09-13 22:29  peter <peter@freepascal.org>

	* compiler/ncal.pas:
	
	  * use realname for abstract procs found

2004-09-13 22:28  peter <peter@freepascal.org>

	* compiler/: nflw.pas, htypechk.pas, msgidx.inc, msgtxt.inc,
	pstatmnt.pas, msg/errore.msg:
	
	  * for loop variable assignment is not allowed anymore

2004-09-13 22:27  peter <peter@freepascal.org>

	* compiler/fppu.pas:
	
	  * remove check for shortunitname, it broke units with 8 and 9
	chars
	    with the first 8 chars being equal

2004-09-13 22:26  peter <peter@freepascal.org>

	* compiler/cutils.pas:
	
	  * for-loop variable access removed

2004-09-13 22:26  peter <peter@freepascal.org>

	* compiler/cclasses.pas:
	
	  * stringlist.find case insensitive

2004-09-13 22:25  peter <peter@freepascal.org>

	* compiler/i386/ra386int.pas:
	
	  * support byte() typecast
	  * support array index

2004-09-13 18:13  olle

	* compiler/systems/t_macos.pas:
	
	  + When link on target, the script sets file type on link.res

2004-09-12 22:46  olle

	* compiler/scanner.pas:
	
	  * Minor bugfix in $IFOPT

2004-09-12 22:33  olle

	* compiler/systems/: i_bsd.pas, i_macos.pas:
	
	  * Updated compiler status

2004-09-10 23:00  jonas <jonas.maebe@rug.ac.be>

	* compiler/utils/fpc.pp:
	
	  * fixed wrong error message

2004-09-10 23:00  jonas <jonas.maebe@rug.ac.be>

	* compiler/options.pas:
	
	  * exit with exit code 0 instead of 1 after writing out quick
	options
	    (such as -iV)

2004-09-10 21:59  jonas <jonas.maebe@rug.ac.be>

	* compiler/regvars.pas:
	
	  * clarified comment

2004-09-10 13:23  olle

	* compiler/powerpc/agppcmpw.pas:
	
	  * floating point constants is now written as byte pattern, to
	have exact control of each bit.

2004-09-09 10:19  olle

	* compiler/catch.pas:
	
	  + Added argument to Stop

2004-09-08 13:58  michael <michael.vancanneyt@wisa.be>

	* compiler/: msgidx.inc, msgtxt.inc:
	
	 Regenerated

2004-09-08 13:23  michael <michael.vancanneyt@wisa.be>

	* compiler/: comphook.pas, compiler.pas, globals.pas, options.pas,
	verbose.pas, msg/errore.msg, systems/t_emx.pas, systems/t_os2.pas:
	
	+ Check if outputdir exists,  Fix exitcode when displaying help
	pages

2004-09-05 01:33  armin

	* compiler/: Makefile, utils/Makefile:
	
	* makefiles regenerated * ide: added target netwlibc

2004-09-04 23:18  armin

	* compiler/: compiler.pas, msgidx.inc, msgtxt.inc, pmodules.pas,
	psub.pas, scandir.pas, systems.pas, i386/cputarg.pas,
	msg/errord.msg, msg/errore.msg, msg/errorf.msg, msg/errorpl.msg,
	systems/i_nwl.pas, systems/t_nwl.pas:
	
	* target netwlibc added (libc is preferred for newer netware
	versions)

2004-09-04 23:11  armin

	* compiler/utils/ppudump.pp:
	
	* missing targets added

2004-09-03 18:12  armin

	* compiler/pmodules.pas:
	
	* dont create main for netware (only PASCALMAIN)

2004-09-02 17:47  peter <peter@freepascal.org>

	* compiler/parabase.pas:
	
	file parabase.pas was initially added on branch PARALOC.

2004-09-01 00:07  olle

	* compiler/scandir.pas:
	
	  + compiler directives which take filenames/paths, get these
	trimmed, and
	    also support quotes.

2004-09-01 00:02  olle

	* compiler/globals.pas:
	
	  + support for quoting of paths in TSearchPathList.AddPath so that
	    compiler directives which take paths, will support quotes.
	  * uppdated TranslateMacPath

2004-08-31 23:44  olle

	* compiler/cutils.pas:
	
	  + added proc DePascalQuote

2004-08-30 22:23  peter <peter@freepascal.org>

	* compiler/fmodule.pas:
	
	  * use realmodulename in unit not used msg

2004-08-30 14:09  michael <michael.vancanneyt@wisa.be>

	* compiler/nflw.pas:
	
	+ Patch from peter to fix bug 3272

2004-08-30 13:17  armin

	* compiler/systems/t_nwm.pas:
	
	* added support for libc

2004-08-30 11:28  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppcadd.pas:
	
	  * only specially handle 64bit operations on ordinals

2004-08-29 13:28  peter <peter@freepascal.org>

	* compiler/pdecsub.pas:
	
	fixed crash with error in default value allow assembler directive
	in interface

2004-08-29 13:28  peter <peter@freepascal.org>

	* compiler/pdecobj.pas:
	
	allow published for constructors

2004-08-28 22:25  peter <peter@freepascal.org>

	* compiler/globals.pas:
	
	  * optimized search for noncasesensitive names. It now searches
	    first for NormalCase and skips double tests

2004-08-28 22:01  peter <peter@freepascal.org>

	* compiler/systems/i_win32.pas:
	
	  * enable case sensitive to support mixed case unit/filenames

2004-08-28 22:01  peter <peter@freepascal.org>

	* compiler/fppu.pas:
	
	  * print realmodulename in fatal errors

2004-08-28 22:00  peter <peter@freepascal.org>

	* compiler/ncal.pas:
	
	  * use objrealname in Message1

2004-08-27 23:59  peter <peter@freepascal.org>

	* compiler/: fppu.pas, options.pas, ppu.pas, switches.pas,
	symdef.pas, utils/ppudump.pp:
	
	browser disabled uf_local_symtable ppu flag when a localsymtable is
	stored

2004-08-27 22:55  peter <peter@freepascal.org>

	* compiler/ogcoff.pas:
	
	don't use .rodata, it doesn't work yet

2004-08-27 22:53  peter <peter@freepascal.org>

	* compiler/: aggas.pas, assemble.pas:
	
	don't lowercase filenames in stabs

2004-08-25 22:40  florian <florian@freepascal.org>

	* compiler/sparc/: cgcpu.pas, ncpucnv.pas:
	
	  * fixed absolute on sparc

2004-08-25 17:58  peter <peter@freepascal.org>

	* compiler/pexpr.pas:
	
	  * fix crash with calling method pointer from class procedure

2004-08-25 17:57  peter <peter@freepascal.org>

	* compiler/pdecsub.pas:
	
	  * fix for tw3261

2004-08-25 17:57  peter <peter@freepascal.org>

	* compiler/: msgidx.inc, msgtxt.inc, pdecobj.pas, symconst.pas,
	msg/errore.msg:
	
	  * allow only 1 default property

2004-08-25 17:56  peter <peter@freepascal.org>

	* compiler/ninl.pas:
	
	  * fix sqr() and abs() constant range check errors

2004-08-25 17:55  peter <peter@freepascal.org>

	* compiler/: assemble.pas, ogcoff.pas:
	
	  * fixed win32 that was broken by previous fix

2004-08-25 17:55  peter <peter@freepascal.org>

	* compiler/ogelf.pas:
	
	  * .rodata section support, disabled by default since it doesn't
	work
	    yet

2004-08-25 17:54  peter <peter@freepascal.org>

	* compiler/nutils.pas:
	
	  * fix possible wrong typecast

2004-08-25 13:51  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgset.pas:
	
	  * fixed rare case bug (see tests/test/tb0478.pp)

2004-08-24 23:23  florian <florian@freepascal.org>

	* compiler/x86/cpubase.pas:
	
	  * fixed i386 compilation

2004-08-24 23:02  florian <florian@freepascal.org>

	* compiler/: cgbase.pas, defutil.pas, rgobj.pas, sparc/cgcpu.pas,
	sparc/cpubase.pas, sparc/itcpugas.pas, sparc/ncpucnv.pas,
	sparc/rgcpu.pas:
	
	  * fixed longbool(<int64>) on sparc

2004-08-24 21:31  hajny <xhajt03@mbox.vol.cz>

	* compiler/: assemble.pas, ogcoff.pas:
	
	  * binary writer fix for GO32v2 from Peter

2004-08-23 22:45  florian <florian@freepascal.org>

	* compiler/sparc/ncpucnv.pas:
	
	  * fixed boolean(<int>) on sparc

2004-08-23 13:00  michael <michael.vancanneyt@wisa.be>

	* compiler/ncgutil.pas:
	
	+ Patch from Peter to fix debuginfo in constructor.

2004-08-23 01:16  olle

	* compiler/scanner.pas:
	
	  + added flag to TMacro denoting mac style compiler variable
	  * fixed $DEFINEC
	  * improved robustness of macro facility

2004-08-23 01:12  olle

	* compiler/: msg/errore.msg, msgtxt.inc, msgidx.inc:
	
	  + added macro-lacks-content message
	  * fixed typos etc

2004-08-22 22:11  florian <florian@freepascal.org>

	* compiler/: msgtxt.inc, pdecsub.pas, ppu.pas, msg/errore.msg,
	sparc/ncpucnv.pas:
	
	  * morphos now takes any pointer var. as libbase
	  * alignment for sparc fixed
	  * int -> double conversion on sparc fixed

2004-08-22 13:24  peter <peter@freepascal.org>

	* compiler/pdecsub.pas:
	
	  * don't insert result variables for constructor/destructors

2004-08-22 13:24  peter <peter@freepascal.org>

	* compiler/htypechk.pas:
	
	  * fix error when passing constant to var parameter

2004-08-22 13:23  peter <peter@freepascal.org>

	* compiler/pdecobj.pas:
	
	  * support hint directives in object declarations

2004-08-22 12:50  olle

	* compiler/scanner.pas:
	
	  + added DEFINEC for mode macpas, is equivalent to DEFINE
	  * fixed bug when macro without value is used in a compile time
	expr.

2004-08-22 12:17  peter <peter@freepascal.org>

	* compiler/scandir.pas:
	
	  * support $RESOURCE

2004-08-22 12:17  peter <peter@freepascal.org>

	* compiler/ncal.pas:
	
	  * fixed crash when passing array constructor to formal parameter

2004-08-20 12:30  olle

	* compiler/systems/t_macos.pas:
	
	  + made fpc work as an MPW tool, by itself calling asm and link.

2004-08-20 12:29  olle

	* compiler/globals.pas:
	
	  + made fpc work as an MPW tool, by itself calling asm and link.
	  * bugfix in fp exception flag settings routine

2004-08-20 12:23  olle

	* compiler/script.pas:
	
	  * minor fix for macos

2004-08-17 21:04  jonas <jonas.maebe@rug.ac.be>

	* compiler/nadd.pas:
	
	  * fixed "if @procvar_of_object <> nil" in Delphi/TP mode for for
	non-x86

2004-08-17 18:34  jonas <jonas.maebe@rug.ac.be>

	* compiler/i386/rropt386.pas:
	
	  * do not rename registers across conditional jumps

2004-08-17 18:29  jonas <jonas.maebe@rug.ac.be>

	* compiler/: pdecvar.pas, ppu.pas, symdef.pas, symtable.pas:
	
	  + padalgingment field for recordsymtables (saved by recorddefs)
	  + support for Macintosh PowerPC alignment (if the first field of
	a record
	    or union has an alignment > 4, then the record or union size
	must be
	    padded to a multiple of this size)

2004-08-17 00:52  olle

	* compiler/pmodules.pas:
	
	  + Added automatic use of unit macpas under mode macpas

2004-08-16 23:00  peter <peter@freepascal.org>

	* compiler/sparc/ncpumat.pas:
	
	  * fixed shr/shl 32

2004-08-16 23:00  peter <peter@freepascal.org>

	* compiler/: ncginl.pas, ncgset.pas:
	
	  * range checks fixed

2004-08-16 13:34  olle

	* compiler/scandir.pas:
	
	  + added directive LibExport for macpas, which does nothing atm

2004-08-15 17:05  peter <peter@freepascal.org>

	* compiler/: symdef.pas, symtable.pas:
	
	  * fixed padding of records to alignment

2004-08-15 15:30  florian <florian@freepascal.org>

	* compiler/: aasmtai.pas, fpcdefs.inc, ncgld.pas, pdecvar.pas,
	symtable.pas, sparc/cpubase.pas, systems/i_linux.pas:
	
	  * fixed alignment of variant records
	  * more alignment problems fixed

2004-08-15 14:06  jonas <jonas.maebe@rug.ac.be>

	* compiler/symsym.pas:
	
	  * add cprefix to procedures which are autoamtically marked as
	external in
	    macpas mode

2004-08-14 16:50  florian <florian@freepascal.org>

	* compiler/: aasmtai.pas, ncal.pas, psub.pas, symdef.pas,
	sparc/cpubase.pas:
	
	  * fixed several sparc alignment issues
	  + Jonas' inline node patch; non functional yet

2004-08-13 19:53  jonas <jonas.maebe@rug.ac.be>

	* compiler/pdecsub.pas:
	
	  * only set the mangled name immediately for external procedures
	in macpas
	    mode if the procedure isn't cdecl (so that the c-prefix is
	taken into
	    account, necessary for Mac OS X)

2004-08-08 18:00  florian <florian@freepascal.org>

	* compiler/: ncgcon.pas, ncnv.pas, ninl.pas:
	
	  * constant floating point assignments etc. are now overflow
	checked
	    if Q+ or R+ is turned on

2004-08-08 17:22  florian <florian@freepascal.org>

	* compiler/: msgidx.inc, msgtxt.inc, nadd.pas, msg/errore.msg:
	
	  * fixed several ie9999s when illegal operators were used

2004-08-08 14:35  florian <florian@freepascal.org>

	* compiler/pdecsub.pas:
	
	  * proc. var declarations in a class doesn't eat a public anymore

2004-08-08 14:06  florian <florian@freepascal.org>

	* compiler/pbase.pas:
	
	  * finally is an "endtoken" as well

2004-08-07 21:14  florian <florian@freepascal.org>

	* compiler/pdecvar.pas:
	
	  * fixed problem with explicit specified calling conventions for
	property symbols

2004-08-07 16:52  florian <florian@freepascal.org>

	* compiler/symdef.pas:
	
	  * fixed web bug 3226: type p = type pointer;

2004-08-07 00:54  marco <marcov@stack.nl>

	* compiler/Makefile:
	
	 * regened after ARM change.

2004-08-07 00:37  marco <marcov@stack.nl>

	* compiler/Makefile.fpc:
	
	 * fpcfan copy paste error (ifdef x86_64 should be arm)

2004-08-04 10:35  jonas <jonas.maebe@rug.ac.be>

	* compiler/nutils.pas:
	
	  * some improvements to node complexity calculations

2004-08-02 22:45  florian <florian@freepascal.org>

	* compiler/scanner.pas:
	
	  * sizeof in the preprocessor handles types now as well

2004-08-02 11:15  michael <michael.vancanneyt@wisa.be>

	* compiler/ncgmem.pas:
	
	+ Fixed range check for non-constant indexes in strings

2004-08-02 09:15  michael <michael.vancanneyt@wisa.be>

	* compiler/scanner.pas:
	
	+ Patch from Christian Iversen to implement
	LIBPREFIX/SUFFIX/EXTENSION directives

2004-08-02 09:15  michael <michael.vancanneyt@wisa.be>

	* compiler/: finput.pas, globals.pas:
	
	+ Patch from Christian Iversen to implement 
	LIBPREFIX/SUFFIX/EXTENSION directives

2004-08-01 21:29  armin

	* compiler/systems/t_nwm.pas:
	
	* changes to compile fpc on netware

2004-08-01 21:01  florian <florian@freepascal.org>

	* compiler/sparc/ncpucnv.pas:
	
	  * float to float and int to float fixed

2004-08-01 10:46  florian <florian@freepascal.org>

	* compiler/sparc/ncpumat.pas:
	
	  * qword/int64 shifting fixed

2004-08-01 00:52  armin

	* compiler/systems/i_nwm.pas:
	
	changed path sep to /

2004-07-30 21:22  armin

	* compiler/systems/i_nwm.pas:
	
	* typo in set_source_info

2004-07-30 18:00  armin

	* compiler/systems/t_nwm.pas:
	
	* removed -m for nlmconv, it is only valid for ld

2004-07-27 00:26  olle

	* compiler/powerpc/agppcmpw.pas:
	
	  * made target macos really work again after the dwarf merge

2004-07-26 06:00  mazen <mazen@freepascal.org>

	* compiler/: mppcsparc, pp.lpi, sparc/cpubase.pas:
	
	* fix compile problem

2004-07-23 15:30  jonas <jonas.maebe@rug.ac.be>

	* compiler/i386/csopt386.pas:
	
	  * fixed some more potential regvar bugs

2004-07-23 02:25  olle

	* compiler/scanner.pas:
	
	  + Added compile time function OPTION(x) for MacPas
	  * Saved file as text and not binary (I hope)

2004-07-22 13:58  olle

	* compiler/scanner.pas:
	
	  + Added compile time function OPTION(x) for MacPas

2004-07-22 12:09  jonas <jonas.maebe@rug.ac.be>

	* compiler/aasmbase.pas:
	
	  * fixed relabeling properly now :)

2004-07-22 12:07  jonas <jonas.maebe@rug.ac.be>

	* compiler/: aasmbase.pas, ncgset.pas:
	
	  * fixed relabeling (nextaltnr was never increased)
	  * fixed inlining of case statements at the node level

2004-07-21 17:09  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppcadd.pas:
	
	  * do a resulttypepass of left in the overloaded pass_1 before
	checking
	    its resulttype

2004-07-19 21:21  florian <florian@freepascal.org>

	* compiler/cgbase.pas:
	
	  * indexword in 1.0.x is broken

2004-07-19 21:15  florian <florian@freepascal.org>

	* compiler/: symdef.pas, powerpc/cpupara.pas:
	
	  * fixed funcret_paraloc writing in units

2004-07-19 14:45  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppcld.pas:
	
	  * fixed loading external procedure addresses

2004-07-19 00:04  hajny <xhajt03@mbox.vol.cz>

	* compiler/aggas.pas:
	
	  * fix for OS/2 and EMX - .section not supported by as.exe

2004-07-18 17:14  jonas <jonas.maebe@rug.ac.be>

	* compiler/cgbase.pas:
	
	  * use indexword() in tsuperregisterworklist.delete, greatly
	speeds up
	    compilation of tw2242

2004-07-17 17:51  jonas <jonas.maebe@rug.ac.be>

	* compiler/: globals.pas, link.pas:
	
	  * shell now returns an exitcode
	  * print an error if linking failed when linking was done using a
	script

2004-07-17 16:48  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cgcpu.pas:
	
	  * fixed op_const_reg_reg for (OP_ADD,0,reg1,reg2)

2004-07-17 16:47  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppcadd.pas:
	
	  - removed useless maybe_pushfpu code for ppc

2004-07-17 15:51  florian <florian@freepascal.org>

	* compiler/: pdecsub.pas, powerpc/cpupara.pas:
	
	  * function result location for syscalls on MOS hopefully
	correctly set now

2004-07-17 15:14  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgutil.pas:
	
	  * don't finalize typed consts (fixes bug3212, but causes memory
	leak;
	    they should be finalized at the end of the module)

2004-07-16 23:11  jonas <jonas.maebe@rug.ac.be>

	* compiler/psub.pas:
	
	  - disable node-based inlining of routines with special array
	parameters
	    for now (de indexes of open arrays have to be changed, because
	on the
	    caller-side these routines are not necessarily 0-based)

2004-07-16 21:45  jonas <jonas.maebe@rug.ac.be>

	* compiler/: nbas.pas, ncal.pas, ncgbas.pas:
	
	  + temps can now also hold fpu values in registers (take care with
	use,
	    bacause of the x86 fpu stack)
	  * fpu parameters to node-inlined procedures can now also be put
	in
	    a register

2004-07-15 23:02  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncal.pas:
	
	  * the condition for when to use a temp in case of reference
	var/const
	    parameters was inverse

2004-07-15 22:59  jonas <jonas.maebe@rug.ac.be>

	* compiler/nutils.pas:
	
	  * fixed complexity function so it doesn't always return infinity
	when a
	    load node is encountered

2004-07-15 22:47  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgld.pas:
	
	  - disabled temp-to-temp copy optimization, because it can cause
	errors
	    now that the local variables are temps as well (it can cause
	local
	    variables to be "freed" in the middle of a procedure)

2004-07-15 21:55  jonas <jonas.maebe@rug.ac.be>

	* compiler/: ncal.pas, ninl.pas, nutils.pas, psub.pas:
	
	  + (incomplete) node_complexity function to assess the complexity
	of a
	    tree
	  + support for inlining value and const parameters at the node
	level
	    (all procedures without local variables and without formal
	parameters
	     can now be inlined at the node level)

2004-07-15 01:19  olle

	* compiler/: pdecsub.pas, globtype.pas, pdecvar.pas, switches.pas:
	
	  + added external facilities for macpas

2004-07-14 23:40  olle

	* compiler/ninl.pas:
	
	  + added Ord(pointer) for macpas

2004-07-14 23:37  olle

	* compiler/symdef.pas:
	
	  - removed unused types

2004-07-14 16:38  jonas <jonas.maebe@rug.ac.be>

	* compiler/ninl.pas:
	
	  * fix for web bug 3210

2004-07-12 19:58  peter <peter@freepascal.org>

	* compiler/: cresstr.pas, ncgcon.pas, ncginl.pas, ncgmem.pas,
	ptconst.pas:
	
	  * remove maxlen field from ansistring/widestrings

2004-07-12 12:47  michael <michael.vancanneyt@wisa.be>

	* compiler/ncgcal.pas:
	
	+ Fix for bug 3207 from Peter

2004-07-12 11:14  jonas <jonas.maebe@rug.ac.be>

	* compiler/: ncal.pas, nutils.pas, ppu.pas, psub.pas, symdef.pas,
	utils/ppudump.pp:
	
	  * inline procedures at the node tree level, but only under some
	very
	    limited circumstances for now (only procedures, and only if
	they have
	    no or only vs_out/vs_var parameters).
	  * fixed ppudump for inline procedures
	  * fixed ppudump for ppc

2004-07-11 21:01  peter <peter@freepascal.org>

	* compiler/ncgcal.pas:
	
	  * comps are passed in int registers

2004-07-10 22:24  peter <peter@freepascal.org>

	* compiler/psub.pas:
	
	  * put every proc in a new object file

2004-07-10 01:41  jonas <jonas.maebe@rug.ac.be>

	* compiler/: cgobj.pas, ncgcal.pas, ncgutil.pas, paramgr.pas:
	
	  * support register parameters for inlined procedures + some
	inline
	    cleanups

2004-07-10 01:30  jonas <jonas.maebe@rug.ac.be>

	* compiler/: i386/cgcpu.pas, i386/cpupara.pas, x86/cpubase.pas,
	x86_64/cgcpu.pas:
	
	  *  changed first_sse_imreg to first_mm_imreg

2004-07-10 01:11  peter <peter@freepascal.org>

	* compiler/ppu.pas:
	
	  * new format

2004-07-10 01:09  peter <peter@freepascal.org>

	* compiler/i386/cpupara.pas:
	
	  * varargs calculation fixed, it's now the same as the other
	    targets

2004-07-10 00:17  peter <peter@freepascal.org>

	* compiler/: fppu.pas, nobj.pas, psub.pas, symbase.pas,
	symconst.pas, symdef.pas, symtable.pas, symtype.pas,
	utils/ppudump.pp:
	
	  * revert has_localst patch
	  * replace aktstaticsymtable/aktglobalsymtable with current_module

2004-07-09 23:45  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/: cgcpu.pas, cpupara.pas:
	
	  * fixed passing of fpu paras on the stack
	  * fixed number of fpu parameters passed in registers
	  * skip corresponding integer registers when using an fpu register
	for a
	    parameter under the AIX abi

2004-07-09 23:38  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/rgobj.pas:
	
	  * Add check <= 255 when adding to adj_colours

2004-07-08 16:42  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/systems/t_linux.pas:
	
	  * Uclibc detection

2004-07-08 11:57  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/rgobj.pas:
	
	  * Use a normal pascal set in assign_colours, since it only will
	contain
	    real registers

2004-07-07 19:35  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: cgbase.pas, rgobj.pas:
	
	  * supregset_reset clears 8kb of memory. However, it is being
	called in
	    inner loops, see for example colour_registers. According to
	profile data
	    this causes fillchar to be the most time consuming procedure.
	    Some modifications done to make it clear less than 8kb of
	memory each
	    call. Divides time spent in fillchar by two, but it still is
	the no.1
	    procedure.

2004-07-06 22:58  peter <peter@freepascal.org>

	* compiler/nobj.pas:
	
	  * ignore po_haslocalst

2004-07-06 22:23  peter <peter@freepascal.org>

	* compiler/: fppu.pas, pmodules.pas:
	
	  * remove unused and not loaded units before linking

2004-07-06 21:52  peter <peter@freepascal.org>

	* compiler/: fppu.pas, psub.pas, symconst.pas, symdef.pas,
	utils/ppudump.pp:
	
	  * fix storing of localst in ppu

2004-07-06 21:47  peter <peter@freepascal.org>

	* compiler/i386/ra386int.pas:
	
	  * fixed parsing of strings in db

2004-07-06 11:41  olle

	* compiler/scandir.pas:
	
	  * fixes compilation on 1.0.*

2004-07-06 01:28  olle

	* compiler/globals.pas:
	
	  + FixFileName now handles Mac OS paths

2004-07-06 01:25  olle

	* compiler/: pexpr.pas, scanner.pas, tokens.pas:
	
	  + adding operators "|" and "&" for macpas

2004-07-05 23:49  olle

	* compiler/: compinnr.inc, msgidx.inc, msgtxt.inc, pexpr.pas,
	psystem.pas, scandir.pas, msg/errore.msg:
	
	  + macpas style: exit, cycle, leave
	  + macpas compiler directive: PUSH POP

2004-07-05 23:26  olle

	* compiler/: fppu.pas, options.pas, systems/i_macos.pas:
	
	  + allow fileextension .p, in mode macpas

2004-07-04 17:22  florian <florian@freepascal.org>

	* compiler/arm/: aasmcpu.pas, cpuinfo.pas:
	
	  * fixed float spilling to use sfm/lfm instead of stf/ldf

2004-07-04 14:38  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgset.pas:
	
	  * fixed regvar bug in tcginnode.pass_2

2004-07-04 14:24  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgutil.pas:
	
	  * fixed one regvar problem, but regvars are still broken since
	the dwarf
	    merge...

2004-07-04 14:24  jonas <jonas.maebe@rug.ac.be>

	* compiler/options.pas:
	
	  * fixed "-g-l" (and other "-g-*" combinations)

2004-07-03 21:29  florian <florian@freepascal.org>

	* compiler/arm/: cgcpu.pas, rgcpu.pas:
	
	  * fixed problem with cpu interferences

2004-07-03 16:06  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/ptconst.pas:
	
	  * Compile fix

2004-07-03 13:47  peter <peter@freepascal.org>

	* compiler/cgobj.pas:
	
	  * fix rangecheck error when assigning u32bit=s32bit

2004-07-03 12:26  peter <peter@freepascal.org>

	* compiler/ncgld.pas:
	
	  * always pass right before left when type needs refcnt

2004-07-01 20:28  jonas <jonas.maebe@rug.ac.be>

	* compiler/assemble.pas:
	
	  + detect assembler errors when using -ap

2004-07-01 20:16  jonas <jonas.maebe@rug.ac.be>

	* compiler/aggas.pas:
	
	  * Darwin fixes

2004-07-01 20:00  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cpupara.pas:
	
	  * fix for broken TP-style constructor handling in the compiler

2004-07-01 20:00  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cgcpu.pas:
	
	  * fixed several errors due to aword -> aint change

2004-07-01 17:42  peter <peter@freepascal.org>

	* compiler/assemble.pas:
	
	  * fix wrong calculation of .bss section

2004-06-29 23:00  peter <peter@freepascal.org>

	* compiler/: pmodules.pas, systems.pas, systems/i_linux.pas,
	x86/agx86att.pas:
	
	  * only enable dwarf for supported platforms

2004-06-29 22:59  peter <peter@freepascal.org>

	* compiler/pexpr.pas:
	
	  * don't allow assigned(tobject) anymore, it is useless since it
	    is always true

2004-06-29 22:58  peter <peter@freepascal.org>

	* compiler/nobj.pas:
	
	  * fix writing of private virtual/overriden methods that aren't
	    visibile in the current class, bug 3184

2004-06-29 22:57  peter <peter@freepascal.org>

	* compiler/ncnv.pas:
	
	  * fix pchar:=char
	  * fix longint(smallset)

2004-06-29 22:57  peter <peter@freepascal.org>

	* compiler/ncgutil.pas:
	
	  * fixed size of exceptbuf

2004-06-29 22:57  peter <peter@freepascal.org>

	* compiler/ncgld.pas:
	
	  * redundant freetemp removed

2004-06-29 22:56  peter <peter@freepascal.org>

	* compiler/ncgcal.pas:
	
	  * constructors don't return in parameter

2004-06-28 16:38  michael <michael.vancanneyt@wisa.be>

	* compiler/pexpr.pas:
	
	+ Patch from peter to fix typinfo for classes

2004-06-23 18:22  peter <peter@freepascal.org>

	* compiler/: htypechk.pas, ncnv.pas, symtable.pas:
	
	  * include unit name in error messages when types are the same

2004-06-23 16:54  peter <peter@freepascal.org>

	* compiler/i386/ra386int.pas:
	
	  * align directive added

2004-06-22 20:24  florian <florian@freepascal.org>

	* compiler/rgobj.pas:
	
	  * fixed arm compilation

2004-06-20 22:41  florian <florian@freepascal.org>

	* compiler/ptconst.pas:
	
	  * fixed bootstrapping problems

2004-06-20 10:55  florian <florian@freepascal.org>

	* compiler/: aasmbase.pas, aasmtai.pas, aggas.pas, aopt.pas,
	aoptbase.pas, aoptcs.pas, aoptda.pas, aoptobj.pas, assemble.pas,
	browcol.pas, browlog.pas, catch.pas, cclasses.pas, cg64f32.pas,
	cg64f64.pas, cgbase.pas, cgobj.pas, charset.pas, cmsgs.pas,
	comphook.pas, compiler.pas, compinnr.inc, comprsrc.pas, crc.pas,
	cresstr.pas, cstreams.pas, cutils.pas, defcmp.pas, defutil.pas,
	dmisc.pas, dwarf.pas, export.pas, finput.pas, fmodule.pas,
	fpcdefs.inc, fppu.pas, gdb.pas, gendef.pas, globals.pas,
	globtype.pas, htypechk.pas, impdef.pas, import.pas, link.pas,
	nadd.pas, nbas.pas, ncal.pas, ncgadd.pas, ncgbas.pas, ncgcal.pas,
	ncgcnv.pas, ncgcon.pas, ncgflw.pas, ncginl.pas, ncgld.pas,
	ncgmat.pas, ncgmem.pas, ncgopt.pas, ncgset.pas, ncgutil.pas,
	ncnv.pas, ncon.pas, nflw.pas, ninl.pas, nld.pas, nmat.pas,
	nmem.pas, nobj.pas, node.pas, nopt.pas, nset.pas, nstate.pas,
	nutils.pas, ogbase.pas, ogcoff.pas, ogelf.pas, oglx.pas, ogmap.pas,
	options.pas, owar.pas, owbase.pas, paramgr.pas, parser.pas,
	pass_1.pas, pass_2.pas, pbase.pas, pdecl.pas, pdecobj.pas,
	pdecsub.pas, pdecvar.pas, pexports.pas, pexpr.pas, pinline.pas,
	pmodules.pas, pp.pas, ppheap.pas, ppu.pas, procinfo.pas,
	pstatmnt.pas, psub.pas, psystem.pas, ptconst.pas, ptype.pas,
	raatt.pas, rabase.pas, rasm.pas, rautils.pas, regvars.pas,
	rgbase.pas, rgobj.pas, scandir.pas, scanner.pas, script.pas,
	switches.pas, symbase.pas, symconst.pas, symdef.pas, symnot.pas,
	symsym.pas, symtable.pas, symtype.pas, symutil.pas, systems.pas,
	tgobj.pas, tokens.pas, tpexcept.pas, verbose.pas, version.pas,
	widestr.pas, alpha/aasmcpu.pas, alpha/agaxpgas.pas,
	alpha/aoptcpu.pas, alpha/aoptcpub.pas, alpha/aoptcpuc.pas,
	alpha/aoptcpud.pas, alpha/cgcpu.pas, alpha/cpubase.pas,
	alpha/cpunode.pas, alpha/cpupara.pas, alpha/cpupi.pas,
	alpha/cpuswtch.pas, alpha/cputarg.pas, alpha/radirect.pas,
	alpha/rasm.pas, alpha/rgcpu.pas, alpha/tgcpu.pas, arm/aasmcpu.pas,
	arm/agarmgas.pas, arm/cgcpu.pas, arm/cpubase.pas, arm/cpuinfo.pas,
	arm/cpunode.pas, arm/cpupara.pas, arm/cpupi.pas, arm/cpuswtch.pas,
	arm/cputarg.pas, arm/itcpugas.pas, arm/narmadd.pas,
	arm/narmcal.pas, arm/narmcnv.pas, arm/narminl.pas, arm/narmmat.pas,
	arm/raarm.pas, arm/raarmgas.pas, arm/rgcpu.pas, i386/ag386int.pas,
	i386/ag386nsm.pas, i386/aopt386.pas, i386/cgcpu.pas,
	i386/cpubase.inc, i386/cpuinfo.pas, i386/cpunode.pas,
	i386/cpupara.pas, i386/cpupi.pas, i386/cpuswtch.pas,
	i386/cputarg.pas, i386/csopt386.pas, i386/daopt386.pas,
	i386/n386add.pas, i386/n386cal.pas, i386/n386cnv.pas,
	i386/n386con.pas, i386/n386inl.pas, i386/n386mat.pas,
	i386/n386mem.pas, i386/n386obj.pas, i386/n386set.pas,
	i386/optbase.pas, i386/popt386.pas, i386/ra386int.pas,
	i386/rgcpu.pas, i386/rropt386.pas, ia64/cpuasm.pas,
	ia64/cpubase.pas, ia64/cpuinfo.pas, m68k/aasmcpu.pas,
	m68k/agcpugas.pas, m68k/aoptcpu.pas, m68k/aoptcpub.pas,
	m68k/cgcpu.pas, m68k/cpuasm.pas, m68k/cpubase.pas,
	m68k/cpuinfo.pas, m68k/cpunode.pas, m68k/cpupara.pas,
	m68k/cpupi.pas, m68k/cpuswtch.pas, m68k/cputarg.pas,
	m68k/n68kcnv.pas, m68k/n68kmat.pas, m68k/ncpuadd.pas,
	m68k/ra68kmot.pas, m68k/rgcpu.pas, powerpc/aasmcpu.pas,
	powerpc/agppcgas.pas, powerpc/agppcmpw.pas, powerpc/aoptcpu.pas,
	powerpc/aoptcpub.pas, powerpc/aoptcpuc.pas, powerpc/aoptcpud.pas,
	powerpc/cgcpu.pas, powerpc/cpubase.pas, powerpc/cpuinfo.pas,
	powerpc/cpunode.pas, powerpc/cpupara.pas, powerpc/cpupi.pas,
	powerpc/cpuswtch.pas, powerpc/cputarg.pas, powerpc/itcpugas.pas,
	powerpc/nppcadd.pas, powerpc/nppccal.pas, powerpc/nppccnv.pas,
	powerpc/nppcinl.pas, powerpc/nppcmat.pas, powerpc/nppcobj.pas,
	powerpc/nppcset.pas, powerpc/nppcutil.pas, powerpc/rappc.pas,
	powerpc/rappcgas.pas, powerpc/rgcpu.pas, sparc/aasmcpu.pas,
	sparc/cgcpu.pas, sparc/cpubase.pas, sparc/cpugas.pas,
	sparc/cpuinfo.pas, sparc/cpunode.pas, sparc/cpupara.pas,
	sparc/cpupi.pas, sparc/cpuswtch.pas, sparc/cputarg.pas,
	sparc/itcpugas.pas, sparc/ncpuadd.pas, sparc/ncpucall.pas,
	sparc/ncpucnv.pas, sparc/ncpuinln.pas, sparc/ncpumat.pas,
	sparc/opcode.inc, sparc/racpu.pas, sparc/racpugas.pas,
	sparc/rgcpu.pas, sparc/strinst.inc, systems/i_amiga.pas,
	systems/i_atari.pas, systems/i_beos.pas, systems/i_bsd.pas,
	systems/i_emx.pas, systems/i_go32v2.pas, systems/i_linux.pas,
	systems/i_macos.pas, systems/i_nwm.pas, systems/i_os2.pas,
	systems/i_palmos.pas, systems/i_sunos.pas, systems/i_watcom.pas,
	systems/i_wdosx.pas, systems/i_win32.pas, systems/t_amiga.pas,
	systems/t_atari.pas, systems/t_beos.pas, systems/t_bsd.pas,
	systems/t_emx.pas, systems/t_go32v2.pas, systems/t_linux.pas,
	systems/t_macos.pas, systems/t_morph.pas, systems/t_nwm.pas,
	systems/t_os2.pas, systems/t_palmos.pas, systems/t_sunos.pas,
	systems/t_watcom.pas, systems/t_wdosx.pas, systems/t_win32.pas,
	vis/aasmcpu.pas, vis/cpubase.pas, vis/cpuinfo.pas, vis/cpunode.pas,
	vis/cpupara.pas, x86/aasmcpu.pas, x86/agx86att.pas, x86/cga.pas,
	x86/cgx86.pas, x86/cpubase.pas, x86/itcpugas.pas, x86/itx86int.pas,
	x86/nx86add.pas, x86/nx86cnv.pas, x86/nx86inl.pas, x86/nx86mat.pas,
	x86/rax86.pas, x86/rax86att.pas, x86/rgx86.pas, x86_64/cgcpu.pas,
	x86_64/cpubase.inc, x86_64/cpuinfo.pas, x86_64/cpunode.pas,
	x86_64/cpupara.pas, x86_64/cpupi.pas, x86_64/cpuswtch.pas,
	x86_64/cputarg.pas, x86_64/nx64cnv.pas, x86_64/nx64mat.pas,
	x86_64/rgcpu.pas:
	
	  * logs truncated

2004-06-20 10:47  florian <florian@freepascal.org>

	* compiler/: rgobj.pas, m68k/aasmcpu.pas, m68k/cpubase.pas,
	sparc/aasmcpu.pas, sparc/rgcpu.pas:
	
	  * spilling of doubles on sparc fixed

2004-06-20 09:11  florian <florian@freepascal.org>

	* compiler/sparc/cpugas.pas:
	
	  - offsetfixup removed

2004-06-18 17:16  peter <peter@freepascal.org>

	* compiler/: cg64f32.pas, defutil.pas, ncgcon.pas, ninl.pas,
	ptconst.pas, symdef.pas, systems/t_win32.pas:
	
	  * remove obsolete cardinal() typecasts

2004-06-18 17:16  peter <peter@freepascal.org>

	* compiler/pmodules.pas:
	
	  * fixed debuginfo symbol

2004-06-17 18:55  peter <peter@freepascal.org>

	* compiler/: cg64f32.pas, regvars.pas, powerpc/aasmcpu.pas,
	powerpc/agppcgas.pas, powerpc/agppcmpw.pas, powerpc/cgcpu.pas,
	powerpc/cpubase.pas, powerpc/nppcadd.pas, powerpc/nppcld.pas,
	powerpc/ppcreg.dat, powerpc/rppcdwrf.inc, utils/mkppcreg.pp:
	
	  * powerpc compiles again

2004-06-16 22:07  florian <florian@freepascal.org>

	* compiler/: aasmbase.pas, aasmtai.pas, aggas.pas, assemble.pas,
	browcol.pas, cclasses.pas, cg64f32.pas, cg64f64.pas, cgbase.pas,
	cgobj.pas, cmsgs.pas, cresstr.pas, cstreams.pas, cutils.pas,
	defutil.pas, dwarf.pas, finput.pas, fpcdefs.inc, gendef.pas,
	globals.pas, globtype.pas, htypechk.pas, msgidx.inc, msgtxt.inc,
	nadd.pas, nbas.pas, ncal.pas, ncgadd.pas, ncgbas.pas, ncgcal.pas,
	ncgcnv.pas, ncgcon.pas, ncgflw.pas, ncginl.pas, ncgld.pas,
	ncgmat.pas, ncgmem.pas, ncgset.pas, ncgutil.pas, ncnv.pas,
	ncon.pas, nflw.pas, ninl.pas, nld.pas, nmat.pas, nmem.pas,
	nobj.pas, node.pas, nset.pas, nutils.pas, ogbase.pas, ogcoff.pas,
	ogelf.pas, ogmap.pas, options.pas, owbase.pas, paramgr.pas,
	pdecl.pas, pdecobj.pas, pdecsub.pas, pdecvar.pas, pexports.pas,
	pexpr.pas, pmodules.pas, pp.pas, ppu.pas, procinfo.pas,
	pstatmnt.pas, psub.pas, psystem.pas, ptconst.pas, ptype.pas,
	raatt.pas, rautils.pas, rgobj.pas, scandir.pas, symconst.pas,
	symdef.pas, symsym.pas, symtable.pas, symtype.pas, systems.pas,
	tgobj.pas, tokens.pas, version.pas, widestr.pas, alpha/cpuinfo.pas,
	arm/aasmcpu.pas, arm/agarmgas.pas, arm/armreg.dat, arm/cgcpu.pas,
	arm/cpubase.pas, arm/cpuinfo.pas, arm/cpupara.pas, arm/cpupi.pas,
	arm/rarmdwa.inc, arm/rgcpu.pas, i386/ag386int.pas,
	i386/ag386nsm.pas, i386/cgcpu.pas, i386/cpubase.inc,
	i386/cpuinfo.pas, i386/cpupara.pas, i386/csopt386.pas,
	i386/n386add.pas, i386/n386cal.pas, i386/n386mem.pas,
	i386/n386obj.pas, i386/n386set.pas, i386/popt386.pas,
	i386/r386ari.inc, i386/r386att.inc, i386/r386con.inc,
	i386/r386dwrf.inc, i386/r386int.inc, i386/r386iri.inc,
	i386/r386nasm.inc, i386/r386nor.inc, i386/r386nri.inc,
	i386/r386num.inc, i386/r386op.inc, i386/r386ot.inc,
	i386/r386rni.inc, i386/r386sri.inc, i386/r386stab.inc,
	i386/r386std.inc, i386/ra386int.pas, ia64/cpubase.pas,
	m68k/agcpugas.pas, m68k/cpubase.pas, m68k/cpuinfo.pas,
	msg/errore.msg, powerpc/cpubase.pas, powerpc/cpuinfo.pas,
	powerpc/rappcgas.pas, sparc/aasmcpu.pas, sparc/cgcpu.pas,
	sparc/cpubase.pas, sparc/cpugas.pas, sparc/cpuinfo.pas,
	sparc/cpunode.pas, sparc/cpupara.pas, sparc/cpupi.pas,
	sparc/ncpuadd.pas, sparc/ncpucnv.pas, sparc/ncpumat.pas,
	sparc/ncpuobj.pas, sparc/opcode.inc, sparc/racpu.pas,
	sparc/racpugas.pas, sparc/rgcpu.pas, sparc/rspdwrf.inc,
	sparc/spreg.dat, sparc/strinst.inc, systems/i_bsd.pas,
	systems/i_linux.pas, systems/t_bsd.pas, systems/t_linux.pas,
	systems/t_win32.pas, utils/fpc.pp, utils/mkarmreg.pp,
	utils/mkspreg.pp, utils/mkx86reg.pp, vis/cpuinfo.pas,
	x86/aasmcpu.pas, x86/agx86att.pas, x86/cga.pas, x86/cgx86.pas,
	x86/cpubase.pas, x86/nx86add.pas, x86/nx86cnv.pas, x86/nx86inl.pas,
	x86/nx86mat.pas, x86/nx86set.pas, x86/rax86.pas, x86/rax86att.pas,
	x86/rgx86.pas, x86/x86ins.dat, x86/x86reg.dat, x86_64/cgcpu.pas,
	x86_64/cpubase.inc, x86_64/cpuinfo.pas, x86_64/cpunode.pas,
	x86_64/cpupara.pas, x86_64/cpupi.pas, x86_64/nx64add.pas,
	x86_64/nx64cal.pas, x86_64/nx64mat.pas, x86_64/nx64obj.pas,
	x86_64/r8664ari.inc, x86_64/r8664att.inc, x86_64/r8664con.inc,
	x86_64/r8664dwrf.inc, x86_64/r8664nor.inc, x86_64/r8664num.inc,
	x86_64/r8664op.inc, x86_64/r8664ot.inc, x86_64/r8664rni.inc,
	x86_64/r8664sri.inc, x86_64/r8664stab.inc, x86_64/r8664std.inc,
	x86_64/x8664ats.inc, x86_64/x8664att.inc, x86_64/x8664int.inc,
	x86_64/x8664nop.inc, x86_64/x8664op.inc, x86_64/x8664pro.inc,
	x86_64/x8664tab.inc:
	
	  * dwarf branch merged

2004-06-12 19:01  florian <florian@freepascal.org>

	* compiler/arm/rarmdwa.inc:
	
	file rarmdwa.inc was initially added on branch DWARF.

2004-06-08 19:14  jonas <jonas.maebe@rug.ac.be>

	* compiler/systems/t_bsd.pas:
	
	  * use -x instead of -s for stripping under Mac OS X (-s strips
	too much
	    sometimes)

2004-06-08 17:04  karoly

	* compiler/systems/t_morph.pas:
	
	  * fixed stripping really this time

2004-06-08 01:44  karoly

	* compiler/systems/t_morph.pas:
	
	  + fixed stripping support

2004-06-06 17:39  karoly

	* compiler/utils/msg2inc.pp:
	
	  * added support for morphos

2004-06-06 17:28  karoly

	* compiler/utils/Makefile:
	
	  * regenerated to support morphos target

2004-06-06 17:09  karoly

	* compiler/Makefile:
	
	  * regenerated to support morphos target

2004-06-06 03:18  karoly

	* compiler/utils/fpc.pp:
	
	 * morphos has no .exe just like amiga

2004-06-05 12:14  marco <marcov@stack.nl>

	* compiler/utils/fpc.pp:
	
	 * fix for bug 3127

2004-06-02 19:18  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cgcpu.pas:
	
	  * parameters passed on the stack now also work as register
	variables

2004-06-02 09:03  jonas <jonas.maebe@rug.ac.be>

	* compiler/systems/t_bsd.pas:
	
	  - disabled automatic adding of libraries from "external lib name
	'xxx'"
	    for now (until we have proper framework support)

2004-06-01 22:39  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgutil.pas:
	
	  * fixed bug regarding parameters on the ppc (they were allocated
	twice
	    under some circumstances and not at all in others)

2004-05-31 20:08  jonas <jonas.maebe@rug.ac.be>

	* compiler/: powerpc/cgcpu.pas, systems/t_bsd.pas:
	
	  * changed calling of external procedures to be the same as under
	gcc
	    (don't worry about all the generated stubs, they're optimized
	away
	     by the linker)
	    -> side effect: no need anymore to use special declarations for
	       external C functions under Darwin compared to other
	platforms
	       (it's still necessary for variables though)

2004-05-31 14:00  peter <peter@freepascal.org>

	* compiler/version.pas:
	
	  * 1.9.5 for CVS HEAD

2004-05-31 13:57  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppcinl.pas:
	
	  * fixed second_sqr_real (mainly for regvars)

2004-05-30 23:41  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgutil.pas:
	
	  * more regvar optimizations in location_force_reg

2004-05-30 23:20  jonas <jonas.maebe@rug.ac.be>

	* compiler/fpcdefs.inc:
	
	  * enable regvars by default for PPC

2004-05-30 23:18  jonas <jonas.maebe@rug.ac.be>

	* compiler/: ncginl.pas, ncgset.pas, ncgutil.pas:
	
	  * some optimizations and associated fixes for better regvar code

2004-05-30 17:36  jonas <jonas.maebe@rug.ac.be>

	* compiler/regvars.pas:
	
	  * fixed regvars compilation

2004-05-30 11:44  michael <michael.vancanneyt@wisa.be>

	* compiler/Makefile:
	
	+ Version 1.9.4

2004-05-30 11:15  florian <florian@freepascal.org>

	* compiler/Makefile.fpc:
	
	  * first part of version number update

2004-05-30 01:46  michael <michael.vancanneyt@wisa.be>

	* compiler/version.pas:
	
	+ Version 1.9.4

2004-05-28 23:15  peter <peter@freepascal.org>

	* compiler/ninl.pas:
	
	  * inc(x,y) makes y always of type x to prevent 64bit operations
	    when x is a u32bit and y is signed

2004-05-28 23:14  peter <peter@freepascal.org>

	* compiler/nmat.pas:
	
	  * fixed div qword

2004-05-28 23:14  peter <peter@freepascal.org>

	* compiler/: ncgutil.pas, psub.pas:
	
	  * first load para's to temps before calling entry code (profile

2004-05-28 23:13  peter <peter@freepascal.org>

	* compiler/nadd.pas:
	
	  * fix cardinal+constint

2004-05-28 23:13  peter <peter@freepascal.org>

	* compiler/defutil.pas:
	
	  * prefer signed constants over unsigned

2004-05-28 23:13  peter <peter@freepascal.org>

	* compiler/aggas.pas:
	
	  * fix wrong regalloc comments

2004-05-27 20:53  peter <peter@freepascal.org>

	* compiler/owar.pas:
	
	  * fix writing of // header

2004-05-25 23:27  florian <florian@freepascal.org>

	* compiler/htypechk.pas:
	
	  * fixed another formal const problem caused by yesterday's
	changes

2004-05-25 20:51  peter <peter@freepascal.org>

	* compiler/ncal.pas:
	
	  * fix tcallnode.getcopy. the parameters need to be copied after
	    methodpointerinit is copied

2004-05-25 20:51  peter <peter@freepascal.org>

	* compiler/symdef.pas:
	
	  * range check error

2004-05-25 20:50  peter <peter@freepascal.org>

	* compiler/symtable.pas:
	
	  * check for 2gb limit when inserting record fields

2004-05-24 23:24  florian <florian@freepascal.org>

	* compiler/htypechk.pas:
	
	  * properties are allowed as formal const parameters as well

2004-05-24 23:04  florian <florian@freepascal.org>

	* compiler/htypechk.pas:
	
	  * fixed more formal const problems

2004-05-24 22:39  florian <florian@freepascal.org>

	* compiler/: htypechk.pas, ncon.pas, node.pas:
	
	  * stricter handling of formal const parameters and IE fixed

2004-05-24 19:31  peter <peter@freepascal.org>

	* compiler/ncal.pas:
	
	  * fix passing of array to open array of array (bug 3113)

2004-05-24 19:31  peter <peter@freepascal.org>

	* compiler/psub.pas:
	
	  * also check local typed const

2004-05-24 19:30  peter <peter@freepascal.org>

	* compiler/cclasses.pas:
	
	  * allow setting of name in dictionary always. Otherwise it is
	never
	    possible to create an item with a name and rename before insert
	    this is used in the symtable to hide the current symbol

2004-05-24 18:31  peter <peter@freepascal.org>

	* compiler/: Makefile, Makefile.fpc:
	
	  * use UNIXHier

2004-05-23 22:57  peter <peter@freepascal.org>

	* compiler/symdef.pas:
	
	  * removed unused voidprocdef

2004-05-23 22:56  peter <peter@freepascal.org>

	* compiler/pmodules.pas:
	
	  * initialize errorsym/errortype.def.owner to prevent crashes

2004-05-23 22:56  peter <peter@freepascal.org>

	* compiler/symtable.pas:
	
	  * don't generate incompatible types when there is an errordef

2004-05-23 22:55  peter <peter@freepascal.org>

	* compiler/scanner.pas:
	
	 * Patch from Christian Iversen to support sizeof() in preprocessor

2004-05-23 22:54  peter <peter@freepascal.org>

	* compiler/pdecsub.pas:
	
	  * fixed 3114

2004-05-23 21:06  peter <peter@freepascal.org>

	* compiler/pdecsub.pas:
	
	  * expect : after function when it is a forwarddef

2004-05-23 20:28  peter <peter@freepascal.org>

	* compiler/: htypechk.pas, nbas.pas, ncal.pas, ncgbas.pas,
	ncgcal.pas, ncnv.pas, ninl.pas, node.pas, nutils.pas, pexpr.pas,
	pinline.pas, pstatmnt.pas, psub.pas:
	
	  * methodpointer is loaded into a temp when it was a calln

2004-05-23 20:25  peter <peter@freepascal.org>

	* compiler/: Makefile, utils/Makefile:
	
	  * regenerated

2004-05-23 18:46  peter <peter@freepascal.org>

	* compiler/: checkmem.pas, pp.pas:
	
	  * checkmem remvoed

2004-05-23 17:23  peter <peter@freepascal.org>

	* compiler/: cresstr.pas, ncgutil.pas, ptconst.pas, symdef.pas,
	symtype.pas:
	
	  * fixed qword(longint) that removed sign from the number
	  * removed code in the compiler that relied on wrong
	qword(longint)
	    code generation

2004-05-23 17:06  peter <peter@freepascal.org>

	* compiler/: globtype.pas, nbas.pas, ncal.pas, ncgbas.pas,
	ncgutil.pas, node.pas, pass_1.pas, pass_2.pas, pmodules.pas,
	psub.pas:
	
	  * implicit_finally flag must be set in pass1
	  * add check whether the implicit frame is generated when expected

2004-05-23 17:04  peter <peter@freepascal.org>

	* compiler/nutils.pas:
	
	  * generate better code for ansistring initialization

2004-05-23 17:04  peter <peter@freepascal.org>

	* compiler/nflw.pas:
	
	  * remvoe writeln

2004-05-23 17:03  peter <peter@freepascal.org>

	* compiler/: htypechk.pas, ncnv.pas:
	
	  * some typeconvs don't allow assignment or passing to var para

2004-05-23 16:32  peter <peter@freepascal.org>

	* compiler/: globtype.pas, symconst.pas:
	
	  * tprocinfoflag moved to globtype

2004-05-23 16:31  peter <peter@freepascal.org>

	* compiler/cclasses.pas:
	
	  * count fixes for tlinkedlist

2004-05-23 16:31  peter <peter@freepascal.org>

	* compiler/aasmtai.pas:
	
	  * ignore marker block when checking for empty list

2004-05-23 16:14  florian <florian@freepascal.org>

	* compiler/: nadd.pas, ncnv.pas:
	
	  + added set of widechar support (limited to 256 chars, is delphi
	compatible)

2004-05-23 16:10  peter <peter@freepascal.org>

	* compiler/i386/n386mat.pas:
	
	  * fix shl/shr with value > 63

2004-05-23 16:08  peter <peter@freepascal.org>

	* compiler/nadd.pas:
	
	  * only convert widechar to widestring when both operands are
	    constant
	  * support widechar-widechar operations in orddef part

2004-05-23 13:39  peter <peter@freepascal.org>

	* compiler/: msgidx.inc, msgtxt.inc, pstatmnt.pas, msg/errore.msg:
	
	  * give error when goto jumps to label outside current proc scope

2004-05-23 01:34  peter <peter@freepascal.org>

	* compiler/: aasmtai.pas, aggas.pas, cgobj.pas, ncgcal.pas,
	ncginl.pas, ncgld.pas, ncgopt.pas, ncgutil.pas, rgobj.pas,
	symtable.pas, i386/ag386int.pas, i386/ag386nsm.pas,
	i386/daopt386.pas, i386/n386set.pas, x86/cgx86.pas,
	x86/nx86inl.pas, x86/nx86set.pas:
	
	tai_regalloc.allocation changed to ratype to notify rgobj of
	register size changes

2004-05-23 01:33  peter <peter@freepascal.org>

	* compiler/: cutils.pas, symdef.pas:
	
	fix range check error when array size > maxlongint

2004-05-23 01:32  peter <peter@freepascal.org>

	* compiler/symsym.pas:
	
	quote all low ascii chars in stabs

2004-05-22 00:43  peter <peter@freepascal.org>

	* compiler/assemble.pas:
	
	  * set correct n_line type when starting new .o file by passing
	    the current section type

2004-05-21 15:08  florian <florian@freepascal.org>

	* compiler/nadd.pas:
	
	  * fixed <ordinal>+<pointer>

2004-05-20 23:54  florian <florian@freepascal.org>

	* compiler/: nadd.pas, node.pas, psub.pas, systems.pas,
	i386/ra386int.pas, m68k/cgcpu.pas, m68k/cpupi.pas,
	m68k/ra68kmot.pas:
	
	  + <pointer> - <pointer> result is divided by the pointer element
	size now
	    this is delphi compatible as well as resulting in the expected
	result for p1+(p2-p1)

2004-05-20 01:30  peter <peter@freepascal.org>

	* compiler/i386/n386add.pas:
	
	  * extra typecast to prevent range check

2004-05-20 01:29  peter <peter@freepascal.org>

	* compiler/: scandir.pas, scanner.pas:
	
	  * $message directive compatible with delphi

2004-05-20 01:29  peter <peter@freepascal.org>

	* compiler/: nmat.pas, nadd.pas:
	
	  * don't change sign for unsigned shl/shr operations
	  * cleanup for u32bit

2004-05-20 00:26  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppccnv.pas:
	
	  * fixed web bug 3103: the fpu conversion code couldn't deal with
	offsets
	    outside the smallint range

2004-05-20 00:25  jonas <jonas.maebe@rug.ac.be>

	* compiler/psub.pas:
	
	  * fixed web bug 3104: if stack checking is on, procedures
	pi_do_call
	    must be set

2004-05-19 23:16  peter <peter@freepascal.org>

	* compiler/: ncgutil.pas, pmodules.pas, ppu.pas:
	
	  * add DEBUGINFO symbol to reference the .o file that includes the
	    stabs info for types and global/static variables
	  * debuginfo flag added to ppu to indicate whether debuginfo is
	    generated or not

2004-05-16 22:41  hajny <xhajt03@mbox.vol.cz>

	* compiler/systems/: i_emx.pas, i_os2.pas:
	
	  * fix for IE

2004-05-16 17:03  florian <florian@freepascal.org>

	* compiler/pexpr.pas:
	
	  + support for assigned(<dyn. array>) added

2004-05-16 15:55  peter <peter@freepascal.org>

	* compiler/scanner.pas:
	
	  * report about illegal chars in preproctoken instead of end of
	    expression
	  * support realnumbers in preproctoken parser

2004-05-16 15:29  peter <peter@freepascal.org>

	* compiler/htypechk.pas:
	
	  * forbid more overloaded operators with orddef/enumdef

2004-05-16 15:29  peter <peter@freepascal.org>

	* compiler/: pmodules.pas, psub.pas:
	
	  * fix checking for forwards in static symtable

2004-05-13 21:41  florian <florian@freepascal.org>

	* compiler/sparc/ncpuobj.pas:
	
	file ncpuobj.pas was initially added on branch DWARF.

2004-05-12 15:28  karoly

	* compiler/m68k/cpupara.pas:
	
	 * added some basic code for later syscall support on M68k/Amiga

2004-05-12 15:21  karoly

	* compiler/: ncal.pas, parser.pas, pdecsub.pas:
	
	  * few small changes to add syscall support to M68k/Amiga target

2004-05-12 00:52  olle

	* compiler/: pdecsub.pas, symsym.pas:
	
	  * Moved import_implicit_external to symsym

2004-05-12 00:51  olle

	* compiler/scandir.pas:
	
	  * Performanceimprovement

2004-05-11 21:34  peter <peter@freepascal.org>

	* compiler/sparc/rspdwrf.inc:
	
	file rspdwrf.inc was initially added on branch DWARF.

2004-05-11 20:30  olle

	* compiler/scandir.pas:
	
	  + mode macpas: support for Apples align directives

2004-05-11 20:29  olle

	* compiler/: pdecsub.pas, symsym.pas:
	
	  + mode macpas: support for implicit external

2004-05-11 20:24  olle

	* compiler/systems/t_macos.pas:
	
	  + added GUI apptype to MacOS

2004-05-11 20:23  olle

	* compiler/: msgidx.inc, msgtxt.inc, msg/errore.msg:
	
	  * changed $mode mac to $mode macpas
	  + added GUI apptype to MacOS

2004-05-11 20:22  olle

	* compiler/pmodules.pas:
	
	  * changed $mode mac to $mode macpas (macro defined should be
	FPC_MACPAS)

2004-05-11 20:20  olle

	* compiler/globals.pas:
	
	  * changed $mode mac to $mode macpas
	  * changed macmodeswitches to be more faithful to the mac dialect

2004-05-11 08:59  michael <michael.vancanneyt@wisa.be>

	* compiler/pdecsub.pas:
	
	+ Patch from peter to hide system unit as symbol

2004-05-10 22:57  florian <florian@freepascal.org>

	* compiler/x86/nx86cnv.pas:
	
	  * fixed qword -> <real> type cast

2004-05-09 17:32  peter <peter@freepascal.org>

	* compiler/x86_64/nx64cal.pas:
	
	file nx64cal.pas was initially added on branch DWARF.

2004-05-09 14:49  peter <peter@freepascal.org>

	* compiler/pdecsub.pas:
	
	C directive is mac only

2004-05-09 13:07  peter <peter@freepascal.org>

	* compiler/owar.pas:
	
	strip path from filenames of members, because win32 changes .\ to
	./ for long filenames

2004-05-07 00:01  florian <florian@freepascal.org>

	* compiler/m68k/: aasmcpu.pas, cgcpu.pas, cpubase.pas, m68kreg.dat,
	r68kcon.inc, r68kgas.inc, r68kgri.inc, r68knum.inc, r68ksri.inc,
	r68ksta.inc, r68kstd.inc, r68ksup.inc:
	
	  * register numbers for address registers fixed

2004-05-06 22:30  florian <florian@freepascal.org>

	* compiler/: options.pas, rautils.pas, m68k/cgcpu.pas,
	m68k/cpubase.pas, m68k/ra68kmot.pas, m68k/rasm.pas:
	
	  * m68k compiler compilation fixed

2004-05-03 22:02  jonas <jonas.maebe@rug.ac.be>

	* compiler/pdecsub.pas:
	
	  - removed change_forward_to_external() declaration

2004-05-03 12:06  olle

	* compiler/: pdecsub.pas, scanner.pas, tokens.pas:
	
	  + added language constructs UNIV, C, ... for mode mac
	  * consolidated macro expression to conform to Pascal
	  * macro true is defined as <> 0

2004-05-03 11:55  olle

	* compiler/pmodules.pas:
	
	  + enable omitting of IMPLEMENTATION for mode mac
	  + added macro FPC_MAC for mode mac

2004-05-03 11:48  olle

	* compiler/systems/i_macos.pas:
	
	  * changed .pas back to .p

2004-05-02 19:26  peter <peter@freepascal.org>

	* compiler/: ncgutil.pas, pmodules.pas:
	
	  * fix stabs for globals

2004-05-02 13:48  peter <peter@freepascal.org>

	* compiler/: globtype.pas, widestr.pas:
	
	  * strlenint is replaced with sizeint

2004-05-02 01:29  florian <florian@freepascal.org>

	* compiler/m68k/: agcpugas.pas, cpuinfo.pas, cpupi.pas,
	radirect.pas:
	
	  * continued to fix m68k compiler compilation

2004-05-02 00:38  florian <florian@freepascal.org>

	* compiler/pdecsub.pas:
	
	  * fixed MorphOS syscall without parameters

2004-05-02 00:05  florian <florian@freepascal.org>

	* compiler/: defutil.pas, msgidx.inc, msgtxt.inc, ncal.pas,
	pdecsub.pas, symdef.pas, msg/errore.msg, powerpc/cpupara.pas:
	
	  + added lib support for Amiga/MorphOS syscalls

2004-04-30 00:18  karoly

	* compiler/powerpc/nppccal.pas:
	
	  * removed some unneeded parts of do_syscall

2004-04-29 23:10  florian <florian@freepascal.org>

	* compiler/pdecsub.pas:
	
	  + locationstr always reset

2004-04-29 21:56  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: cgobj.pas, defutil.pas, globals.pas, globtype.pas,
	nadd.pas, ncgcnv.pas, ncgcon.pas, ncgld.pas, ncgmem.pas, ncnv.pas,
	ncon.pas, nld.pas, nmem.pas, pexpr.pas, pinline.pas, ppu.pas,
	psystem.pas, ptconst.pas, symconst.pas, symdef.pas, symtable.pas:
	
	  * Prepare compiler infrastructure for multiple ansistring types

2004-04-29 16:36  karoly

	* compiler/powerpc/nppccal.pas:
	
	  * little cleanup of the previous commit

2004-04-29 16:01  karoly

	* compiler/powerpc/nppccal.pas:
	
	  + first implementation of PowerPC/MorphOS do_syscall

2004-04-28 21:47  florian <florian@freepascal.org>

	* compiler/i386/r386dwrf.inc:
	
	file r386dwrf.inc was initially added on branch DWARF.

2004-04-28 20:02  peter <peter@freepascal.org>

	* compiler/: cclasses.pas, systems/t_win32.pas:
	
	  * add TList to cclasses, remove classes dependency from t_win32

2004-04-28 17:19  florian <florian@freepascal.org>

	* compiler/: globals.pas, globtype.pas, ncgcal.pas, parser.pas,
	pdecsub.pas, symconst.pas, arm/cpuinfo.pas, i386/cpuinfo.pas,
	m68k/cpuinfo.pas, powerpc/cpuinfo.pas, sparc/cpuinfo.pas,
	systems/t_morph.pas, x86/cgx86.pas, x86_64/cpuinfo.pas:
	
	  + syscall directive support for MorphOS added

2004-04-28 02:20  karoly

	* compiler/pdecsub.pas:
	
	  * fixed locationstr having nonsense values in some cases

2004-04-27 17:46  florian <florian@freepascal.org>

	* compiler/m68k/agcpugas.pas:
	
	  * several updates for compilation

2004-04-27 17:00  florian <florian@freepascal.org>

	* compiler/m68k/agcpugas.pas:
	
	  - removed offsetfixup reference

2004-04-27 15:54  florian <florian@freepascal.org>

	* compiler/m68k/itcpugas.pas:
	
	  * fixed using new reg. tables

2004-04-27 15:38  florian <florian@freepascal.org>

	* compiler/aggas.pas:
	
	  * fixed wrong commit from yesterday

2004-04-27 07:43  florian <florian@freepascal.org>

	* compiler/m68k/itcpugas.pas:
	
	  * initial revision

2004-04-26 21:57  jonas <jonas.maebe@rug.ac.be>

	* compiler/rgobj.pas:
	
	  * do not remove "allocation,deallocation" pairs, as those are
	important
	    for the optimizer

2004-04-26 13:05  florian <florian@freepascal.org>

	* compiler/: utils/mk68kreg.pp, m68k/m68kreg.dat, m68k/r68kcon.inc,
	m68k/r68kgas.inc, m68k/r68kgri.inc, m68k/r68knor.inc,
	m68k/r68knum.inc, m68k/r68krni.inc, m68k/r68ksri.inc,
	m68k/r68ksta.inc, m68k/r68kstd.inc, m68k/r68ksup.inc:
	
	  + gas registers

2004-04-25 23:26  florian <florian@freepascal.org>

	* compiler/: aggas.pas, m68k/agcpugas.pas, m68k/cpubase.pas,
	m68k/m68kreg.dat, m68k/n68kcnv.pas, m68k/n68kmat.pas,
	m68k/ncpuadd.pas:
	
	  * some m68k stuff fixed

2004-04-24 19:32  peter <peter@freepascal.org>

	* compiler/: pexports.pas, systems/t_win32.pas:
	
	index number generation for mixed index-nonindexed fixed, patch by
	Pavel V. Ozerski

2004-04-22 23:14  peter <peter@freepascal.org>

	* compiler/x86_64/nx64obj.pas:
	
	file nx64obj.pas was initially added on branch DWARF.

2004-04-21 19:39  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgmem.pas:
	
	  - disabled with-symtable debugging code since it was broken and
	    at the same time confused the register allocator and therefore
	also
	    the optimizer. May be fixed in the future using dwarf support

2004-04-21 01:29  olle

	* compiler/: Makefile, utils/Makefile:
	
	  * updated according to the new version of fpcmake.ini

2004-04-21 00:51  olle

	* compiler/Makefile.fpc:
	
	  * installsymlink now supports all cpu's

2004-04-19 23:15  florian <florian@freepascal.org>

	* compiler/m68k/cgcpu.pas:
	
	  * fixed compilation

2004-04-19 04:12  karoly

	* compiler/pdecsub.pas:
	
	 * quick fix for PowerPC/MorphOS location support

2004-04-19 01:19  karoly

	* compiler/powerpc/cpupara.pas:
	
	 * added correct offsets for PowerPC/MorphOS location support

2004-04-18 23:13  florian <florian@freepascal.org>

	* compiler/m68k/: cgcpu.pas, cpubase.pas, cpuinfo.pas:
	
	  * more adaptions for m68k

2004-04-18 17:22  florian <florian@freepascal.org>

	* compiler/: msgidx.inc, msgtxt.inc, paramgr.pas, pdecsub.pas,
	symconst.pas, symdef.pas, tokens.pas, msg/errore.msg,
	powerpc/cpupara.pas:
	
	  + location support for arguments, currently PowerPC/MorphOS only

2004-04-18 09:52  florian <florian@freepascal.org>

	* compiler/: cgobj.pas, htypechk.pas, nadd.pas:
	
	  * fixed web bug 3048: comparision of dyn. arrays

2004-04-14 19:07  florian <florian@freepascal.org>

	* compiler/x86_64/r8664dwrf.inc:
	
	file r8664dwrf.inc was initially added on branch DWARF.

2004-04-12 20:59  florian <florian@freepascal.org>

	* compiler/: aasmtai.pas, aggas.pas, pexpr.pas:
	
	  * small x86_64 fixes

2004-04-12 20:25  florian <florian@freepascal.org>

	* compiler/x86_64/cpuinfo.pas:
	
	  + AInt added

2004-04-12 13:26  peter <peter@freepascal.org>

	* compiler/defcmp.pas:
	
	  * voidpointer can be converted to dynarray

2004-04-11 14:38  peter <peter@freepascal.org>

	* compiler/pdecvar.pas:
	
	  * fix calling convention problem when parsing default value
	before
	    the semicolon

2004-04-11 14:37  peter <peter@freepascal.org>

	* compiler/psub.pas:
	
	  * fix tree printing

2004-04-11 12:44  peter <peter@freepascal.org>

	* compiler/ptconst.pas:
	
	  * block_type is bt_const when parsing typed consts

2004-04-09 16:36  peter <peter@freepascal.org>

	* compiler/: i386/cgcpu.pas, x86/cgx86.pas:
	
	  * A_MOVSL renamed to A_MOVSD

2004-04-09 03:32  karoly

	* compiler/systems/t_morph.pas:
	
	 * disable stripping in mos linking scripts.

2004-04-08 23:04  peter <peter@freepascal.org>

	* compiler/dwarf.pas:
	
	file dwarf.pas was initially added on branch DWARF.

2004-04-08 19:11  karoly

	* compiler/systems/t_morph.pas:
	
	 * added external linker support based on 1.0 amiga support

2004-04-08 18:49  peter <peter@freepascal.org>

	* compiler/: i386/i386att.inc, i386/i386atts.inc, i386/i386int.inc,
	i386/i386nop.inc, i386/i386op.inc, i386/i386prop.inc,
	i386/i386tab.inc, x86/x86ins.dat:
	
	  * MOVSL fixed

2004-04-08 13:07  michael <michael.vancanneyt@wisa.be>

	* compiler/pexports.pas:
	
	indexed exports needs to be sorted (patch from Pavel)

2004-04-08 02:03  karoly

	* compiler/systems/i_morph.pas:
	
	 * mos uses sysv abi, not aix

2004-04-07 00:44  olle

	* compiler/: script.pas, systems/t_macos.pas:
	
	  + Status checks in scripts
	  + Scripts support apptype tool
	  + Added some ScriptFixFileName

2004-04-04 20:46  olle

	* compiler/: globtype.pas, msgidx.inc, msgtxt.inc, options.pas,
	scandir.pas, msg/errore.msg:
	
	  + added $APPTYPE TOOL for MPW tools on MacOS

2004-04-04 19:50  olle

	* compiler/powerpc/cgcpu.pas:
	
	  * macos: fixed large offsets in references

2004-04-04 12:53  marco <marcov@stack.nl>

	* compiler/systems/t_bsd.pas:
	
	 * small c_r fix, also link plain libc (like for x11)

2004-03-31 23:01  florian <florian@freepascal.org>

	* compiler/nobj.pas:
	
	  * vtbls are now properly aligned

2004-03-31 21:13  florian <florian@freepascal.org>

	* compiler/arm/cgcpu.pas:
	
	  * concatcopy with len=0 exits now immediatly

2004-03-29 23:19  florian <florian@freepascal.org>

	* compiler/systems/t_bsd.pas:
	
	  * imported procedures are always made global (in the sense of the
	assembler)

2004-03-29 23:17  florian <florian@freepascal.org>

	* compiler/systems/i_bsd.pas:
	
	  * fixed dyn. lib extension on darwin

2004-03-29 21:19  florian <florian@freepascal.org>

	* compiler/: cutils.pas, options.pas, symsym.pas, arm/aasmcpu.pas,
	arm/agarmgas.pas, arm/cgcpu.pas, arm/cpupi.pas:
	
	  + arm floating point register saving implemented
	  * hopefully stabs generation for MacOSX fixed
	  + some defines for arm added

2004-03-29 16:44  peter <peter@freepascal.org>

	* compiler/: defutil.pas, nadd.pas, nmat.pas, ptype.pas:
	
	  * fixes to previous constant integer commit

2004-03-29 16:43  peter <peter@freepascal.org>

	* compiler/: ncgflw.pas, ncgutil.pas:
	
	  * cleaner temp get/unget for exceptions

2004-03-29 16:42  peter <peter@freepascal.org>

	* compiler/: nmem.pas, pexpr.pas:
	
	  * variant array support

2004-03-28 00:23  florian <florian@freepascal.org>

	* compiler/options.pas:
	
	  + added FPC_COMP_IS_INT64 define

2004-03-24 21:24  hajny <xhajt03@mbox.vol.cz>

	* compiler/pmodules.pas:
	
	  * OS/2 heap management modified to be able to grow heap as needed

2004-03-23 23:34  peter <peter@freepascal.org>

	* compiler/: browcol.pas, defutil.pas, nadd.pas, ncnv.pas,
	ncon.pas, nmat.pas, options.pas, pdecl.pas, pdecvar.pas, pexpr.pas,
	ppu.pas, psystem.pas, ptype.pas, rautils.pas, symconst.pas,
	symdef.pas, symsym.pas, symutil.pas:
	
	  * constants ordinals now always have a type assigned
	  * integer constants have the smallest type, unsigned prefered
	over
	    signed

2004-03-23 22:03  florian <florian@freepascal.org>

	* compiler/arm/: cpubase.pas, narmadd.pas:
	
	  * arm assembler instructions can have 4 operands
	  * qword comparisations fixed

2004-03-22 23:19  florian <florian@freepascal.org>

	* compiler/arm/narmobj.pas:
	
	  * interface trampolines (hopyfully) fixed

2004-03-22 10:28  michael <michael.vancanneyt@wisa.be>

	* compiler/: assemble.pas, cutils.pas:
	
	+ Patch from peter for stack overflow

2004-03-21 23:40  florian <florian@freepascal.org>

	* compiler/: options.pas, arm/cpunode.pas, arm/narmobj.pas:
	
	  + added interface support for the arm
	  * added  FPC_REQUIRES_PROPER_ALIGNMENT define for targets which
	require proper alignment

2004-03-21 17:57  florian <florian@freepascal.org>

	* compiler/utils/samplecfg:
	
	  * search path for cross compiled units added

2004-03-20 23:57  florian <florian@freepascal.org>

	* compiler/systems.pas:
	
	  + cpu2str added

2004-03-20 23:57  florian <florian@freepascal.org>

	* compiler/options.pas:
	
	  + cross compilation dir search added

2004-03-20 23:29  florian <florian@freepascal.org>

	* compiler/utils/fpc.pp:
	
	  + arm, ia64, x86_64 and sparc supported added

2004-03-20 23:06  florian <florian@freepascal.org>

	* compiler/: Makefile, Makefile.fpc:
	
	  + arm to fullcycle added

2004-03-20 22:11  florian <florian@freepascal.org>

	* compiler/arm/cpupara.pas:
	
	  + float parameters can be on the stack now as well

2004-03-20 21:55  florian <florian@freepascal.org>

	* compiler/: pdecl.pas, pp.pas, arm/cpupara.pas:
	
	  + implemented cdecl'd varargs on arm
	  + -dCMEM supported by the compiler
	  * label/goto asmsymbol type with -dextdebug fixed

2004-03-20 15:21  mazen <mazen@freepascal.org>

	* compiler/mppcsparc:
	
	+ add debug info to produced programs

2004-03-18 18:29  peter <peter@freepascal.org>

	* compiler/ncgcon.pas:
	
	  * fix overflow

2004-03-18 17:29  peter <peter@freepascal.org>

	* compiler/htypechk.pas:
	
	  * missing result initialization in node2opstr

2004-03-18 17:19  peter <peter@freepascal.org>

	* compiler/: htypechk.pas, msgidx.inc, msgtxt.inc, nadd.pas,
	ncnv.pas, nflw.pas, ninl.pas, nmem.pas, nset.pas, msg/errore.msg,
	powerpc/nppcadd.pas:
	
	  * fixed operator overload allowing for pointer-string
	  * replaced some type_e_mismatch with more informational messages

2004-03-18 12:45  olle

	* compiler/aasmbase.pas:
	
	  + added type similarity check in newasmsymbol

2004-03-18 12:43  olle

	* compiler/: nobj.pas, pmodules.pas, ptconst.pas, rautils.pas,
	symdef.pas, systems/t_win32.pas:
	
	  * change AT_FUNCTION to AT_DATA where appropriate

2004-03-18 08:52  mazen <mazen@freepascal.org>

	* compiler/mppcsparc:
	
	+ support of bouth compiler versions

2004-03-17 23:27  florian <florian@freepascal.org>

	* compiler/: aggas.pas, ptconst.pas, rautils.pas:
	
	  * fixed handling of doubles in a native arm compiler
	  * fixed handling of typed double constants on arm

2004-03-17 21:06  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppccnv.pas:
	
	  * fixed missing restoring of true/falselabels in case of explicit
	    integer to same-sized boolean conversions

2004-03-17 13:12  olle

	* compiler/fppu.pas:
	
	  * bugfix in [read|write]asmsymbols for data and address labels

2004-03-17 13:03  olle

	* compiler/: i386/ag386int.pas, powerpc/agppcmpw.pas:
	
	  * bugfix for multiline string constants

2004-03-17 12:58  mazen <mazen@freepascal.org>

	* compiler/pp.lpi:
	
	+ added to use Lazarus debugging compiler

2004-03-16 23:12  florian <florian@freepascal.org>

	* compiler/: aasmtai.pas, fpcdefs.inc, arm/narminl.pas:
	
	  * some alignment issues resolved
	  * compiler doesn't generate anymore instructions not supported by
	the linux fpe

2004-03-16 17:20  peter <peter@freepascal.org>

	* compiler/parser.pas:
	
	  * reset current_module,current_procinfo so the destroy routines
	    can't access their info anymore, because that can be already
	    destroyed

2004-03-16 17:19  peter <peter@freepascal.org>

	* compiler/ncgcon.pas:
	
	  * fix out of bounds for string compares

2004-03-16 17:19  peter <peter@freepascal.org>

	* compiler/x86/aasmcpu.pas:
	
	  * check for top_ref instead of OT_MEMORY in needaddrprefix

2004-03-15 23:20  florian <florian@freepascal.org>

	* compiler/arm/aasmcpu.pas:
	
	  * handling of spilling improved

2004-03-15 22:50  peter <peter@freepascal.org>

	* compiler/assemble.pas:
	
	  * start with bssline

2004-03-15 17:09  peter <peter@freepascal.org>

	* compiler/aasmtai.pas:
	
	  * fix lineinfo broken by valgrind patch

2004-03-15 15:39  mazen <mazen@freepascal.org>

	* compiler/sparc/cpupara.pas:
	
	* make sparc para manager quite similar to ppc one to help  
	copying evolutions.  + Add support to var args in registers. need
	to be verfied as it   was just copying ppc's one

2004-03-15 15:37  mazen <mazen@freepascal.org>

	* compiler/sparc/ncpucnv.pas:
	
	+ support for LongBool(Int64) type cast

2004-03-15 15:36  mazen <mazen@freepascal.org>

	* compiler/mppcsparc:
	
	+ smartlinking for compiler

2004-03-15 09:44  michael <michael.vancanneyt@wisa.be>

	* compiler/: aasmtai.pas, ncgbas.pas, x86/aasmcpu.pas:
	
	+ Fix from peter: fixes crash when inlining assembler code
	referencing local vars

2004-03-15 08:26  karoly

	* compiler/systems/i_morph.pas:
	
	 * added abi field into TSystemInfo to fix IE

2004-03-14 23:51  peter <peter@freepascal.org>

	* compiler/symdef.pas:
	
	  * valgrind doesn't like nested procedure info in stabs

2004-03-14 23:50  peter <peter@freepascal.org>

	* compiler/rgobj.pas:
	
	  * rewrote add_to_movelist, it now uses a field to store the
	number
	    of allocated entries. Also made it using less hardcoded values

2004-03-14 23:47  peter <peter@freepascal.org>

	* compiler/aasmtai.pas:
	
	  * fix memleak with top_local

2004-03-14 22:42  florian <florian@freepascal.org>

	* compiler/arm/cgcpu.pas:
	
	  * optimized mul code generation

2004-03-14 21:10  peter <peter@freepascal.org>

	* compiler/: aasmtai.pas, ncgcal.pas:
	
	  * disable some debuginfo info when valgrind support is used

2004-03-14 21:10  peter <peter@freepascal.org>

	* compiler/pmodules.pas:
	
	  * fix stabs lineno for fpc_compiled

2004-03-14 21:09  peter <peter@freepascal.org>

	* compiler/systems/i_win32.pas:
	
	  * max record aligment changed to 4

2004-03-14 21:08  peter <peter@freepascal.org>

	* compiler/: globals.pas, parser.pas, scandir.pas, symtable.pas:
	
	  * packrecords fixed for settings from $PACKRECORDS
	  * default packrecords now uses value 0 and uses info from
	aligment
	    structure only, initpackrecords removed

2004-03-14 21:07  peter <peter@freepascal.org>

	* compiler/ncal.pas:
	
	  * removed unused paravisible

2004-03-14 21:06  peter <peter@freepascal.org>

	* compiler/symdef.pas:
	
	  * don't write line numbers in stabs for defs

2004-03-14 21:06  peter <peter@freepascal.org>

	* compiler/rgobj.pas:
	
	  * check if movelist is valid

2004-03-14 19:42  jonas <jonas.maebe@rug.ac.be>

	* compiler/i386/popt386.pas:
	
	  * fixed refaddr bug that caused go32v2 cycle failure

2004-03-14 17:15  florian <florian@freepascal.org>

	* compiler/arm/: aasmcpu.pas, cgcpu.pas, rgcpu.pas:
	
	  * spilling problem fixed
	  * handling of floating point memory references fixed

2004-03-13 22:23  florian <florian@freepascal.org>

	* compiler/ncgcal.pas:
	
	  * fixed inlining on arm

2004-03-13 19:45  florian <florian@freepascal.org>

	* compiler/arm/: cpubase.pas, itcpugas.pas, narmadd.pas,
	narmmat.pas:
	
	  * floating compares fixed
	  * unary minus for floats fixed

2004-03-12 16:42  mazen <mazen@freepascal.org>

	* compiler/sparc/cgcpu.pas:
	
	* fixed conditions upon IEs for inlined function call stack frames

2004-03-12 09:18  mazen <mazen@freepascal.org>

	* compiler/sparc/: aasmcpu.pas, cgcpu.pas, cpubase.pas,
	cpuinfo.pas, cpupi.pas:
	
	- revert '../' from include path

2004-03-11 23:41  florian <florian@freepascal.org>

	* compiler/arm/narmadd.pas:
	
	  + second_cmpfloat implemented, needs probably to be fixed

2004-03-11 20:35  peter <peter@freepascal.org>

	* compiler/x86/cgx86.pas:
	
	  * fixed concatcopy end bytes copy broken by 64bits patch

2004-03-11 17:21  mazen <mazen@freepascal.org>

	* compiler/sparc/: aasmcpu.pas, cpupi.pas, cpuinfo.pas,
	cpubase.pas:
	
	+ help lazarus analyze the file

2004-03-11 17:20  mazen <mazen@freepascal.org>

	* compiler/mppcsparc:
	
	+ support of 1.0 compiler

2004-03-10 23:52  peter <peter@freepascal.org>

	* compiler/: globtype.pas, options.pas, pmodules.pas, symdef.pas,
	symsym.pas:
	
	  * more stabs fixes
	  * special mode -gv for valgrind compatible stabs

2004-03-10 23:52  peter <peter@freepascal.org>

	* compiler/x86/cgx86.pas:
	
	  * mcount for linux fixed
	  * push/pop edx for mcount

2004-03-10 23:35  florian <florian@freepascal.org>

	* compiler/arm/cgcpu.pas:
	
	  + fixed code generation for cmn

2004-03-10 21:41  peter <peter@freepascal.org>

	* compiler/: nbas.pas, ncgbas.pas:
	
	  * maybe_in_reg moved to tempinfo
	  * fixed expectloc for maybe_in_reg

2004-03-10 12:55  mazen <mazen@freepascal.org>

	* compiler/fpcdefs.inc:
	
	* $M directive renamed to $MEMORY : Long directive name

2004-03-09 23:18  peter <peter@freepascal.org>

	* compiler/symdef.pas:
	
	  * first write parent classes

2004-03-09 21:45  peter <peter@freepascal.org>

	* compiler/: pmodules.pas, symdef.pas, symsym.pas, symtable.pas:
	
	  * more stabs updates

2004-03-09 17:28  peter <peter@freepascal.org>

	* compiler/ncgcal.pas:
	
	  * fix for sparc that pushes floats in int registers

2004-03-09 14:05  mazen <mazen@freepascal.org>

	* compiler/sparc/cpupara.pas:
	
	+ give location for 64bit to fix IE 200402061

2004-03-09 14:04  mazen <mazen@freepascal.org>

	* compiler/ncgcal.pas:
	
	+ difference between three similar internal errors

2004-03-08 23:07  peter <peter@freepascal.org>

	* compiler/: fmodule.pas, gdb.pas, nobj.pas, pdecl.pas,
	pmodules.pas, psystem.pas, symconst.pas, symdef.pas, symsym.pas,
	symtable.pas:
	
	  * stabs updates to write stabs for def for all implictly used
	    units

2004-03-08 17:28  mazen <mazen@freepascal.org>

	* compiler/sparc/aasmcpu.pas:
	
	* make it as similar to PPC one ase possible

2004-03-07 01:16  florian <florian@freepascal.org>

	* compiler/: paramgr.pas, arm/cpupara.pas:
	
	  * compilation of arm rtl fixed

2004-03-06 22:37  florian <florian@freepascal.org>

	* compiler/powerpc/cgcpu.pas:
	
	  * fixed ppc compilation

2004-03-06 21:35  florian <florian@freepascal.org>

	* compiler/: cgobj.pas, paramgr.pas, arm/agarmgas.pas,
	arm/cgcpu.pas, arm/cpubase.pas, arm/cpuinfo.pas, arm/cpupi.pas,
	arm/rgcpu.pas, systems/t_linux.pas, x86/cgx86.pas:
	
	  * fixed arm compilation
	  * cleaned up code generation for exported linux procedures

2004-03-05 23:17  jonas <jonas.maebe@rug.ac.be>

	* compiler/: pdecvar.pas, powerpc/nppcld.pas, systems/t_bsd.pas:
	
	  * fixed importing of variables from shared libraries, but
	disabled
	    PIC support for now. You have to save/restore r31 when you us
	it! :)
	    Also, it's not necessary to support the imported variables

2004-03-05 22:13  jonas <jonas.maebe@rug.ac.be>

	* compiler/pdecvar.pas:
	
	  * fixed wrong name mangling for imported variables under Darwin

2004-03-04 18:25  peter <peter@freepascal.org>

	* compiler/: msgidx.inc, msgtxt.inc, msg/errore.msg:
	
	  * change error to warning

2004-03-04 18:25  peter <peter@freepascal.org>

	* compiler/x86/aasmcpu.pas:
	
	  * top_none in create_ot, it is used in error situations

2004-03-04 18:25  peter <peter@freepascal.org>

	* compiler/ncal.pas:
	
	  * fix check for parameter length when calling procvar, broken by
	the
	    previous default parameter for procvar fix

2004-03-04 18:24  peter <peter@freepascal.org>

	* compiler/pdecvar.pas:
	
	  * support enums in property array ranges

2004-03-04 18:23  peter <peter@freepascal.org>

	* compiler/nobj.pas:
	
	  * fix compare of parameters, they need to match exact

2004-03-04 18:23  peter <peter@freepascal.org>

	* compiler/scanner.pas:
	
	  * $elseif support
	  * conditiotnal in // returns warning isntead of error

2004-03-04 18:22  peter <peter@freepascal.org>

	* compiler/defcmp.pas:
	
	  * use defs_equal when comparing pointer types

2004-03-04 18:22  peter <peter@freepascal.org>

	* compiler/pstatmnt.pas:
	
	  * better check for maybe_call_procvar

2004-03-04 17:32  peter <peter@freepascal.org>

	* compiler/systems/t_linux.pas:
	
	  * misplaced $Ifdef

2004-03-03 23:02  peter <peter@freepascal.org>

	* compiler/ncgutil.pas:
	
	  * use loadnode and finalize_data_node for init/final code to
	support
	    threadvars correctly

2004-03-03 23:02  peter <peter@freepascal.org>

	* compiler/defcmp.pas:
	
	  * also compare calling convention in proc_to_procvar_equal

2004-03-03 23:01  peter <peter@freepascal.org>

	* compiler/symdef.pas:
	
	  * fix hidden pointer for stabs

2004-03-02 19:12  florian <florian@freepascal.org>

	* compiler/symsym.pas:
	
	  * for vars with is_dll_var the mangledname is written to the ppu
	as well

2004-03-02 18:48  florian <florian@freepascal.org>

	* compiler/powerpc/cgcpu.pas:
	
	  * got entry code fixed

2004-03-02 18:32  florian <florian@freepascal.org>

	* compiler/: aasmtai.pas, aggas.pas, assemble.pas, msgidx.inc,
	msgtxt.inc, ncgbas.pas, ncgld.pas, nld.pas, options.pas,
	parser.pas, pmodules.pas, procinfo.pas, symbase.pas, symsym.pas,
	i386/ra386int.pas, msg/errore.msg, powerpc/agppcgas.pas,
	powerpc/cgcpu.pas, powerpc/cpunode.pas, powerpc/nppcld.pas:
	
	  * make cycle fixed
	  + pic support for darwin
	  + support of importing vars from shared libs on darwin
	implemented

2004-03-02 02:13  olle

	* compiler/psystem.pas:
	
	  * undone last commit

2004-03-02 01:57  olle

	* compiler/powerpc/agppcmpw.pas:
	
	  + adding missing log msg: misc fixes

2004-03-02 01:36  olle

	* compiler/: aasmbase.pas, aasmtai.pas, assemble.pas, cgobj.pas,
	cresstr.pas, fppu.pas, msgidx.inc, msgtxt.inc, ncgcnv.pas,
	ncgflw.pas, ncginl.pas, ncgld.pas, ncgmem.pas, ncgutil.pas,
	nobj.pas, pmodules.pas, psystem.pas, ptconst.pas, raatt.pas,
	rautils.pas, symdef.pas, symsym.pas, alpha/cgcpu.pas,
	arm/cgcpu.pas, arm/raarmgas.pas, i386/n386obj.pas,
	i386/ra386int.pas, m68k/cgcpu.pas, m68k/rasm.pas, msg/errore.msg,
	powerpc/agppcmpw.pas, powerpc/cgcpu.pas, powerpc/nppcobj.pas,
	powerpc/rappcgas.pas, sparc/cgcpu.pas, sparc/racpugas.pas,
	systems/t_beos.pas, systems/t_bsd.pas, systems/t_linux.pas,
	systems/t_nwm.pas, systems/t_sunos.pas, systems/t_win32.pas,
	x86/cgx86.pas, x86/rax86att.pas:
	
	  * big transformation of Tai_[const_]Symbol.Create[data]name*

2004-02-29 14:28  peter <peter@freepascal.org>

	* compiler/scanner.pas:
	
	  * more fixes for skipuntildirective

2004-02-28 17:59  jonas <jonas.maebe@rug.ac.be>

	* compiler/i386/popt386.pas:
	
	  * fixed bug in ref_addr changes

2004-02-28 17:00  florian <florian@freepascal.org>

	* compiler/powerpc/rappcgas.pas:
	
	  * fixed make cycle

2004-02-28 15:14  florian <florian@freepascal.org>

	* compiler/powerpc/rappcgas.pas:
	
	  * fixed syntax error in previous commit

2004-02-28 14:24  florian <florian@freepascal.org>

	* compiler/powerpc/rappcgas.pas:
	
	  * jmps in inline assembler fixed

2004-02-27 20:55  jonas <jonas.maebe@rug.ac.be>

	* compiler/i386/daopt386.pas:
	
	  * fixed optimizer for new treference fields

2004-02-27 20:30  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgbas.pas:
	
	  * fixed relsymbol copy/paste bug

2004-02-27 16:15  mazen <mazen@freepascal.org>

	* compiler/sparc/cpugas.pas:
	
	* symaddr ==> refaddr to follow the rest of compiler changes

2004-02-27 14:42  olle

	* compiler/: i386/n386obj.pas, powerpc/nppcobj.pas:
	
	  + added Tai_symbol_end

2004-02-27 14:27  mazen <mazen@freepascal.org>

	* compiler/sparc/: racpugas.pas, cgcpu.pas:
	
	* symaddr ==> refaddr to follow the rest of compiler changes

2004-02-27 14:04  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/symtype.pas:
	
	  * Removed unused concatstabto

2004-02-27 13:13  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/aasmtai.pas:
	
	  - Removed troublesome writeln statement

2004-02-27 12:50  michael <michael.vancanneyt@wisa.be>

	* compiler/scanner.pas:
	
	+ Patch from peter to fix webtb[fs]/tw2853*.pp

2004-02-27 12:47  mazen <mazen@freepascal.org>

	* compiler/sparc/aasmcpu.pas:
	
	* symaddr ==> refaddr to follow the rest of compiler changes

2004-02-27 12:44  mazen <mazen@freepascal.org>

	* compiler/sparc/cpuinfo.pas:
	
	+ added AInt support

2004-02-27 12:43  mazen <mazen@freepascal.org>

	* compiler/sparc/cpubase.pas:
	
	* symaddr ==> refaddr to follow the rest of compiler changes

2004-02-27 11:21  florian <florian@freepascal.org>

	* compiler/: aasmtai.pas, assemble.pas, cgbase.pas, cgobj.pas,
	cgutils.pas, cutils.pas, ncgbas.pas, ncgcal.pas, ncgcnv.pas,
	ncgflw.pas, ncginl.pas, ncgld.pas, ncgmem.pas, ncgset.pas,
	ncgutil.pas, nobj.pas, ppu.pas, procinfo.pas, symconst.pas,
	i386/ag386int.pas, i386/ag386nsm.pas, i386/cgcpu.pas,
	i386/cpuinfo.pas, i386/csopt386.pas, i386/daopt386.pas,
	i386/n386mem.pas, i386/n386obj.pas, i386/n386set.pas,
	i386/popt386.pas, i386/rropt386.pas, powerpc/agppcgas.pas,
	powerpc/agppcmpw.pas, powerpc/cgcpu.pas, powerpc/cpubase.pas,
	powerpc/cpuinfo.pas, powerpc/nppcobj.pas, powerpc/rappcgas.pas,
	sparc/cpubase.pas, systems/t_bsd.pas, systems/t_win32.pas,
	x86/aasmcpu.pas, x86/agx86att.pas, x86/cgx86.pas, x86/cpubase.pas,
	x86/nx86cnv.pas, x86/nx86inl.pas, x86/nx86set.pas:
	
	  * top_symbol killed
	  + refaddr to treference added
	  + refsymbol to treference added
	  * top_local stuff moved to an extra record to save memory
	  + aint introduced
	  * tppufile.get/putint64/aint implemented

2004-02-26 17:16  peter <peter@freepascal.org>

	* compiler/: aasmtai.pas, cresstr.pas, ncgcon.pas, nobj.pas,
	pmodules.pas, psystem.pas, symdef.pas:
	
	  * tai_const.create_ptr added

2004-02-26 17:16  peter <peter@freepascal.org>

	* compiler/symtable.pas:
	
	  * check if withsymtable.defowner is in the current unit

2004-02-26 17:15  peter <peter@freepascal.org>

	* compiler/scanner.pas:
	
	  * resursive macro's fixed in preprocessor

2004-02-26 17:15  peter <peter@freepascal.org>

	* compiler/ptconst.pas:
	
	  * support @@procvar in typed consts

2004-02-26 17:14  peter <peter@freepascal.org>

	* compiler/pstatmnt.pas:
	
	  * withsymtables need to have the original tobject owner instead
	of
	    the parent objectdef. Needed to check for visibility

2004-02-26 17:13  peter <peter@freepascal.org>

	* compiler/: pdecobj.pas, pdecsub.pas:
	
	  * fix crash when method is not declared in object declaration
	  * fix parsing of mapped interface functions

2004-02-26 17:12  peter <peter@freepascal.org>

	* compiler/ncgcal.pas:
	
	  * support typecasts for passing @var to formal const

2004-02-26 17:11  peter <peter@freepascal.org>

	* compiler/ncgadd.pas:
	
	  * use op_ordinal for dynarr compares

2004-02-26 17:11  peter <peter@freepascal.org>

	* compiler/htypechk.pas:
	
	  * return cnothingn and give error when the operator is not
	overloaded

2004-02-26 17:10  peter <peter@freepascal.org>

	* compiler/pdecvar.pas:
	
	  * another procvar directive fix, this time for initialized vars

2004-02-26 17:09  peter <peter@freepascal.org>

	* compiler/ncal.pas:
	
	  * fix procvars with default paras

2004-02-25 21:39  jonas <jonas.maebe@rug.ac.be>

	* compiler/i386/csopt386.pas:
	
	  * fixed bugs that caused pasjpeg crashes

2004-02-25 15:25  mazen <mazen@freepascal.org>

	* compiler/sparc/: cpubase.pas, cpupara.pas, cpupi.pas:
	
	* fix compile problem for sparc

2004-02-25 01:54  olle

	* compiler/scanner.pas:
	
	  + mode mac: preproc support for hexadecimal numbers
	  + mode mac: preproc support for TRUE, FALSE

2004-02-24 18:16  karoly

	* compiler/: msgidx.inc, msgtxt.inc:
	
	 + morphos target added

2004-02-24 18:12  karoly

	* compiler/msg/errore.msg:
	
	 * fixed previous commit's problem with msg2inc

2004-02-24 17:20  karoly

	* compiler/msg/errore.msg:
	
	  + morphos target added

2004-02-24 17:12  peter <peter@freepascal.org>

	* compiler/: defcmp.pas, htypechk.pas, ncal.pas, nmat.pas,
	symsym.pas, symtable.pas:
	
	  * operator overload chooses rewrite
	  * overload choosing is now generic and moved to htypechk

2004-02-24 17:06  karoly

	* compiler/powerpc/cputarg.pas:
	
	 + morphos target added

2004-02-24 01:53  olle

	* compiler/: script.pas, link.pas:
	
	  * increased maxsize of link.res file name
	  * fixed a 255-limit in TScript.WriteToDisk

2004-02-24 00:38  olle

	* compiler/scanner.pas:
	
	  + mode mac: added UNDEFINED construct
	  + mode mac: added support for include $I
	  * renamed one of the readpreproc to preproc_substitutedtoken to
	avoid confusement

2004-02-24 00:18  florian <florian@freepascal.org>

	* compiler/: Makefile, Makefile.fpc:
	
	  * makefile for arm fixed

2004-02-23 16:59  peter <peter@freepascal.org>

	* compiler/verbose.pas:
	
	  * fix crashes with 1.0.x

2004-02-22 23:13  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: cutils.pas, symsym.pas:
	
	  * Escape newlines in constant string stabs

2004-02-22 20:55  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/symdef.pas:
	
	  * Revert my latest change

2004-02-22 19:49  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/symdef.pas:
	
	  * Fixed minor bug in Tenumdef.stabstring

2004-02-22 19:27  florian <florian@freepascal.org>

	* compiler/: ncgutil.pas, x86/cgx86.pas, x86/cpubase.pas,
	x86_64/cgcpu.pas:
	
	  * fixed exception reason size for 64 bit systems

2004-02-22 17:51  peter <peter@freepascal.org>

	* compiler/: aggas.pas, systems.pas, systems/i_beos.pas,
	systems/i_linux.pas:
	
	  * tf_need_symbol_size added

2004-02-22 17:48  florian <florian@freepascal.org>

	* compiler/: ncgld.pas, i386/cgcpu.pas, x86/cgx86.pas:
	
	  * x86_64 uses generic concatcopy_valueopenarray for now

2004-02-22 17:30  florian <florian@freepascal.org>

	* compiler/: ncgld.pas, x86/nx86add.pas:
	
	  * fixed
	  + second_cmpfloatsse

2004-02-22 16:37  hajny <xhajt03@mbox.vol.cz>

	* compiler/utils/Makefile:
	
	Makefiles regenerated

2004-02-22 16:12  hajny <xhajt03@mbox.vol.cz>

	* compiler/Makefile:
	
	  * Makefiles regenerated

2004-02-22 15:52  hajny <xhajt03@mbox.vol.cz>

	* compiler/: impdef.pas, utils/fpimpdef.pp, utils/gppc386.pp:
	
	  * compilation fixes + *w tools renamed to *

2004-02-22 14:01  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/ncgcal.pas:
	
	  * Fixed memory leak

2004-02-22 13:04  florian <florian@freepascal.org>

	* compiler/: ncgcal.pas, options.pas, i386/cpunode.pas,
	i386/n386set.pas, x86/nx86set.pas, x86_64/cpunode.pas:
	
	  + nx86set added
	  * some more x86-64 fixes

2004-02-21 23:08  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/nadd.pas:
	
	  * Avoid memory allocation and string copying

2004-02-21 22:04  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/rautils.pas:
	
	  * Micro-optimizations

2004-02-21 21:10  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/pbase.pas:
	
	  - Comment out unused tokenstring function

2004-02-21 20:46  florian <florian@freepascal.org>

	* compiler/x86/cgx86.pas:
	
	  * OP_SH* code generation fixed

2004-02-21 17:03  florian <florian@freepascal.org>

	* compiler/: msgidx.inc, msgtxt.inc, ncnv.pas, msg/errord.msg,
	msg/errore.msg:
	
	  * message about illegal type conversion reports now the types

2004-02-20 23:16  florian <florian@freepascal.org>

	* compiler/: cgobj.pas, ncgcal.pas:
	
	  * handling of float parameters passed in mm registers fixed

2004-02-20 23:15  peter <peter@freepascal.org>

	* compiler/nld.pas:
	
	  * fixed compiler err

2004-02-20 22:55  peter <peter@freepascal.org>

	* compiler/: nadd.pas, ncal.pas, ncgcal.pas, ncgmem.pas, ncnv.pas,
	ninl.pas, nld.pas, nmem.pas, nutils.pas, pdecvar.pas, pexpr.pas,
	pstatmnt.pas, symtable.pas:
	
	  * procvar cleanup

2004-02-20 22:55  peter <peter@freepascal.org>

	* compiler/htypechk.pas:
	
	  * widestring conversions added to allowed operator check

2004-02-20 22:54  peter <peter@freepascal.org>

	* compiler/: pdecsub.pas, symconst.pas, symsym.pas:
	
	  * use sp_internal flag to silence unused internal variable

2004-02-20 21:21  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/nld.pas:
	
	  * Tarrayconstructornode sets pi_do_call if a call is possible

2004-02-20 20:49  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: cmsgs.pas, ncgld.pas, pdecl.pas, verbose.pas:
	
	  * Message system uses open arrays internally
	  * Bugfix for string handling in array constructor node
	  * Micro code reductions in pdecl.pas

2004-02-20 17:01  peter <peter@freepascal.org>

	* compiler/x86/cgx86.pas:
	
	  * allow mov to smaller sizes

2004-02-19 21:40  olle

	* compiler/: globals.pas, link.pas, script.pas, systems.pas,
	systems/i_macos.pas, systems/t_macos.pas:
	
	  + Support for Link on target especially for MacOS
	  + TLinkerMPW
	  + TAsmScriptMPW

2004-02-19 18:07  florian <florian@freepascal.org>

	* compiler/: ncal.pas, nobj.pas, procinfo.pas, psub.pas,
	symdef.pas, powerpc/cpupara.pas, powerpc/cpupi.pas:
	
	  * fixed arg. area calculation

2004-02-19 14:43  olle

	* compiler/: msgidx.inc, msgtxt.inc, msg/errore.msg:
	
	  * added target Darwin to help page

2004-02-18 22:58  peter <peter@freepascal.org>

	* compiler/pexpr.pas:
	
	  * constants are now parsed as 64bit for cpu64bit

2004-02-18 00:36  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/pexpr.pas:
	
	  * Make better use of try_to_consume

2004-02-17 20:37  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/pdecl.pas:
	
	  * No longer treat threadvar is normakl var if threading off

2004-02-17 20:14  florian <florian@freepascal.org>

	* compiler/paramgr.pas:
	
	  * temp. fix for lochigh para

2004-02-17 18:38  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: pdecl.pas, tokens.pas:
	
	  * Enable threadvars for all modes

2004-02-17 16:57  peter <peter@freepascal.org>

	* compiler/: fpcdefs.inc, pdecvar.pas, pexpr.pas, symdef.pas,
	symtable.pas:
	
	- fix rtti generation for properties containing sl_vec - fix crash
	when overloaded operator is not available - fix record alignment
	for C style variant records

2004-02-15 17:34  marco <marcov@stack.nl>

	* compiler/: globtype.pas, options.pas, systems/t_bsd.pas:
	
	 * pthread on -CURRENT related fixes.

2004-02-15 13:18  peter <peter@freepascal.org>

	* compiler/defcmp.pas:
	
	  * allow real_2_real conversion for realconstn, fixes 2971

2004-02-15 13:17  peter <peter@freepascal.org>

	* compiler/verbose.pas:
	
	  * reset compiling_module, fixes crash in ide with second compile

2004-02-13 16:56  marco <marcov@stack.nl>

	* compiler/systems.pas:
	
	 * getosreldate

2004-02-13 16:42  peter <peter@freepascal.org>

	* compiler/: defcmp.pas, htypechk.pas, ncal.pas, ncnv.pas,
	symsym.pas:
	
	  * compare_defs_ext has now a options argument
	  * fixes for variants

2004-02-13 16:41  peter <peter@freepascal.org>

	* compiler/: nobj.pas, pdecsub.pas:
	
	  * overload directive checking for methods is now done
	    when the vmt is generated

2004-02-13 16:40  peter <peter@freepascal.org>

	* compiler/symtable.pas:
	
	  * fixed protected checking in withsymtable

2004-02-13 06:46  karoly

	* compiler/systems/: i_morph.pas, t_morph.pas:
	
	 * added powerpc-morphos target

2004-02-13 06:42  karoly

	* compiler/systems.pas:
	
	 * added powerpc-morphos target

2004-02-12 17:00  peter <peter@freepascal.org>

	* compiler/tpexcept.pas:
	
	  * don't use the local longjmp for 1.9.x

2004-02-12 16:54  peter <peter@freepascal.org>

	* compiler/: cgobj.pas, htypechk.pas, ncal.pas, ncgflw.pas,
	pdecl.pas, pdecvar.pas, rgobj.pas, symdef.pas:
	
	  * make extcycle is working again

2004-02-12 14:24  florian <florian@freepascal.org>

	* compiler/arm/cpubase.pas:
	
	  * small compilation fix

2004-02-12 00:18  florian <florian@freepascal.org>

	* compiler/powerpc/cpupara.pas:
	
	  * fixed to compile the rtl again

2004-02-11 23:00  peter <peter@freepascal.org>

	* compiler/browlog.pas:
	
	  * fixed compile with -CR

2004-02-11 20:59  peter <peter@freepascal.org>

	* compiler/: ncgcal.pas, pdecl.pas, symsym.pas, symtable.pas,
	symtype.pas:
	
	  * fix compilation without GDB

2004-02-11 15:46  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/scanner.pas:
	
	  * Better fix for case sensitive macro handling

2004-02-11 15:13  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/scanner.pas:
	
	  * Compiler was partially case sensitive in macro expansion
	  * Multiple and/or preprocessor statements caused problems

2004-02-09 23:48  florian <florian@freepascal.org>

	* compiler/: fpcdefs.inc, ncgcal.pas, paramgr.pas, arm/aasmcpu.pas,
	arm/cpupara.pas:
	
	  * several fixes to parameter handling on arm

2004-02-09 23:45  florian <florian@freepascal.org>

	* compiler/powerpc/: cgcpu.pas, cpubase.pas:
	
	  * compilation fixed

2004-02-09 23:14  peter <peter@freepascal.org>

	* compiler/: cgbase.pas, paramgr.pas, i386/cpupara.pas,
	i386/i386att.inc, i386/i386atts.inc, i386/i386int.inc,
	i386/i386op.inc, i386/i386prop.inc, i386/i386tab.inc,
	x86/aasmcpu.pas, x86/cgx86.pas, x86/x86ins.dat, x86_64/cgcpu.pas,
	x86_64/cpubase.inc, x86_64/x8664ats.inc, x86_64/x8664att.inc,
	x86_64/x8664int.inc, x86_64/x8664nop.inc, x86_64/x8664op.inc,
	x86_64/x8664pro.inc, x86_64/x8664tab.inc:
	
	  * more x86_64 parameter fixes
	  * tparalocation.lochigh is now used to indicate if registerhigh
	    is used and what the type is

2004-02-09 21:44  olle

	* compiler/powerpc/cgcpu.pas:
	
	  * macos: a_load_store fixed to only allocat temp reg if needed,
	side effect is compiler work for macos again.

2004-02-09 21:30  peter <peter@freepascal.org>

	* compiler/utils/mkx86ins.pp:
	
	  * support X86_64 and NOX86_64 flags

2004-02-09 21:12  olle

	* compiler/rgobj.pas:
	
	  + check that register allocation is not made at the wrong moment

2004-02-09 20:23  peter <peter@freepascal.org>

	* compiler/x86/rax86att.pas:
	
	  * reg_2_opsize replaced with reg_cgsize

2004-02-09 00:30  florian <florian@freepascal.org>

	* compiler/nobj.pas:
	
	  * web bug 2942 fixed: reintroduce isn't necessary in methods of
	child classes of course

2004-02-09 00:10  jonas <jonas.maebe@rug.ac.be>

	* compiler/: aasmtai.pas, rgobj.pas, arm/aasmcpu.pas,
	powerpc/aasmcpu.pas, sparc/aasmcpu.pas, x86/aasmcpu.pas:
	
	  * taicpu.is_same_reg_move() now gets a regtype parameter so it
	only
	    removes moves of that particular register type. This is
	necessary so
	    we don't remove the live_start instruction of a register before
	it
	    has been processed

2004-02-09 00:06  florian <florian@freepascal.org>

	* compiler/arm/rgcpu.pas:
	
	  * fixed compilation problem

2004-02-08 21:15  jonas <jonas.maebe@rug.ac.be>

	* compiler/: aasmtai.pas, regvars.pas, arm/aasmcpu.pas,
	powerpc/aasmcpu.pas, powerpc/cgcpu.pas, sparc/aasmcpu.pas,
	x86/aasmcpu.pas:
	
	  - removed taicpu.is_reg_move because it's not used anymore
	  + support tracking fpu register moves by rgobj for the ppc

2004-02-08 21:03  jonas <jonas.maebe@rug.ac.be>

	* compiler/systems/i_bsd.pas:
	
	  * corrected first_param_offset for darwin

2004-02-08 19:08  jonas <jonas.maebe@rug.ac.be>

	* compiler/: cgobj.pas, psub.pas, regvars.pas, symdef.pas,
	symsym.pas, powerpc/cpubase.pas:
	
	  * fixed regvars support. Needs -doldregvars to activate. Only
	tested with
	    ppc, other processors should however only require maxregvars
	and
	    maxfpuregvars constants in cpubase.pas. Remember to take
	scratch-
	    registers into account when defining that value.

2004-02-08 18:48  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgutil.pas:
	
	  * fixed regvars

2004-02-08 18:45  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgld.pas:
	
	  * fixed regvars

2004-02-08 17:38  florian <florian@freepascal.org>

	* compiler/globals.pas:
	
	  + PtrInt declared if VER1_0

2004-02-08 15:51  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgset.pas:
	
	  * fixed for regvars + simplification

2004-02-08 15:50  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cgcpu.pas:
	
	  * fixed previous commit

2004-02-08 15:26  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/rgobj.pas:
	
	  * Register allocator speed boost

2004-02-08 00:28  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: ptconst.pas, raatt.pas, rgobj.pas, scanner.pas,
	x86/cgx86.pas:
	
	  * Take advantage of our new with statement optimization

2004-02-07 16:01  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cgcpu.pas:
	
	  * changed an explicit mr to a_load_reg_reg so it's registered
	with the
	    register allocator as move

2004-02-07 01:20  florian <florian@freepascal.org>

	* compiler/: Makefile, Makefile.fpc:
	
	  + arm support in Makefiles improved

2004-02-06 23:37  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: pmodules.pas, symdef.pas, symtable.pas:
	
	  * Removed not very usefull nextglobal & previousglobal fields
	from
	    Tstoreddef, saving 78 kb of memory

2004-02-06 21:22  jonas <jonas.maebe@rug.ac.be>

	* compiler/nbas.pas:
	
	  * don't put types that need init/fini in register temps

2004-02-06 17:44  florian <florian@freepascal.org>

	* compiler/x86/nx86add.pas:
	
	  + improved floating point compares for x86-64 and Pentium2 and
	above

2004-02-06 15:37  florian <florian@freepascal.org>

	* compiler/x86/cgx86.pas:
	
	  * movz*q fixed

2004-02-06 14:34  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/rgobj.pas:
	
	  * Some changes to better accomodate very large movelists
	    * movelist resizing now exponential (avoids heap fragmentation,
	saves
	      300 kb memory in make cycle)
	    * Trgobj.combine hand-optimized (still too slow)

2004-02-05 20:35  florian <florian@freepascal.org>

	* compiler/: ncgset.pas, ncgutil.pas:
	
	  * more x86-64 fixes

2004-02-05 19:28  peter <peter@freepascal.org>

	* compiler/: ncgflw.pas, i386/cpubase.inc, i386/cpupara.pas,
	systems/i_linux.pas, x86/aasmcpu.pas, x86/cgx86.pas,
	x86/cpubase.pas, x86/itcpugas.pas, x86_64/cpubase.inc,
	x86_64/nx64mat.pas:
	
	  * x86_64 fixes for opsize

2004-02-05 17:58  florian <florian@freepascal.org>

	* compiler/ncginl.pas:
	
	  * fixed (hopefully) the ansistring length bug

2004-02-05 15:13  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: pdecsub.pas, symsym.pas:
	
	  *  Tvarsym.highvarsym removed

2004-02-05 02:24  florian <florian@freepascal.org>

	* compiler/: nadd.pas, ncal.pas, ncgcnv.pas, ncginl.pas, ncgld.pas,
	ncgutil.pas, ncnv.pas, nflw.pas, symdef.pas, i386/n386cnv.pas,
	i386/n386inl.pas, x86/nx86cnv.pas, x86/nx86inl.pas,
	x86_64/cpunode.pas, x86_64/nx64add.pas, x86_64/nx64cnv.pas,
	x86_64/nx64inl.pas, x86_64/nx64mat.pas, x86_64/rgcpu.pas:
	
	  * several fixes to compile x86-64 system

2004-02-05 00:01  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/symsym.pas:
	
	  * Empty destructor Tlabelsym.destroy removed

2004-02-04 23:54  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: pdecsub.pas, symsym.pas:
	
	  * Tvarsym.highvarsym commented out (unused by compiler, purpose
	unknown)

2004-02-04 23:15  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: defcmp.pas, htypechk.pas, ncgutil.pas, ncnv.pas,
	nmat.pas, parser.pas, pdecsub.pas, pmodules.pas, psystem.pas,
	symbase.pas, symsym.pas, symtable.pas:
	
	  * Rtti generation moved to ncgutil
	  * Assmtai usage of symsym removed
	  * operator overloading cleanup up

2004-02-04 23:01  peter <peter@freepascal.org>

	* compiler/: cgobj.pas, defutil.pas, ncgutil.pas, psub.pas,
	arm/cgcpu.pas, i386/cgcpu.pas, powerpc/cgcpu.pas, sparc/cgcpu.pas,
	x86/cgx86.pas, x86/cpubase.pas, x86_64/cgcpu.pas,
	x86_64/cpupara.pas, x86_64/cpupi.pas:
	
	  * first try to get cpupara working for x86_64

2004-02-04 19:45  jonas <jonas.maebe@rug.ac.be>

	* compiler/: ncgbas.pas, ninl.pas, pinline.pas:
	
	  + some more usage of register temps

2004-02-04 16:28  olle

	* compiler/powerpc/agppcmpw.pas:
	
	  * made more in phase with agppcgas.pas

2004-02-04 16:23  olle

	* compiler/powerpc/rappcgas.pas:
	
	  * uodated header comment

2004-02-03 23:32  peter <peter@freepascal.org>

	* compiler/: cgobj.pas, defutil.pas, htypechk.pas, nadd.pas,
	nbas.pas, ncal.pas, ncgld.pas, ncgmem.pas, ncgutil.pas, ncnv.pas,
	ncon.pas, nflw.pas, ninl.pas, nld.pas, nmat.pas, nmem.pas,
	node.pas, nset.pas, nutils.pas, pdecsub.pas, pdecvar.pas,
	pexpr.pas, pinline.pas, pstatmnt.pas, psub.pas, psystem.pas,
	ptype.pas, regvars.pas, symdef.pas, arm/narmcnv.pas,
	arm/narminl.pas, i386/n386inl.pas, i386/n386set.pas,
	m68k/n68kcnv.pas, m68k/ncpuadd.pas, powerpc/nppccnv.pas,
	powerpc/nppcinl.pas, sparc/ncpucnv.pas, sparc/ncpuinln.pas,
	x86/nx86mat.pas:
	
	  * renamed xNNbittype to xNNinttype
	  * renamed registers32 to registersint
	  * replace some s32bit,u32bit with torddef([su]inttype).def.typ

2004-02-03 22:21  peter <peter@freepascal.org>

	* compiler/x86/aasmcpu.pas:
	
	  * real fix for the short jmp out of range problem. Only forward
	jumps
	    needs an offset correction. For backward jumps both the address
	of
	    the symbol and the instruction are already updated so no
	correction
	    is required.

2004-02-03 22:19  peter <peter@freepascal.org>

	* compiler/i386/popt386.pas:
	
	  * remove previous commit

2004-02-03 20:49  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cgcpu.pas:
	
	  - removed mov "reg, reg" optimizations, as they are removed by
	the
	    register allocator and may be necessary to indicate a register
	may not
	    be reused before some point

2004-02-03 20:48  jonas <jonas.maebe@rug.ac.be>

	* compiler/: nbas.pas, ncgbas.pas:
	
	  * fixed and re-enabled temps in registers

2004-02-03 20:47  jonas <jonas.maebe@rug.ac.be>

	* compiler/pstatmnt.pas:
	
	  * don't put the temp of a withnode in a register if debugging
	info is on,
	    because then our stabs generation internalerror's

2004-02-03 20:46  jonas <jonas.maebe@rug.ac.be>

	* compiler/x86/cgx86.pas:
	
	  - removed "mov reg,reg" optimization (those instructions are
	removed by
	    the register allocator, and may be necessary to indicate a
	register
	    may not be released before some point)

2004-02-03 18:56  jonas <jonas.maebe@rug.ac.be>

	* compiler/nbas.pas:
	
	  * disabled temps in registers for now, because the register
	allocator
	    can't handle it yet in some cases

2004-02-03 18:55  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgbas.pas:
	
	  * cleanup

2004-02-03 17:50  peter <peter@freepascal.org>

	* compiler/utils/mkx86ins.pp:
	
	  * linux path separators

2004-02-03 17:46  jonas <jonas.maebe@rug.ac.be>

	* compiler/: nbas.pas, ncgbas.pas, ninl.pas, pinline.pas,
	pstatmnt.pas:
	
	  + support to store ttempcreate/ref/deletenodes in registers
	  * put temps for withnodes and some newnodes in registers
	   Note: this currently only works because calling ungetregister()
	     multiple times for the same register doesn't matter. We need
	again
	     a way to specify that a register is currently a regvar and as
	such
	     should not be freed when you call ungetregister() on it.

2004-02-03 17:14  peter <peter@freepascal.org>

	* compiler/fppu.pas:
	
	  * fix remembering path of main source file

2004-02-03 01:42  florian <florian@freepascal.org>

	* compiler/options.pas:
	
	  + FPC_PREFETCH defined

2004-02-02 22:22  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppcinl.pas:
	
	  + implemented second_prefetch

2004-02-02 21:41  florian <florian@freepascal.org>

	* compiler/: compinnr.inc, nadd.pas, ncginl.pas, ncgld.pas,
	ninl.pas, i386/n386inl.pas:
	
	  + added prefetch(const mem) support

2004-02-01 00:37  florian <florian@freepascal.org>

	* compiler/ncgset.pas:
	
	  * another improvement to tcginnode.pass_2

2004-01-31 23:48  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: pdecl.pas, symsym.pas, symtable.pas, symtype.pas:
	
	  * Fix stabs generation problem reported by Jonas

2004-01-31 22:09  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: symsym.pas, symtype.pas:
	
	  * Stabs lineinfo problem fixed

2004-01-31 19:40  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: ncgutil.pas, pdecl.pas, symsym.pas, symtable.pas,
	symtype.pas:
	
	  * Last steps before removal of aasmtai dependency in symsym can
	be
	    accomplished.

2004-01-31 18:45  peter <peter@freepascal.org>

	* compiler/: aasmtai.pas, aoptda.pas, aoptobj.pas, assemble.pas,
	cgobj.pas, ncgadd.pas, ncgcal.pas, ncgcnv.pas, ncgflw.pas,
	ncginl.pas, ncgmem.pas, ncgopt.pas, ncgset.pas, ncgutil.pas,
	nmem.pas, pdecsub.pas, pdecvar.pas, symsym.pas, x86_64/cpunode.pas:
	
	  * Change several $ifdef i386 to x86
	  * Change several OS_32 to OS_INT/OS_ADDR

2004-01-31 15:50  peter <peter@freepascal.org>

	* compiler/defcmp.pas:
	
	  * prefere tobject-tobject over tobject-pointer

2004-01-30 16:44  jonas <jonas.maebe@rug.ac.be>

	* compiler/assemble.pas:
	
	  + support for piped assembling under Darwin

2004-01-30 15:33  florian <florian@freepascal.org>

	* compiler/symtable.pas:
	
	  * fixed more alignment issues

2004-01-30 14:42  florian <florian@freepascal.org>

	* compiler/: aasmtai.pas, aoptobj.pas, ppu.pas, rabase.pas,
	symtable.pas, systems.pas, powerpc/cpubase.pas, utils/mk68kreg.pp,
	x86/cpubase.pas:
	
	  * fixed more alignment issues

2004-01-30 13:17  florian <florian@freepascal.org>

	* compiler/m68k/: aasmcpu.pas, cgcpu.pas, cpubase.pas, cpuinfo.pas,
	cpupara.pas, cpuswtch.pas, r68kcon.inc, r68knum.inc, rgcpu.pas:
	
	  * fixed some m68k compilation problems

2004-01-30 00:57  florian <florian@freepascal.org>

	* compiler/systems/t_beos.pas:
	
	  * fixed linker response file handling

2004-01-29 23:50  florian <florian@freepascal.org>

	* compiler/systems/t_beos.pas:
	
	  * tried to fix BeOS linking

2004-01-29 18:09  florian <florian@freepascal.org>

	* compiler/arm/cgcpu.pas:
	
	  * handling of floating point references fixed

2004-01-29 18:09  florian <florian@freepascal.org>

	* compiler/arm/cpubase.pas:
	
	  * alignment issues fixed

2004-01-29 17:51  peter <peter@freepascal.org>

	* compiler/: pdecvar.pas, ptype.pas, symtable.pas:
	
	  * fixed alignment calculation for variant records
	  * fixed alignment padding of records

2004-01-29 16:48  marco <marcov@stack.nl>

	* compiler/systems/i_bsd.pas:
	
	 * fix added as comment till I can test (8 byte C alignment on
	netbsd/ppc)

2004-01-28 23:16  peter <peter@freepascal.org>

	* compiler/: globals.pas, parser.pas, pdecvar.pas, psystem.pas,
	ptype.pas, rgobj.pas, scandir.pas, symdef.pas, symtable.pas,
	systems/i_linux.pas:
	
	  * more record alignment fixes

2004-01-28 22:05  florian <florian@freepascal.org>

	* compiler/: globals.pas, symdef.pas:
	
	  * fixed alignment of classes

2004-01-28 21:30  peter <peter@freepascal.org>

	* compiler/: nobj.pas, pdecvar.pas, ptype.pas, symdef.pas,
	symtable.pas:
	
	  * record alignment splitted in fieldalignment and
	recordalignment,
	    the latter is used when this record is inserted in another
	record.

2004-01-28 17:48  peter <peter@freepascal.org>

	* compiler/pmodules.pas:
	
	use local string of 8 chars

2004-01-28 17:47  peter <peter@freepascal.org>

	* compiler/fpcdefs.inc:
	
	Stacksize force to 1mb

2004-01-28 16:36  florian <florian@freepascal.org>

	* compiler/: cmsgs.pas, ncgset.pas, systems.pas, arm/cgcpu.pas,
	arm/narmmat.pas, arm/rgcpu.pas, systems/i_linux.pas:
	
	  * fixed another couple of arm bugs

2004-01-27 23:45  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/symsym.pas:
	
	  * Stab generation bug fixed

2004-01-27 16:04  florian <florian@freepascal.org>

	* compiler/arm/: cgcpu.pas, narminl.pas:
	
	  * fixed code generation for math inl. nodes
	  * more code generator improvements

2004-01-27 11:29  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/symdef.pas:
	
	  * Fix string type stab generation. String constant still
	unsupported.

2004-01-26 23:08  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: cutils.pas, symsym.pas:
	
	  * Bugfix on constant strings stab generation. Never worked and
	still
	    doesn't work for unknown reasons.

2004-01-26 21:34  florian <florian@freepascal.org>

	* compiler/utils/fpc.pp:
	
	  * improved error message

2004-01-26 20:54  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/symdef.pas:
	
	  * Typo

2004-01-26 20:43  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/symdef.pas:
	
	  * Try to recude stack usage of Tpointerdef.concatstabsto

2004-01-26 20:05  florian <florian@freepascal.org>

	* compiler/: arm/aasmcpu.pas, arm/cgcpu.pas, arm/narmadd.pas,
	arm/rgcpu.pas, systems/i_linux.pas:
	
	  * fixed several arm issues

2004-01-26 18:40  florian <florian@freepascal.org>

	* compiler/rgobj.pas:
	
	  * made DoSpill* overrideable
	  + add_cpu_interferences added

2004-01-26 18:39  florian <florian@freepascal.org>

	* compiler/pp.pas:
	
	  * when compiled with -dnocatch, known rtes aren't translated
	anymore
	    and a stack dump is written

2004-01-26 18:34  florian <florian@freepascal.org>

	* compiler/ncgcal.pas:
	
	  * set aktlocaldata for inlined procedures correctly

2004-01-26 17:43  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/symppu.pas:
	
	  * File now obsolete; moved to symtype.pas

2004-01-26 17:12  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: aasmtai.pas, fppu.pas, nbas.pas, ncal.pas, ncnv.pas,
	ncon.pas, nflw.pas, ninl.pas, nld.pas, nmem.pas, node.pas,
	nset.pas, rgobj.pas, symdef.pas, symsym.pas, symtable.pas,
	symtype.pas, x86/aasmcpu.pas:
	
	  * reginfo now also only allocated during register allocation
	  * third round of gdb cleanups: kick out most of concatstabto

2004-01-26 15:41  mazen <mazen@freepascal.org>

	* compiler/sparc/cpuswtch.pas:
	
	* Supported assembler modes are GAS and STANDARD

2004-01-26 00:21  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/rgobj.pas:
	
	  * Keep interference bitmap only allocated during register
	allocation.
	    Saves 2 mb of memory.

2004-01-25 21:23  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/symdef.pas:
	
	  * More gdb cleanup: make record & object stab generation linear
	instead
	    of quadratic.

2004-01-25 17:36  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cgcpu.pas:
	
	  - removed double construction of fpu register allocator

2004-01-25 14:18  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: cutils.pas, symdef.pas:
	
	  * Made varags parameter constant

2004-01-25 13:37  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/symdef.pas:
	
	  * Last commit broke debug info for records. Fixed.

2004-01-25 12:33  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: cutils.pas, symdef.pas, symsym.pas:
	
	  * 2nd round of gdb cleanup

2004-01-24 21:19  florian <florian@freepascal.org>

	* compiler/arm/: aasmcpu.pas, cgcpu.pas, narmadd.pas:
	
	  * fixed some spilling stuff
	  + not(<int64>) implemented
	  + small set comparisations implemented

2004-01-24 19:12  florian <florian@freepascal.org>

	* compiler/: aasmtai.pas, aggas.pas, ncgcon.pas, options.pas,
	arm/narmadd.pas:
	
	  * fixed several arm floating point issues

2004-01-24 02:33  florian <florian@freepascal.org>

	* compiler/arm/cgcpu.pas:
	
	  * fixref fixed if index, base and offset were given

2004-01-24 02:32  florian <florian@freepascal.org>

	* compiler/arm/cpupara.pas:
	
	  * genintparaloc fixed

2004-01-23 16:47  peter <peter@freepascal.org>

	* compiler/symppu.pas:
	
	  * range check error

2004-01-23 16:12  florian <florian@freepascal.org>

	* compiler/: aasmtai.pas, ncgmat.pas, nmat.pas, arm/aasmcpu.pas:
	
	  * fixed generic shl/shr operations
	  + added register allocation hook calls for arm specific operand
	types:
	    register set and shifter op

2004-01-23 01:01  florian <florian@freepascal.org>

	* compiler/: msgtxt.inc, arm/narmadd.pas:
	
	  * another fix to flag handling

2004-01-22 23:12  peter <peter@freepascal.org>

	* compiler/cgobj.pas:
	
	  * g_finalize needs to reset to nil after decr_ref
	  * support loadref in decr_ref reset to nil

2004-01-22 22:33  peter <peter@freepascal.org>

	* compiler/symdef.pas:
	
	  * procvardef rtti fixed

2004-01-22 22:19  florian <florian@freepascal.org>

	* compiler/msg/: errord.msg, errore.msg, errorn.msg:
	
	  * fixed copyright year

2004-01-22 21:13  florian <florian@freepascal.org>

	* compiler/arm/: cgcpu.pas, cpubase.pas, narmadd.pas, narmcnv.pas:
	
	  * fixed several issues with flags

2004-01-22 18:24  peter <peter@freepascal.org>

	* compiler/: pbase.pas, pstatmnt.pas:
	
	  * except is also an end of block token
	  * after a label don't try to parse a statement when the next
	token
	    is an end token

2004-01-22 18:23  peter <peter@freepascal.org>

	* compiler/fppu.pas:
	
	  * also check in the same dir as the unit we are loading from,
	this
	    makes UNITPATH working better

2004-01-22 17:44  peter <peter@freepascal.org>

	* compiler/pinline.pas:
	
	  * fixed allocation of dimension buffer for setlength(dynarr)

2004-01-22 17:33  peter <peter@freepascal.org>

	* compiler/symdef.pas:
	
	  * enum value rtti is now in orginal case

2004-01-22 17:29  peter <peter@freepascal.org>

	* compiler/: msgidx.inc, msgtxt.inc, msg/errore.msg, x86/rax86.pas:
	
	  * give warning that DWORD is used as size in delphi mode when no
	    size was specified

2004-01-22 17:14  peter <peter@freepascal.org>

	* compiler/i386/popt386.pas:
	
	  * fixed crashes when procdef.funcretsym is not valid

2004-01-22 03:22  florian <florian@freepascal.org>

	* compiler/: cg64f32.pas, arm/cgcpu.pas:
	
	  * op_const_reg_reg with OP_SAR fixed

2004-01-22 02:47  florian <florian@freepascal.org>

	* compiler/arm/: cgcpu.pas, narmadd.pas:
	
	  * improved register usage
	  + implemented second_cmp64bit

2004-01-21 23:13  peter <peter@freepascal.org>

	* compiler/: cgobj.pas, options.pas:
	
	  * decrrefcount resets temps to nil

2004-01-21 22:01  peter <peter@freepascal.org>

	* compiler/: cgobj.pas, ncgutil.pas:
	
	  * fixed stackchecking for register calling

2004-01-21 21:53  marco <marcov@stack.nl>

	* compiler/: systems.pas, systems/i_bsd.pas, systems/t_bsd.pas:
	
	 * Copy and pasted some structures from Net- to OpenBSD (3.4+ ELF!)

2004-01-21 20:01  florian <florian@freepascal.org>

	* compiler/: psub.pas, arm/aasmcpu.pas, arm/cgcpu.pas,
	arm/cpubase.pas:
	
	  * fixed handling of max. distance of pc relative symbols

2004-01-21 16:41  florian <florian@freepascal.org>

	* compiler/arm/cgcpu.pas:
	
	  * fixed register allocator problems with concatcopy

2004-01-21 15:22  florian <florian@freepascal.org>

	* compiler/: msgidx.inc, msgtxt.inc, nobj.pas, pdecsub.pas,
	symconst.pas, arm/cgcpu.pas, msg/errore.msg:
	
	  + reintroduce implemented

2004-01-21 02:22  florian <florian@freepascal.org>

	* compiler/arm/cgcpu.pas:
	
	  * fixed a_cmp_const_reg_label
	  * fixed volatile register handling which was broken by my last
	patch

2004-01-21 00:18  florian <florian@freepascal.org>

	* compiler/arm/: cgcpu.pas, cpupara.pas:
	
	  * fixed a_call_reg
	  + implemented paramgr.get_volative_registers

2004-01-20 22:02  florian <florian@freepascal.org>

	* compiler/: aggas.pas, arm/aasmcpu.pas, arm/narminl.pas,
	arm/raarmgas.pas:
	
	  * fixed symbol type writing for arm-linux
	  * fixed assembler generation for abs

2004-01-20 13:59  florian <florian@freepascal.org>

	* compiler/: cgobj.pas, nadd.pas, ncgmat.pas, psystem.pas,
	symdef.pas, i386/n386add.pas, i386/n386mat.pas, x86/nx86add.pas,
	x86/nx86mat.pas, x86_64/cpunode.pas, x86_64/nx64add.pas,
	x86_64/nx64mat.pas:
	
	  * common addnode code for x86-64 and i386

2004-01-17 16:55  jonas <jonas.maebe@rug.ac.be>

	* compiler/: ncgutil.pas, powerpc/cpupara.pas:
	
	  * fixed allocation of parameters passed by reference for powerpc
	in
	    callee

2004-01-16 19:08  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/symsym.pas:
	
	  * Applied Peters patch

2004-01-16 00:16  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: symsym.pas, x86/cgx86.pas:
	
	  + Cleanup of stabstring generation code. Cleaner, faster, and
	compiler
	    executable reduced by 50 kb,

2004-01-15 16:16  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: cclasses.pas, cutils.pas, ncal.pas, symbase.pas,
	symdef.pas, symtable.pas:
	
	  * Some minor stuff
	  * Managed to eliminate speed effects of string compression

2004-01-15 15:01  florian <florian@freepascal.org>

	* compiler/: powerpc/cpupara.pas, utils/mkx86ins.pp,
	x86/aasmcpu.pas, x86/cpubase.pas, x86/itcpugas.pas, x86/x86ins.dat:
	
	  + x86 instruction tables for x86-64 extended

2004-01-15 14:57  florian <florian@freepascal.org>

	* compiler/x86_64/: cpubase.inc, x64att.inc, x64atts.inc,
	x8664ats.inc, x8664att.inc, x8664int.inc, x8664nop.inc,
	x8664op.inc, x8664pro.inc, x8664tab.inc, x86_64in.inc,
	x86_64no.inc, x86_64op.inc, x86_64ta.inc:
	
	  * renamed instruction tables

2004-01-15 00:39  florian <florian@freepascal.org>

	* compiler/: compiler.pas, globals.pas, systems.pas,
	i386/cgcpu.pas, i386/cpubase.inc, i386/ra386att.pas,
	i386/ra386int.pas, x86/cgx86.pas, x86/cpubase.pas,
	x86/radirect.pas, x86/rax86.pas, x86/rax86att.pas,
	x86_64/cgcpu.pas, x86_64/cpubase.inc, x86_64/cpupara.pas,
	x86_64/rax64att.pas:
	
	  * another bunch of x86-64 fixes mainly calling convention and
	    assembler reader related

2004-01-14 22:44  peter <peter@freepascal.org>

	* compiler/defcmp.pas:
	
	  * give penalty in float-float conversion when precision is lost

2004-01-14 22:43  peter <peter@freepascal.org>

	* compiler/x86/cgx86.pas:
	
	  * add release_openarrayvalue

2004-01-14 18:53  peter <peter@freepascal.org>

	* compiler/ncal.pas:
	
	  * ignore hidden parameters when default parameters are used

2004-01-14 18:19  peter <peter@freepascal.org>

	* compiler/: nadd.pas, i386/n386add.pas:
	
	  * disable addmmxset

2004-01-13 19:08  florian <florian@freepascal.org>

	* compiler/: cg64f64.pas, ncgutil.pas, x86_64/cgcpu.pas,
	x86_64/cpuswtch.pas:
	
	  * x86-64 compilation fixed

2004-01-12 23:11  peter <peter@freepascal.org>

	* compiler/: cgbase.pas, cgobj.pas, ncgflw.pas, ncgutil.pas,
	tgobj.pas, powerpc/cgcpu.pas, sparc/cgcpu.pas, sparc/cpubase.pas,
	sparc/cpupi.pas, sparc/ncpuadd.pas, sparc/ncpucnv.pas,
	sparc/opcode.inc, sparc/racpugas.pas, sparc/strinst.inc,
	systems/i_linux.pas, systems/i_win32.pas:
	
	  * use localalign info for alignment for locals and temps
	  * sparc fpu flags branching added
	  * moved powerpc copy_valye_openarray to generic

2004-01-12 17:39  peter <peter@freepascal.org>

	* compiler/: aggas.pas, ncgadd.pas, ncgcal.pas, ncgcon.pas,
	systems.pas, i386/cgcpu.pas, i386/cpuswtch.pas, i386/rgcpu.pas,
	sparc/aasmcpu.pas, sparc/cgcpu.pas, sparc/cpubase.pas,
	sparc/cpugas.pas, sparc/cpuswtch.pas, sparc/itcpugas.pas,
	sparc/ncpuadd.pas, sparc/opcode.inc, sparc/racpugas.pas,
	sparc/radirect.pas, sparc/rspcon.inc, sparc/rspnor.inc,
	sparc/rspnum.inc, sparc/rsprni.inc, sparc/rspsri.inc,
	sparc/rspstab.inc, sparc/rspstd.inc, sparc/rspsup.inc,
	sparc/spreg.dat, sparc/strinst.inc, systems/i_linux.pas,
	utils/mkspreg.pp:
	
	  * sparc updates, mostly float related

2004-01-12 17:38  peter <peter@freepascal.org>

	* compiler/ncgmem.pas:
	
	  * don't generate IMUL reg,1

2004-01-12 17:37  peter <peter@freepascal.org>

	* compiler/: aasmtai.pas, rgobj.pas, x86/aasmcpu.pas,
	x86/cpubase.pas, x86/rgx86.pas:
	
	  * moved spilling code from taicpu to rg

2004-01-12 17:36  peter <peter@freepascal.org>

	* compiler/: globals.pas, pstatmnt.pas:
	
	  * removed asmmode_direct

2004-01-12 17:35  peter <peter@freepascal.org>

	* compiler/ncon.pas:
	
	  * range check error

2004-01-12 17:35  peter <peter@freepascal.org>

	* compiler/cgbase.pas:
	
	  * R_SUB_FS added to make a difference between double and single
	    floats, required for sparc only

2004-01-12 01:08  olle

	* compiler/powerpc/agppcmpw.pas:
	
	  * gen of conditional instr updated according to agppcgas
	  * gen of PPCAsm command fixed

2004-01-12 00:56  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: cclasses.pas, cgobj.pas, cutils.pas, ncal.pas,
	symbase.pas, symdef.pas, symsym.pas, symtable.pas:
	
	  * Experiment: Compress strings to save memory
	    Did not save a single byte of mem; clearly the core size is
	boosted by
	    temporary memory usage...

2004-01-11 21:59  florian <florian@freepascal.org>

	* compiler/version.pas:
	
	  * version changed to 1.9.3

2004-01-11 14:21  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/rgobj.pas:
	
	  * Register allocation bug fixed

2004-01-10 01:16  jonas <jonas.maebe@rug.ac.be>

	* compiler/: options.pas, powerpc/cpubase.pas,
	powerpc/itcpugas.pas:
	
	  * fixed mtfsb0 instruction for assembler reader/writer
	  * fixed initialisation of fpscr register to avoid spurious
	SIGPFE's
	    (uses mtfsb0 instruction, so added extra define in options.pas
	to avoid
	    requiring to start with a cross compiler)

2004-01-09 23:02  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: cgbase.pas, rgobj.pas:
	
	  * Degree=0 problem fixed
	  * Degree to high problem fixed

2004-01-09 14:37  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/systems/t_win32.pas:
	
	  * Commented out code removed

2004-01-09 14:36  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/systems/t_win32.pas:
	
	  * Export table generation fixed according to instructions from
	Pierre

2004-01-07 18:40  jonas <jonas.maebe@rug.ac.be>

	* compiler/aggas.pas:
	
	  * darwin requires the alginment of .lcomm symbols to be specified
	    together with the symbol itself, instead of in a .align
	directive

2004-01-06 22:37  peter <peter@freepascal.org>

	* compiler/powerpc/nppcadd.pas:
	
	  * fixed too long ie number

2004-01-06 22:26  jonas <jonas.maebe@rug.ac.be>

	* compiler/systems/i_bsd.pas:
	
	  * fixed alignment constants for Darwin

2004-01-06 16:46  peter <peter@freepascal.org>

	* compiler/symsym.pas:
	
	  * fix stabs for locals

2004-01-06 03:17  florian <florian@freepascal.org>

	* compiler/defcmp.pas:
	
	  * fixed webbug 2878

2004-01-06 00:34  marco <marcov@stack.nl>

	* compiler/Makefile:
	
	 * regenerating the makefiles with some netbsd fixes + version
	upgrades

2004-01-06 00:29  marco <marcov@stack.nl>

	* compiler/Makefile.fpc:
	
	 * fixed a few makefiles version numbers

2004-01-05 23:41  florian <florian@freepascal.org>

	* compiler/utils/fpc.pp:
	
	  * changed sysutils.exec to ExecuteProcess

2004-01-05 19:01  marco <marcov@stack.nl>

	* compiler/utils/Makefile:
	
	 * rrregened

2004-01-05 18:24  marco <marcov@stack.nl>

	* compiler/Makefile:
	
	 * Regened

2004-01-05 09:13  jonas <jonas.maebe@rug.ac.be>

	* compiler/systems/t_bsd.pas:
	
	  * fixed compilation problems under x86

2004-01-04 22:26  jonas <jonas.maebe@rug.ac.be>

	* compiler/systems/t_bsd.pas:
	
	  + Darwin support for routines imported from external libraries
	(not yet
	    ideal, we should generate stubs in all files where the routines
	are
	    used -> these are automatically merged by the linker; now we
	generate
	    one global symbol with a jump to a stub in unit where the
	routine is
	    declared)
	  + (not yet working) Darwin support for imported variables
	  + Darwin support for linking

2004-01-04 22:19  jonas <jonas.maebe@rug.ac.be>

	* compiler/systems/i_bsd.pas:
	
	  * use "as_darwin" assembler for Darwin
	  * Cprefix = '_' on Darwin
	  * use_function_relative_addresses must be false on Darwin

2004-01-04 22:18  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/itcpugas.pas:
	
	    + as_darwin assembler type (labels start with L)
	    * never generate register->number mappings for Darwin
	    * always use real register names for Darwin

2004-01-04 22:17  jonas <jonas.maebe@rug.ac.be>

	* compiler/: systems.pas, powerpc/agppcgas.pas:
	
	  + added log message for last commit

2004-01-04 22:10  jonas <jonas.maebe@rug.ac.be>

	* compiler/symdef.pas:
	
	  * Darwin's assembler assumes that all labels starting with 'L'
	are local
	    -> rename symbols starting with 'L'

2004-01-04 22:08  jonas <jonas.maebe@rug.ac.be>

	* compiler/aggas.pas:
	
	  * darwin only supports .align, no .balign

2004-01-04 22:08  jonas <jonas.maebe@rug.ac.be>

	* compiler/pmodules.pas:
	
	  * Never generate a "main" symbol for PASCALMAIN for Darwin and
	classic
	    Mac OS, they use a C-main in their system unit

2004-01-03 14:51  jonas <jonas.maebe@rug.ac.be>

	* compiler/: aggas.pas, systems/t_linux.pas:
	
	  + support exported procedures for linuxppc
	  * refuse to compile systems/t_linux.pas if processor-specific 
	support
	    for exported procedures is absent
	  + generate .type and .size info for all currently defined
	linux-variants
	    in aggas.pas

2004-01-03 13:31  michael <michael.vancanneyt@wisa.be>

	* compiler/version.pas:
	
	+ Changed version to 1.9.2

2004-01-03 10:20  marco <marcov@stack.nl>

	* compiler/utils/fpc.pp:
	
	 * errorhandling fixed

2004-01-03 10:12  marco <marcov@stack.nl>

	* compiler/utils/fpc.pp:
	
	 * unix does ansistring exec

2004-01-02 18:19  jonas <jonas.maebe@rug.ac.be>

	* compiler/: defcmp.pas, nadd.pas, options.pas:
	
	  * if currency = int64, FPC_CURRENCY_IS_INT64 is defined
	  + round and trunc for currency and comp if FPC_CURRENCY_IS_INT64
	is
	    defined
	  * if currency = orddef, prefer currency -> int64/qword conversion
	over
	    currency -> float conversions
	  * optimized currency/currency if currency = orddef
	  * TODO: write FPC_DIV_CURRENCY and FPC_MUL_CURRENCY routines to
	prevent
	      precision loss if currency=int64 and bestreal = double

2004-01-02 17:50  jonas <jonas.maebe@rug.ac.be>

	* compiler/globals.pas:
	
	  + SetFPUExceptionMask implementation for PPC

2004-01-01 18:58  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppcmat.pas:
	
	  + integer division-by-zero detection support for ppc
	  + compilerproc FPC_DIVBYZERO

2004-01-01 18:23  florian <florian@freepascal.org>

	* compiler/ncgflw.pas:
	
	  * fixed wrong temp. usage in generic exception handling

2004-01-01 16:34  jonas <jonas.maebe@rug.ac.be>

	* compiler/systems/t_linux.pas:
	
	  * default linker name for non-i386 and non-m68k

2003-12-31 23:30  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppccnv.pas:
	
	  * fixed currency bugs. Int64 currency handling still needs to be
	    rewritten so that it doesn't include conversions to real
	anymore
	    though

2003-12-31 21:47  jonas <jonas.maebe@rug.ac.be>

	* compiler/: nadd.pas, ncginl.pas, ninl.pas:
	
	  * properly fixed assigned() mess (by handling it separately in
	ncginl)
	    -> all assigned()-related tests in the test suite work again

2003-12-31 19:12  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppcmat.pas:
	
	  * (64 bit int) shl/shr (value > 63) := 0

2003-12-31 18:28  jonas <jonas.maebe@rug.ac.be>

	* compiler/systems/i_linux.pas:
	
	  * fixed C record max alignment

2003-12-30 17:30  jonas <jonas.maebe@rug.ac.be>

	* compiler/nadd.pas:
	
	  * fixed previous commit for tp and delphi modes

2003-12-29 23:33  jonas <jonas.maebe@rug.ac.be>

	* compiler/nadd.pas:
	
	  * fixed methodpointer comparing in a generic way (typecast both
	left and
	    right explicitly to voidpointer), instead of relying on strange
	    behvaiour or n386addnode.pass_2 (if size of def = 8, only use
	the first
	    4 bytes instead of internalerror-ing or so)

2003-12-29 20:31  florian <florian@freepascal.org>

	* compiler/cresstr.pas:
	
	  * fixed error message, if a resource file can't be written

2003-12-29 18:19  jonas <jonas.maebe@rug.ac.be>

	* compiler/pexpr.pas:
	
	  * integrated hack from 1.0.x so we can parse low(int64) as int64
	instead
	    of as double (in 1.0.x, it was necessary for low(longint))

2003-12-29 15:17  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/: cgcpu.pas, cpupi.pas:
	
	  * fixed saving/restoring of volatile fpu registers under sysv
	  + better provisions for abi differences regarding fpu registers
	that have
	    to be saved

2003-12-29 13:48  jonas <jonas.maebe@rug.ac.be>

	* compiler/ptconst.pas:
	
	  + support for currency typed constants if currency=int64.
	Warning: does
	    not work properly for extreme values if bestreal <= double

2003-12-29 12:37  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgadd.pas:
	
	  * hopefully fixed bug tb0454 (merged from nppcadd)

2003-12-29 12:35  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppcadd.pas:
	
	  * hopefully fixed tb0454

2003-12-29 12:13  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cgcpu.pas:
	
	  * fixed tb0350 (support loading address of reference containing
	the
	    address 0)

2003-12-29 00:49  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/: cgcpu.pas, nppcmat.pas:
	
	  * fixed tnotnode for < 32 bit quantities

2003-12-28 23:51  florian <florian@freepascal.org>

	* compiler/nflw.pas:
	
	  + except handling related nodes now include pi_do_call if
	necessary

2003-12-28 23:09  florian <florian@freepascal.org>

	* compiler/: ncal.pas, ncgcal.pas, paramgr.pas, i386/cpupara.pas,
	powerpc/aasmcpu.pas, powerpc/cpupara.pas, powerpc/nppccal.pas:
	
	  + setting of bit 6 of cr for c var args on ppc implemented

2003-12-28 22:57  jonas <jonas.maebe@rug.ac.be>

	* compiler/ncgutil.pas:
	
	  * fixed procedures declared as "interrupt" for non-x86

2003-12-28 20:22  florian <florian@freepascal.org>

	* compiler/powerpc/cgcpu.pas:
	
	  * handling of open array value parameters fixed

2003-12-28 17:20  jonas <jonas.maebe@rug.ac.be>

	* compiler/: aasmtai.pas, arm/aasmcpu.pas, sparc/aasmcpu.pas:
	
	  - removed unused methods from old generic spilling code

2003-12-28 16:33  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/cpupara.pas:
	
	  * hopefully fixed varargs (both Pascal- and C-style)

2003-12-28 16:14  jonas <jonas.maebe@rug.ac.be>

	* compiler/powerpc/nppcobj.pas:
	
	  * hopefully fixed interfaces (untested)

2003-12-27 23:27  peter <peter@freepascal.org>

	* compiler/ninl.pas:
	
	  * support type convs for write typed

2003-12-27 23:27  peter <peter@freepascal.org>

	* compiler/finput.pas:
	
	  * check with fileexists() before opening a file

2003-12-26 21:24  florian <florian@freepascal.org>

	* compiler/x86_64/: x64att.inc, x64atts.inc, x86_64in.inc,
	x86_64no.inc, x86_64op.inc, x86_64ta.inc:
	
	  * updated instruction includes from new instruction table

2003-12-26 15:02  peter <peter@freepascal.org>

	* compiler/: aasmtai.pas, cgobj.pas, procinfo.pas, rgobj.pas,
	arm/aasmcpu.pas, arm/cgcpu.pas, arm/cpubase.pas,
	powerpc/aasmcpu.pas, powerpc/cgcpu.pas, sparc/aasmcpu.pas,
	sparc/cgcpu.pas, sparc/racpugas.pas, x86/aasmcpu.pas,
	x86/cgx86.pas:
	
	  * sparc updates
	  * use registertype in spill_register

2003-12-26 14:47  florian <florian@freepascal.org>

	* compiler/x86/nx86mat.pas:
	
	  * rtl and compiler compile with -Cfsse2

2003-12-26 14:19  florian <florian@freepascal.org>

	* compiler/: cgobj.pas, ncgcal.pas, ncgutil.pas, i386/n386mat.pas,
	x86/cgx86.pas, x86/cpubase.pas, x86/nx86add.pas:
	
	  * rtl and compiler compile with -Cfsse2

2003-12-26 01:32  florian <florian@freepascal.org>

	* compiler/: ncgcnv.pas, ncgutil.pas, ncnv.pas, node.pas,
	x86/cgx86.pas, x86/nx86add.pas, x86/nx86cnv.pas:
	
	  + fpu<->mm register conversion

2003-12-25 13:01  florian <florian@freepascal.org>

	* compiler/: i386/cpuinfo.pas, i386/i386att.inc, i386/i386atts.inc,
	i386/i386int.inc, i386/i386nop.inc, i386/i386op.inc,
	i386/i386prop.inc, i386/i386tab.inc, x86/aasmcpu.pas,
	x86/cgx86.pas, x86/x86ins.dat:
	
	  + possible sse2 unit usage for double calculations
	  * some sse2 assembler issues fixed

2003-12-25 02:25  peter <peter@freepascal.org>

	* compiler/: raatt.pas, sparc/racpugas.pas:
	
	  * sparc assembler reader updates

2003-12-25 02:07  florian <florian@freepascal.org>

	* compiler/: cgbase.pas, defutil.pas, globals.pas, ncgld.pas,
	scandir.pas, i386/cpuinfo.pas, i386/n386add.pas, i386/n386mat.pas,
	x86/aasmcpu.pas, x86/cgx86.pas, x86/cpubase.pas, x86/nx86add.pas,
	x86_64/cpuinfo.pas:
	
	  + $fputype directive support
	  + single data type operations with sse unit
	  * fixed more x86-64 stuff

2003-12-24 21:51  peter <peter@freepascal.org>

	* compiler/symdef.pas:
	
	  * don't lowercase enumnames

2003-12-24 02:47  florian <florian@freepascal.org>

	* compiler/: symdef.pas, x86/cgx86.pas, x86_64/cgcpu.pas:
	
	  * first fixes to compile the x86-64 system unit

2003-12-24 01:33  florian <florian@freepascal.org>

	* compiler/: x86/agx86att.pas, x86_64/cpupi.pas,
	x86_64/cputarg.pas, x86_64/nx64cnv.pas:
	
	  * x86-64 compilation fixed

2003-12-24 01:12  florian <florian@freepascal.org>

	* compiler/x86/rgx86.pas:
	
	  * rg unified for i386/x86-64

2003-12-24 01:10  florian <florian@freepascal.org>

	* compiler/: cg64f32.pas, cg64f64.pas, cgobj.pas, ncgld.pas,
	ncgutil.pas, i386/cgcpu.pas, i386/n386add.pas, i386/rgcpu.pas,
	x86/cgx86.pas, x86_64/cpupara.pas, x86_64/rgcpu.pas:
	
	  - delete parameter in cg64 methods removed

2003-12-24 00:22  peter <peter@freepascal.org>

	* compiler/globtype.pas:
	
	  * register calling is now default for i386

2003-12-24 00:12  peter <peter@freepascal.org>

	* compiler/: i386/n386obj.pas, powerpc/nppcobj.pas:
	
	  * extnumber failure is $ffff instead of -1
	  * fix non-vmt call for register calling on i386

2003-12-23 23:13  peter <peter@freepascal.org>

	* compiler/i386/n386add.pas:
	
	  * overlfow support in second_mul

2003-12-23 23:13  peter <peter@freepascal.org>

	* compiler/symsym.pas:
	
	  * don't generate rtti for errordef

2003-12-23 20:52  peter <peter@freepascal.org>

	* compiler/i386/daopt386.pas:
	
	  * more byte->word

2003-12-23 15:38  florian <florian@freepascal.org>

	* compiler/: cgobj.pas, ncgadd.pas, ncgutil.pas, x86/nx86add.pas:
	
	  + second_floataddsse implemented

2003-12-23 00:11  peter <peter@freepascal.org>

	* compiler/i386/daopt386.pas:
	
	  * overflow for instruction counters

2003-12-23 00:11  peter <peter@freepascal.org>

	* compiler/ncnv.pas:
	
	  * fix rangecheck error

2003-12-23 00:10  peter <peter@freepascal.org>

	* compiler/cgbase.pas:
	
	  * use low(longint) instead of $8000000

2003-12-23 00:09  peter <peter@freepascal.org>

	* compiler/rgobj.pas:
	
	  * only report unreleased imaginary registers

2003-12-23 00:08  peter <peter@freepascal.org>

	* compiler/: ncgcnv.pas, i386/n386cnv.pas:
	
	  * removed unused checkobject method

2003-12-22 23:34  peter <peter@freepascal.org>

	* compiler/: Makefile, Makefile.fpc:
	
	  * extcycle

2003-12-22 23:15  peter <peter@freepascal.org>

	* compiler/fppu.pas:
	
	  * deref implementation after implementation units are loaded and
	    numbered

2003-12-22 23:15  peter <peter@freepascal.org>

	* compiler/symppu.pas:
	
	  * fix write pointerconst

2003-12-22 23:13  peter <peter@freepascal.org>

	* compiler/rgobj.pas:
	
	  * made decrease_degree working, but not really fixed

2003-12-22 20:00  florian <florian@freepascal.org>

	* compiler/: cg64f64.pas, cgobj.pas, ncgutil.pas, x86_64/cgcpu.pas,
	x86_64/cpubase.inc, x86_64/cpuinfo.pas:
	
	  * fixed some x86-64 issues

2003-12-21 22:20  florian <florian@freepascal.org>

	* compiler/systems/i_linux.pas:
	
	  * sysv calling conventions enabled for powerpc-linux

2003-12-21 20:42  florian <florian@freepascal.org>

	* compiler/: cgbase.pas, cgobj.pas, ncal.pas, ncgcal.pas, psub.pas,
	symdef.pas, x86/cgx86.pas:
	
	  * fixed ppc inlining stuff
	  * fixed wrong unit writing
	  + added some sse stuff

2003-12-21 12:28  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: nadd.pas, ncgadd.pas, i386/n386add.pas:
	
	  * Some work to allow mmx instructions to be used for 32 byte sets

2003-12-20 23:53  jonas <jonas.maebe@rug.ac.be>

	* compiler/i386/: csopt386.pas, daopt386.pas:
	
	  * fixed some more optimizer bugs, make cycle now works with
	-O2p3,
	    -O2p3u, -O3p3 and -O3p3u

2003-12-20 13:38  florian <florian@freepascal.org>

	* compiler/: globals.pas, ncal.pas, systems.pas,
	x86_64/cpuinfo.pas, x86_64/r8664con.inc, x86_64/r8664num.inc:
	
	  * some x86-64 compilation fixe

2003-12-19 23:08  daniel <daniel@deadlock.et.tudelft.nl>

	* compiler/: cgbase.pas, psub.pas, symconst.pas, i386/cgcpu.pas,
	x86/cgx86.pas, x86/cpubase.pas:
	
	  * Some work to restore the MMX capabilities

2003-12-19 15:38  mazen <mazen@freepascal.org>

	* compiler/sparc/: aasmcpu.pas, cgcpu.pas, cpubase.pas, rspcon.inc:
	
	* new TRegister definition applied

2003-12-18 18:06  florian <florian@freepascal.org>

	* compiler/: rgobj.pas, arm/aasmcpu.pas, arm/cgcpu.pas,
	arm/cpubase.pas, arm/cpupara.pas, arm/raarmgas.pas,
	arm/rarmcon.inc, arm/rarmnum.inc, utils/mkarmreg.pp:
	
	  * arm compiler compilation fixed

2003-12-18 02:03  florian <florian@freepascal.org>

	* compiler/powerpc/cgcpu.pas:
	
	  + register allocators are set to nil now after they are freed

2003-12-17 23:50  hajny <xhajt03@mbox.vol.cz>

	* compiler/options.pas:
	
	  * fixed incorrect error message

2003-12-17 22:59  peter <peter@freepascal.org>

	* compiler/i386/n386obj.pas:
	
	  * register call fix

2003-12-17 22:59  peter <peter@freepascal.org>

	* compiler/rgobj.pas:
	
	  * don't insert dealloc before alloc of the same register

2003-12-16 23:36  florian <florian@freepascal.org>

	* compiler/psub.pas:
	
	  * forgot a commit

2003-12-16 23:09  florian <florian@freepascal.org>

	* compiler/ncal.pas:
	
	  * better inheritence of procinfo flags of inlined procedures

2003-12-16 22:49  florian <florian@freepascal.org>

	* compiler/: powerpc/aasmcpu.pas, powerpc/cgcpu.pas,
	powerpc/cpubase.pas, powerpc/cpupara.pas, powerpc/rppccon.inc,
